2003-12-24 02:41:51  Rev 7559   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-23 10:06:37  Rev 7558   kyrah

	* src/glue/gl_agl.c:

	Fall back to software offscreen context if pBuffer context cannot be created.

2003-12-23 05:45:03  Rev 7557   mortene

	* src/sensors/SoSensorManager.cpp:

	Reverting pederb's latest changes, as I'm seeing seriously detoriating
	performance for a Coin-based application. Needs to be investigated.

2003-12-23 04:40:07  Rev 7556   mortene

	* src/misc/SoBase.cpp, src/io/SoOutput.cpp:

	Default to somewhat prettier output formatting.

2003-12-23 02:41:39  Rev 7555   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-22 23:13:57  Rev 7554   mortene

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:

	Interface modification for the progress callback functionality.

2003-12-22 20:56:14  Rev 7553   kyrah

	* src/misc/SoDB.cpp:

	FIXME about the problem with jerky SoRotor animation due to low realtime field
	interval.

2003-12-22 02:41:21  Rev 7552   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-20 02:41:21  Rev 7551   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-19 15:23:58  Rev 7550   pederb

	* src/sensors/SoSensorManager.cpp:

	Fix for idle processing. This makes Coin much more responsive when
	manipulating scenes with animations.

2003-12-19 14:40:36  Rev 7549   pederb

	* src/misc/SoChildList.cpp:

	Update auditors in SoChildList::copy(). This fixes a recently introduced bug
	in SoFile.

2003-12-19 13:35:34  Rev 7548   mortene

	* src/shapenodes/SoMarkerSet.cpp:

	Change of semantics for SoMarkerSet: cull markers which are on the wrong side
	of an SoClipPlane.

2003-12-19 11:53:35  Rev 7547   mortene

	* src/nodes/SoFontStyle.cpp:

	Minor bugfix: default font name is 'defaultFont', not a NULL string. Old code
	would always warn when using SoFontStyle in *any* manner.

2003-12-19 02:41:09  Rev 7546   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-18 12:35:54  Rev 7545   pederb

	* src/threads/rwmutex.c:

	Bugfix in read/write unlock.

2003-12-18 02:40:53  Rev 7544   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-17 19:09:37  Rev 7543   mortene

	* src/nodes/SoFile.cpp, src/misc/SoChildList.cpp:

	Change of semantics for SoFile: never insert an extra root node on top of the
	loaded scene graph. Brings it in line with the original SGI Inventor.

2003-12-17 02:41:33  Rev 7542   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-16 12:57:10  Rev 7541   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Typo/bug fix.

2003-12-16 12:42:13  Rev 7540   pederb

	* src/glue/gl.c:

	New functions for testing line width and point size ranges.

2003-12-16 11:49:02  Rev 7539   pederb

	* src/glue/gl.c, src/elements/GL/SoGLLightIdElement.cpp:

	Improve max lights test.

2003-12-15 15:56:37  Rev 7538   pederb

	* src/glue/gl_wgl.c:

	Fixed one FIXME, added one new.

2003-12-15 15:48:49  Rev 7537   pederb

	* src/glue/gl_wgl.c:

	Fixed a couple of bugs and memory leaks.

2003-12-15 09:29:54  Rev 7536   pederb

	* src/nodes/SoBumpMap.cpp:

	Doc. fix.

2003-12-15 09:24:15  Rev 7535   mortene

	* src/nodes/SoBumpMap.cpp:

	Doc fix.

2003-12-15 09:22:40  Rev 7534   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Do run-time test if we can render to texture.

2003-12-15 09:21:09  Rev 7533   pederb

	* src/nodes/SoTextureUnit.cpp, src/nodes/SoBumpMap.cpp:

	Doc.

2003-12-15 08:40:45  Rev 7532   pederb

	* src/glue/gl_wgl.c, src/glue/gl.c, src/glue/gl_agl.c:

	Adds render-to-texture query function.

2003-12-12 13:13:21  Rev 7531   pederb

	* src/glue/gl_wgl.c:

	Make context handling more robust. Fall back to software context if pbuffer
	fails.

2003-12-12 13:08:12  Rev 7530   pederb

	* src/misc/SoOffscreenRenderer.cpp:

	ATI bug workaround.

2003-12-12 13:04:49  Rev 7529   pederb

	* src/misc/SoOffscreenWGLData.cpp:

	Delay context creation until it is actually needed.

2003-12-12 09:29:02  Rev 7528   mortene

	* src/nodes/SoFontStyle.cpp:

	Minor code fix: no need to have function-local static variable in file-scope.

2003-12-11 14:41:39  Rev 7527   handegar

	* src/nodes/SoFontStyle.cpp:

	Small 'bool' => 'BOOL' fix.

2003-12-11 14:34:55  Rev 7526   handegar

	* src/nodes/SoFontStyle.cpp:

	Doc fix. 'Override' feature fix.

2003-12-11 13:32:44  Rev 7525   pederb

	* src/io/SoInput.cpp:

	Increase buffer size when reading real numbers. Will fix properly later. Bug
	reported by Chris Scharver.

2003-12-10 11:13:15  Rev 7524   handegar

	* src/nodes/SoFontStyle.cpp:

	Doc fix.

2003-12-10 10:46:11  Rev 7523   mortene

	* THANKS:

	Bug reported.

2003-12-10 02:40:26  Rev 7522   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-09 13:27:57  Rev 7521   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Bugfix. Set cache context id for offscreen context.

2003-12-09 12:19:52  Rev 7520   larsa

	* html/Makefile.am, html/Makefile.in:

	get Coin_logo.png installed too

2003-12-09 07:34:30  Rev 7519   mortene

	* src/nodes/SoSceneTexture2.cpp,
	include/Inventor/nodes/SoSceneTexture2.h:

	Rename field for better consistency with other parts of Coin API.

2003-12-09 02:39:56  Rev 7518   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-08 16:06:41  Rev 7517   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Fix for ugly bug.

2003-12-08 15:58:42  Rev 7516   pederb

	* src/nodes/SoSceneTexture2.cpp:

	TransparencyFunction fix.

2003-12-08 15:34:54  Rev 7515   pederb

	* src/nodes/SoSceneTexture2.cpp:

	GLX support.

2003-12-08 13:54:00  Rev 7514   pederb

	* src/nodes/SoSceneTexture2.cpp,
	include/Inventor/nodes/SoSceneTexture2.h:

	Transparency handling and clear color.

2003-12-08 11:34:17  Rev 7513   pederb

	* src/misc/all-misc-cpp.cpp:

	enable-compact build fix.

2003-12-08 11:14:46  Rev 7512   pederb

	* include/Inventor/lists/SbList.h:

	Compile fix.

2003-12-06 02:39:58  Rev 7511   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-05 11:41:03  Rev 7510   handegar

	* src/actions/SoGLRenderAction.cpp:

	Some small fragment program adjustments.

2003-12-05 10:48:17  Rev 7509   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Enable depth tests.

2003-12-05 10:35:49  Rev 7508   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Yet another bugfix.

2003-12-05 10:31:16  Rev 7507   mortene

	* src/fields/SoSFEnum.cpp, src/fields/SoMFEnum.cpp:

	Better error output when something strange has happened.

2003-12-05 10:10:37  Rev 7506   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Bugfix.

2003-12-05 10:06:16  Rev 7505   handegar

	* src/nodes/SoSceneTexture2.cpp:

	Removed reference to GL_NV_texture_rectangle (using GL_EXT_texture_rectangle
	instead).

2003-12-05 10:03:12  Rev 7504   handegar

	* src/glue/gl.c:

	GL_NV_texture_rectangle fix

2003-12-05 09:58:38  Rev 7503   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Non power of two Bugfix and doc.

2003-12-05 09:35:15  Rev 7502   handegar

	* src/actions/SoGLRenderAction.cpp:

	Added fragment program support for the SORTED_LAYERS_BLEND mode.

2003-12-05 09:34:07  Rev 7501   handegar

	* src/glue/gl.c:

	Combined the GL_NV_texture_rectangle and the GL_EXT_texture_rectangle

2003-12-05 09:13:28  Rev 7500   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Disable non power of two support.

2003-12-04 02:40:01  Rev 7499   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-03 17:38:56  Rev 7498   barbara

	* docs/coin.doxygen.in:

	add header, footer and stylesheet to doxygen configuration

2003-12-03 17:35:34  Rev 7497   barbara

	* docs/doxygen/Coin_logo.png:

	add Coin logo

2003-12-03 17:34:37  Rev 7496   barbara

	* docs/doxygen/header.html, docs/doxygen, docs/doxygen/stylesheet.css,
	docs/doxygen/footer.html:

	add doxygen header, footer and stylesheet

2003-12-03 16:57:46  Rev 7495   larsa

	* TODO-2.2:

	an idea

2003-12-03 16:42:36  Rev 7494   handegar

	* include/Inventor/caches/SoPrimitiveVertexCache.h:

	Compile fix.

2003-12-03 15:50:53  Rev 7493   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Experimental support for non power of two textures.

2003-12-03 15:36:51  Rev 7492   pederb

	* include/Inventor/misc/SoGLImage.h,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	src/misc/SoGLImage.cpp, src/elements/SoTextureEnabledElement.cpp:

	Support for GL_TEXTURE_RECTANGLE_EXT

2003-12-03 12:19:49  Rev 7491   mortene

	* src/fields/SoMField.cpp:

	Bugfix recent bugfix. Needs to call valueChanged(), not touch(), so all flags
	are set correctly.

2003-12-03 12:12:30  Rev 7490   mortene

	* src/fields/SoMField.cpp:

	Bugfix: notification must be sent from readValue(). Bug reported by Gerhard
	Reitmayr.

2003-12-03 09:58:38  Rev 7489   handegar

	* src/glue/gl.c:

	Adjusted OGL version-check for the EXT/ARB_texture_env_combine extension from
	1.4 to 1.3

2003-12-03 09:13:38  Rev 7488   mortene

	* src/elements/GL/SoGLTextureImageElement.cpp:

	Improve API documentation.

2003-12-03 09:03:36  Rev 7487   mortene

	* docs/todo.txt:

	New item.

2003-12-03 02:39:53  Rev 7486   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-02 21:16:24  Rev 7485   mortene

	* src/vrml97/ImageTexture.cpp:

	Tiny fix for Doxygen.

2003-12-02 16:00:49  Rev 7484   handegar

	* src/actions/SoGLRenderAction.cpp:

	Doc fix. GLenum fix for shadow & depth_texture extensions.

2003-12-02 15:57:32  Rev 7483   handegar

	* include/Inventor/system/gl.h.in:

	Removed 'ARB' postfix for shadow and depth_texture extension enums.

2003-12-02 15:56:27  Rev 7482   handegar

	* src/glue/gl.c:

	Removed 'ARB' post/prefix for extensions which are moved into OGL 1.4 (shadow
	& depth_texture)

2003-12-02 14:48:05  Rev 7481   handegar

	* include/Inventor/system/gl.h.in:

	Removed enums for GL_EXT_texture_env_combine (GL_ARB_texture_env_combine was
	already added by Peder).

2003-12-02 14:38:00  Rev 7480   handegar

	* include/Inventor/system/gl.h.in:

	Added enums for the GL_EXT_texture_env_combine extension.

2003-12-02 14:34:17  Rev 7479   mortene

	* src/glue/gl.c:

	Sloppy code, leave a FIXME note.

2003-12-02 14:26:17  Rev 7478   mortene

	* src/glue/gl.c:

	Performance enhancement: cache results of max offscreen dimensions query.

2003-12-02 14:07:41  Rev 7477   mortene

	* src/glue/gl.c:

	Workaround for known limitation when using AGL pbuffers (at least on kyrah's
	system).

2003-12-02 11:42:11  Rev 7476   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Clean up the rather messy getMaxTileSize() function implementation.

2003-12-02 11:37:17  Rev 7475   mortene

	* src/glue/gl.c:

	Robustness fix: clamp max context dimensions to 2048 x 2048, to avoid problems
	with certain OpenGL drivers. Compilation fixes: replace C++-style comments
	with C-style comments.

2003-12-02 10:16:15  Rev 7474   handegar

	* src/actions/SoGLRenderAction.cpp:

	Doc fix.

2003-12-02 10:08:54  Rev 7473   mortene

	* docs/todo.txt:

	Link to the Unicode standard.

2003-12-02 09:39:00  Rev 7472   mortene

	* docs/api-wish-list.txt, docs/todo.txt:

	Move internationalization item to todo-list (it's not just an API change).

2003-12-02 09:23:47  Rev 7471   pederb

	* src/glue/gl_wgl.c:

	C++ comment fix.

2003-12-02 09:01:39  Rev 7470   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Bugfix: cached the wrong maxtilesize values. Better code comments. Increase
	max tile size limit to be above usual screen size (from 1024 to 2048).

2003-12-02 08:49:56  Rev 7469   mortene

	* src/nodes/SoTextureUnit.cpp:

	Minor API doc fix.

2003-12-02 08:46:35  Rev 7468   mortene

	* src/actions/SoGLRenderAction.cpp:

	Note in doc about when feature was added.

2003-12-02 08:31:52  Rev 7467   mortene

	* src/actions/SoGLRenderAction.cpp:

	API doc improvements.

2003-12-02 08:20:41  Rev 7466   mortene

	* docs/coin.doxygen.in:

	Generate doc for new nodes.

2003-12-02 02:40:00  Rev 7465   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-12-01 14:47:20  Rev 7464   pederb

	* src/glue/gl_wgl.c:

	Add FIXME.

2003-12-01 14:46:54  Rev 7463   pederb

	* src/glue/gl.c:

	Fix FIXME.

2003-12-01 14:33:35  Rev 7462   handegar

	* include/Inventor/system/gl.h.in:

	Added missing 'GL_' prefixes for EXT_texture_rectangle enums.

2003-12-01 14:13:55  Rev 7461   larsa

	* include/Inventor/elements/SoLazyElement.h:

	silence Sun Forte warning

2003-12-01 12:11:17  Rev 7460   larsa

	* src/vrml97/Sound.cpp, src/fonts/freetype.c,
	src/errors/SoDebugError.cpp, src/misc/SoAudioDevice.cpp,
	src/misc/SoType.cpp, include/Inventor/SbString.h,
	src/hardcopy/VectorizeActionP.cpp, src/hardcopy/VectorizePSAction.cpp:

	remove some warnings for Sun Forte compilation

2003-12-01 12:10:00  Rev 7459   larsa

	* aclocal.m4, configure, configure.ac:

	/noBool and simian test updates

2003-12-01 11:46:06  Rev 7458   handegar

	* src/actions/SoGLRenderAction.cpp:

	Changed glglue calls for NV_register_combiner methods from public to private.

2003-12-01 11:43:00  Rev 7457   handegar

	* src/glue/gl.c:

	Added better OpenGL-checking for some NV and EXT extensions.

2003-11-29 02:40:13  Rev 7456   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-28 16:52:11  Rev 7455   handegar

	* src/actions/SoGLRenderAction.cpp:

	MSVC compile fix.

2003-11-28 16:13:11  Rev 7454   handegar

	* src/glue/gl.c:

	Added bindings for GL_ARB_fragment_program and GL_EXT_texture_rectangle

2003-11-28 16:11:48  Rev 7453   handegar

	* include/Inventor/system/gl.h.in:

	Added #defines for GL_ARB_fragment_program.

2003-11-28 14:32:39  Rev 7452   pederb

	* include/Inventor/misc/SbHash.h:

	Fix ugly bug.

2003-11-28 14:14:08  Rev 7451   handegar

	* src/nodes/SoFont.cpp:

	Doc fix.

2003-11-28 13:57:14  Rev 7450   handegar

	* src/actions/SoGLRenderAction.cpp:

	Doc & comments fix.

2003-11-28 13:49:20  Rev 7449   pederb

	* src/misc/SoOffscreenRenderer.cpp:

	Set max. tile size to 1024x1024. Make it possible to configure through
	COIN_OFFSCREENRENDERER_MAX_TILESIZE.

2003-11-28 12:53:51  Rev 7448   handegar

	* include/Inventor/actions/SoGLRenderAction.h:

	Added support for order independent transparency rendering.

2003-11-28 12:46:34  Rev 7447   handegar

	* src/actions/SoGLRenderAction.cpp:

	Added support for order independent transparency rendering.

2003-11-28 09:58:59  Rev 7446   handegar

	* src/glue/gl.c:

	Added support for GL_NV_texture_shader, GL_NV_texture_rectangle,
	GL_NV_register_combiners, GL_ARB_shadow
	and GL_ARB_depth_texture

2003-11-28 09:57:39  Rev 7445   handegar

	* include/Inventor/system/gl.h.in:

	Added support for GL_NV_texture_shader, GL_NV_texture_rectangle,
	GL_NV_register_combiners, GL_ARB_shadow and GL_ARB_depth_texture

2003-11-28 02:40:14  Rev 7444   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-27 23:47:52  Rev 7443   kyrah

	* src/nodes/SoSceneTexture2.cpp:

	Call glFlush() after rendering to pBuffer. This is necessary to
	make sure rendering to the pBuffer is complete before using it as
	a texture.

2003-11-27 23:29:59  Rev 7442   kyrah

	* src/glue/gl_agl.c:

	Mac OS 10.2 build fix: Bind aglTexImagePBuffer function at runtime.

2003-11-27 17:08:12  Rev 7441   larsa

	* README.SUN:

	update

2003-11-27 16:45:38  Rev 7440   pederb

	* src/nodes/SoSceneTexture2.cpp:

	Use correct macros for internal Coin nodes.

2003-11-27 16:33:35  Rev 7439   pederb

	* src/glue/gl_wgl.c:

	This is C, not C++.

2003-11-27 16:24:47  Rev 7438   pederb

	* src/glue/gl_wgl.c:

	Small fix.

2003-11-27 16:15:17  Rev 7437   pederb

	* src/glue/gl_wgl.c:

	Set up pbuffer for texture rendering

2003-11-27 15:45:12  Rev 7436   pederb

	* src/misc/SoGLImage.cpp:

	Disable mipmaps for pbuffer textures.

2003-11-27 15:35:00  Rev 7435   pederb

	* src/glue/gl_agl.c:

	Compile fixes.

2003-11-27 15:19:10  Rev 7434   pederb

	* src/glue/gl_agl.c:

	Small fix in bind_pbuffer function.

2003-11-27 15:09:50  Rev 7433   pederb

	* src/glue/gl_wgl.c, src/glue/gl.c:

	Win32 render-to-texture test.

2003-11-27 14:21:57  Rev 7432   pederb

	* include/Inventor/system/gl.h.in:

	WGL_ARB_render_texture defines.

2003-11-27 13:16:59  Rev 7431   pederb

	* src/nodes/all-nodes-cpp.cpp:

	compact build fix.

2003-11-27 13:16:03  Rev 7430   pederb

	* src/nodes/SoNode.cpp:

	Initialize the SoSceneTexture2 node.

2003-11-27 13:12:40  Rev 7429   pederb

	* src/nodes/SoSceneTexture2.cpp,
	include/Inventor/nodes/SoSceneTexture2.h:

	PBuffer-based texture node. By larsa and kyrah. Some fixes by pederb. Still
	very experimental.

2003-11-27 11:58:47  Rev 7428   pederb

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:

	Experimental pbuffer support. Original version by kyrah. Some changes by
	pederb.

2003-11-27 11:15:01  Rev 7427   pederb

	* src/misc/SoOffscreenRenderer.cpp:

	Cache result of getMaxTileSize(). Bug spotted by kyrah.

2003-11-27 02:40:30  Rev 7426   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-26 22:34:08  Rev 7425   thammer

	* src/glue/gl_wgl.c:

	Compile (warning) fix. Bug reported by barbara.

2003-11-25 12:13:11  Rev 7424   pederb

	* src/glue/gl.c:

	Wrapper functions for pBuffer render-to-texture. Implemented caching of
	extension tests.

2003-11-25 11:57:59  Rev 7423   pederb

	* src/glue/gl_agl.c:

	pBuffer render-to-texture support for AGL. By kyrah.

2003-11-24 18:19:30  Rev 7422   larsa

	* patches/occlusion-test.diff:

	update

2003-11-24 18:00:22  Rev 7421   larsa

	* patches/occlusion-test.diff:

	update

2003-11-24 17:29:59  Rev 7420   pederb

	* patches/occlusion-test.diff:

	Patch for patch

2003-11-24 16:21:40  Rev 7419   larsa

	* patches/occlusion-test.diff:

	experimental patch

2003-11-24 16:08:09  Rev 7418   pederb

	* include/Inventor/system/gl.h.in:

	Defines for SGIS_generate_mipmap.

2003-11-24 13:29:25  Rev 7417   pederb

	* include/Inventor/nodes/Makefile.in, src/nodes/Makefile.in,
	src/nodes/SoSceneTexture2.cpp,
	include/Inventor/nodes/SoSceneTexture2.h,
	include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am:

	Build framework for SoSceneTexture2.

2003-11-24 11:27:02  Rev 7416   pederb

	* src/nodes/SoWWWInline.cpp:

	Misc. fixes for SoWWWInline (SoBBoxAction and SoSearchAction).

2003-11-24 10:12:55  Rev 7415   mortene

	* src/glue/gl_wgl.c:

	Bugfix: reinstate correct HBITMAP. Reported by Dan of Golden Software. Quality
	fixes: more defensive invocation of Win32 API functions.

2003-11-24 10:09:36  Rev 7414   handegar

	* src/fonts/glyph3d.c:

	Changed code due to VC 6.0 (sp5) compilator optimization bug leading to ugly
	memleak in Release
	mode (fixed and reported by Gerhard Reitmayr).

2003-11-24 09:55:46  Rev 7413   pederb

	* src/misc/SoGL.cpp:

	It's 2003, not 2002.

2003-11-24 09:49:46  Rev 7412   pederb

	* src/misc/SoGL.cpp:

	A bit improved workaround for cc_glglue problem.

2003-11-24 09:45:34  Rev 7411   mortene

	* src/caches/SoBoundingBoxCache.cpp:

	Bugfix: removes potential for uninitialized memory read. Reported by Dan of
	Golden Software.

2003-11-24 09:42:38  Rev 7410   mortene

	* src/caches/SoBoundingBoxCache.cpp:

	Codestyle: THIS -> PRIVATE, removes unnecessary Doxygen ifdef wrapping.

2003-11-24 09:39:22  Rev 7409   pederb

	* src/misc/SoGL.cpp:

	Forgot FIXME

2003-11-24 09:34:48  Rev 7408   pederb

	* src/misc/SoGL.cpp:

	Disable assert until we get a chance to test with gcc 3.2.

2003-11-24 09:29:33  Rev 7407   mortene

	* src/glue/dl.c:

	Bugfixes: removes potential memory leaks for Win32 (reported by Dan of Golden
	Software) and Mac OS X.

2003-11-21 17:21:17  Rev 7406   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Compile fix.

2003-11-21 16:57:52  Rev 7405   pederb

	* src/caches/all-caches-cpp.cpp:

	compact build fix.

2003-11-21 15:54:23  Rev 7404   larsa

	* include/Inventor/caches/Makefile.in, src/vrml97/Makefile.am,
	include/Inventor/actions/Makefile.am,
	include/Inventor/engines/Makefile.in,
	include/Inventor/lock/Makefile.in, src/3ds/Makefile.in,
	src/misc/Makefile.in, include/Inventor/events/Makefile.am,
	include/Inventor/collision/Makefile.in, src/io/Makefile.am,
	src/vrml97/Makefile.in, src/hardcopy/Makefile.am,
	include/Inventor/actions/Makefile.in, src/errors/Makefile.am,
	src/elements/Makefile.am, include/Inventor/events/Makefile.in,
	src/io/Makefile.in, src/nodekits/Makefile.am, configure,
	src/hardcopy/Makefile.in, src/elements/Makefile.in,
	src/errors/Makefile.in, src/caches/Makefile.am,
	include/Inventor/manips/Makefile.am, src/engines/Makefile.am,
	src/nodekits/Makefile.in, include/Inventor/threads/Makefile.am,
	src/projectors/Makefile.am, src/collision/Makefile.am,
	include/Inventor/lists/Makefile.am, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/actions/Makefile.am,
	src/engines/Makefile.in, src/projectors/Makefile.in, configure.ac,
	include/Inventor/threads/Makefile.in, src/events/Makefile.am,
	src/collision/Makefile.in, src/fields/Makefile.am,
	include/Inventor/lists/Makefile.in,
	include/Inventor/nodes/Makefile.am, src/actions/Makefile.in,
	src/events/Makefile.in, src/elements/GL/Makefile.am,
	src/fields/Makefile.in, include/Inventor/nodes/Makefile.in,
	include/Inventor/system/Makefile.am,
	include/Inventor/details/Makefile.am, src/manips/Makefile.am,
	src/elements/GL/Makefile.in, src/fonts/Makefile.am,
	src/threads/Makefile.am, src/upgraders/Makefile.am,
	src/sensors/Makefile.am, src/glue/Makefile.am,
	include/Inventor/bundles/Makefile.am,
	include/Inventor/system/Makefile.in, src/lists/Makefile.am,
	include/Inventor/draggers/Makefile.am,
	include/Inventor/details/Makefile.in, src/manips/Makefile.in,
	include/Inventor/Makefile.am, src/fonts/Makefile.in,
	src/threads/Makefile.in, include/Inventor/bundles/Makefile.in,
	src/glue/Makefile.in, src/sensors/Makefile.in,
	src/upgraders/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, src/nodes/Makefile.am,
	include/Inventor/annex/Makefile.am, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.am, src/details/Makefile.am,
	src/shapenodes/Makefile.am, include/Inventor/misc/Makefile.am,
	include/Inventor/annex/HardCopy/Makefile.in, src/bundles/Makefile.am,
	src/draggers/Makefile.am, src/details/Makefile.in,
	src/extensions/Makefile.am, src/shapenodes/Makefile.in,
	include/Inventor/misc/Makefile.in, src/bundles/Makefile.in,
	src/draggers/Makefile.in, src/extensions/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.am,
	include/Inventor/elements/Makefile.am,
	include/Inventor/nodekits/Makefile.am,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/caches/Makefile.am, include/Inventor/Make-
	Common.tpl, include/Inventor/engines/Makefile.am,
	include/Inventor/lock/Makefile.am, src/3ds/Makefile.am,
	include/Inventor/nodekits/Makefile.in,
	include/Inventor/collision/Makefile.am, src/misc/Makefile.am:

	install header files when make is in header directory

2003-11-21 14:54:18  Rev 7403   pederb

	* src/misc/SoState.cpp:

	Pop elements in the reverse order they're pushed. This fixes an
	SoOffscreenRenderer bug.

2003-11-21 09:34:39  Rev 7402   pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:

	Fix recently introduced bug.

2003-11-21 00:26:36  Rev 7401   thammer

	* src/caches/Makefile.in, src/misc/Makefile.in:

	bootstrap

2003-11-21 00:23:10  Rev 7400   thammer

	* src/caches/Makefile.am, src/misc/Makefile.am:

	Corrected path to private header and moved it to the correct Makefile.am

2003-11-20 23:58:07  Rev 7399   thammer

	* src/caches/Makefile.in, src/misc/Makefile.in:

	bootstrap

2003-11-20 23:48:56  Rev 7398   thammer

	* src/caches/Makefile.am:

	Added missing private header.

2003-11-20 15:16:18  Rev 7397   pederb

	* src/nodes/SoBumpMap.cpp:

	Use max quality for bumpmaps.

2003-11-20 15:12:27  Rev 7396   pederb

	* src/shapenodes/SoShape.cpp, src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_bumprender.h:

	Optimize bumpmap rendering by caching the tangent space.

2003-11-20 14:40:26  Rev 7395   pederb

	* src/shapenodes/SoShape.cpp:

	Share bumprender class among all threads.

2003-11-20 14:04:46  Rev 7394   mortene

	* docs/coin.doxygen.in:

	Bugfix: forgot to add header file for SoTextureUnit.

2003-11-20 13:57:24  Rev 7393   pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:

	Bumpmap coordinates bugfix.

2003-11-20 12:59:50  Rev 7392   mortene

	* docs/coin.doxygen.in:

	Bugfix: SoInput and SoOutput sources have moved. Adds SoTextureUnit.

2003-11-20 11:38:08  Rev 7391   pederb

	* src/shapenodes/soshape_bumprender.cpp:

	Code cleanup.

2003-11-19 14:29:04  Rev 7390   larsa

	* docs/misc-resources.txt:

	link to vrml97 amendment 1

2003-11-19 14:20:46  Rev 7389   mortene

	* configure, src/misc/Makefile.in, src/Makefile.in:

	Bootstrap.

2003-11-19 14:14:04  Rev 7388   mortene

	* src/io, src/io/SoInput_FileInfo.h, src/misc/SoOutput_Writer.cpp,
	src/io/SoInput_Reader.cpp, src/misc/SoInput.cpp, src/io/Makefile.am,
	src/misc/gzmemio.c, src/io/all-io-cpp.cpp, src/io/all-io-c.c,
	src/io/SoOutput_Writer.cpp, src/misc/gzmemio.h,
	src/misc/SoInput_FileInfo.cpp, src/io/Makefile.in,
	src/io/SoInput.cpp, src/misc/SoByteStream.cpp, src/io/gzmemio.c,
	src/misc/SoInput_Reader.h, src/io/SoInput_FileInfo.cpp,
	src/io/gzmemio.h, src/misc/SoTranReceiver.cpp,
	src/io/SoByteStream.cpp, src/Makefile.am, configure.ac,
	src/misc/SoOutput.cpp, src/misc/SoOutput_Writer.h,
	src/io/SoInput_Reader.h, src/misc/SoTranSender.cpp,
	src/io/SoTranReceiver.cpp, src/io/SoOutput.cpp,
	src/io/SoOutput_Writer.h, src/misc/SoInput_FileInfo.h, src/misc/all-
	misc-c.c, src/misc/SoInput_Reader.cpp, src/io/SoTranSender.cpp,
	src/misc/Makefile.am:

	Split out source code in new directory for files related to I/O operations.
	Source code files moved from src/misc to src/io/.

2003-11-19 13:37:44  Rev 7387   mortene

	* src/fields/SoField.cpp:

	Bug prevention: avoid using a single static buffer for the
	SoField::get(SbString&) method, as that will easily fail upon recursive
	invocation of the function.

2003-11-19 12:16:42  Rev 7386   mortene

	* include/Inventor/misc/SbHash.h:

	Codestyle issue: make naming better confirm to rest of API.

2003-11-19 11:31:35  Rev 7385   handegar

	* src/shapenodes/SoAsciiText.cpp:

	Fixed destructor error.

2003-11-19 10:57:45  Rev 7384   handegar

	* src/fonts/freetype.c:

	Removed unnecsessary malloc'ing and free'ing.

2003-11-18 18:56:20  Rev 7383   mortene

	* src/engines/SoGate.cpp:

	Optimization and bug work-around: don't go through a string to pass on field
	value(s). By Gerhard Reitmayr.

2003-11-18 17:24:53  Rev 7382   pederb

	* src/nodes/SoBumpMap.cpp:

	Detect if we can do bumpmapping.

2003-11-18 17:24:10  Rev 7381   pederb

	* src/glue/gl.c:

	Bugfix.

2003-11-18 17:21:16  Rev 7380   pederb

	* src/glue/gl.c:

	Add function to test if we can do bumpmapping.

2003-11-18 16:42:13  Rev 7379   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Bugfix.

2003-11-18 16:20:36  Rev 7378   pederb

	* include/Inventor/misc/SbHash.h:

	Use references, not the stack, to pass parameters.

2003-11-18 15:53:47  Rev 7377   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/shapenodes/SoShape.cpp, src/caches/SoPrimitiveVertexCache.cpp,
	src/shapenodes/soshape_bumprender.h:

	Proper support for fetching bump map coordinates.

2003-11-18 15:50:39  Rev 7376   pederb

	* src/shapenodes/soshape_primdata.cpp, src/shapenodes/soshape_primdata.h:

	Added support for finding the point detail index based on an SoPrimitiveVertex
	pointer.

2003-11-18 15:46:57  Rev 7375   pederb

	* src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/vrml97/IndexedFaceSet.cpp, src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/shapenodes/SoQuadMesh.cpp:

	Support for SoTextureCoordinateBundle::needIndices().

2003-11-18 15:25:21  Rev 7374   pederb

	* include/Inventor/bundles/SoTextureCoordinateBundle.h,
	src/bundles/SoTextureCoordinateBundle.cpp:

	New function needed for correct bumpmap rendering.

2003-11-18 15:16:48  Rev 7373   mortene

	* src/fonts/win32.c:

	Even less ugly..

2003-11-18 15:10:30  Rev 7372   mortene

	* src/fonts/win32.c:

	FIXME notes, various cleanups (inefficiensis, some ugly code).

2003-11-18 14:48:12  Rev 7371   pederb

	* src/nodes/SoBumpMap.cpp:

	Clear bumpmap when there's no image.

2003-11-18 12:15:55  Rev 7370   pederb

	* src/elements/SoBumpMapCoordinateElement.cpp:

	Added missing function implementation.

2003-11-18 11:50:29  Rev 7369   mortene

	* src/misc/SoPath.cpp:

	Bugfix: getLength() would crash if there was a NULL pointer in the path.

2003-11-18 11:45:34  Rev 7368   pederb

	* aclocal.m4, include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/Makefile.in, src/caches/Makefile.am:

	Make SoPrimitiveVertexCache private.

2003-11-18 10:40:19  Rev 7367   handegar

	* src/fonts/freetype.c:

	Tessellation optimization.

2003-11-18 10:39:39  Rev 7366   handegar

	* src/fonts/win32.c:

	Removed forgotten debug 'printf'.

2003-11-18 10:12:19  Rev 7365   mortene

	* src/fonts/default3dfont.c, src/fonts/defaultfonts.h:

	Const type qualifier for float return value is meaningless (and causes a
	warning with gcc 2.95.4).

2003-11-18 09:05:47  Rev 7364   mortene

	* src/glue/gl_glx.c:

	Bugfix: avoid duplicate glxglue_contextdata_cleanup() invocations. Fixed by
	Tamer Fahmy.

2003-11-17 20:08:44  Rev 7363   handegar

	* src/fonts/default3dfont.c, src/fonts/defaultfonts.h:

	Made the 3d font 'get_advance' return a const float.

2003-11-17 20:02:16  Rev 7362   mortene

	* src/3ds/3dsLoader.cpp, include/Inventor/SoDB.h, src/3ds/3dsLoader.h,
	src/misc/SoDB.cpp, docs/todo.txt:

	API for progress callbacks. Better handling of 3DS files; warn when 3DS file
	is attempted read, but Coin is not suitably configured. Bugfix: return correct
	root node when reading 3DS file (problem reported by kintel).

2003-11-17 19:39:01  Rev 7361   handegar

	* src/glue/GLUWrapper.c:

	Added support for gluTessNormal().

2003-11-17 18:11:05  Rev 7360   handegar

	* src/fonts/win32.c:

	Compile fix.

2003-11-17 17:59:36  Rev 7359   pederb

	* src/shapenodes/SoShape.cpp, src/shapenodes/soshape_bumprender.cpp,
	src/shapenodes/soshape_bumprender.h:

	Recode bumpmap rendering to use SoPrimitiveVertexCache.

2003-11-17 17:59:27  Rev 7358   handegar

	* src/fonts/win32.c:

	Fix for missing vertex on win95/98/Me when tessellating glyphs.

2003-11-17 17:57:49  Rev 7357   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:

	Some fixmes.

2003-11-17 17:55:56  Rev 7356   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Doc. fix.

2003-11-17 17:55:32  Rev 7355   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:

	SoPrimitiveVertexCache implementation.

2003-11-17 15:21:22  Rev 7354   mortene

	* src/glue/gl_wgl.c:

	Misc fixes to correct, robustify and clean up the WGL pbuffer implementation.
	By Tamer Fahmy and mortene.

2003-11-17 15:03:16  Rev 7353   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/Makefile.in, src/caches/Makefile.am,
	src/caches/SoPrimitiveVertexCache.cpp:

	New cache.

2003-11-17 14:25:14  Rev 7352   pederb

	* src/nodes/SoBumpMap.cpp:

	Doc. update.

2003-11-17 13:36:12  Rev 7351   pederb

	* src/nodes/SoNode.cpp:

	Initialize SoBumpMapCoordinate.

2003-11-17 13:35:51  Rev 7350   pederb

	* src/elements/SoElement.cpp:

	Initialize SoBumpMapCoordinateElement.

2003-11-17 13:32:29  Rev 7349   pederb

	* src/nodes/SoBumpMapCoordinate.cpp:

	Add since comment.

2003-11-17 13:22:08  Rev 7348   pederb

	* include/Inventor/elements/SoBumpMapCoordinateElement.h,
	include/Inventor/nodes/SoBumpMapCoordinate.h,
	src/elements/SoBumpMapCoordinateElement.cpp,
	src/nodes/SoBumpMapCoordinate.cpp:

	SoBumpMap and SoBumpMapElement implementation.

2003-11-17 12:57:10  Rev 7347   pederb

	* src/nodes/all-nodes-cpp.cpp:

	Remove double instance.

2003-11-17 12:55:36  Rev 7346   pederb

	* src/nodes/all-nodes-cpp.cpp, src/shapenodes/all-shapenodes-cpp.cpp,
	src/elements/all-elements-cpp.cpp, src/glue/all-glue-c.c:

	all update.

2003-11-17 12:15:06  Rev 7345   pederb

	* include/Inventor/elements/SoBumpMapCoordinateElement.h,
	include/Inventor/nodes/SoBumpMapCoordinate.h, src/nodes/Makefile.in,
	src/elements/Makefile.in, src/nodes/Makefile.am,
	src/elements/SoBumpMapCoordinateElement.cpp,
	src/nodes/SoBumpMapCoordinate.cpp, src/elements/Makefile.am:

	SoBumpMapCoordinate build.

2003-11-17 11:48:58  Rev 7344   pederb

	* src/shapenodes/SoShape.cpp:

	Do bumpmap rendering.

2003-11-17 10:56:03  Rev 7343   pederb

	* src/elements/SoElement.cpp:

	Init SoBumpMapElement.

2003-11-17 10:55:31  Rev 7342   pederb

	* src/nodes/SoNode.cpp:

	Init SoBumpMap node.

2003-11-17 10:52:50  Rev 7341   pederb

	* src/nodes/SoBumpMap.cpp, include/Inventor/nodes/SoBumpMap.h:

	SoBumpMap implementation.

2003-11-17 10:51:59  Rev 7340   pederb

	* src/elements/SoBumpMapElement.cpp,
	include/Inventor/elements/SoBumpMapElement.h:

	SoBumpMapElement implementation.

2003-11-17 10:50:08  Rev 7339   pederb

	* src/elements/SoTextureOverrideElement.cpp,
	include/Inventor/elements/SoTextureOverrideElement.h:

	Add functions for bump map override.

2003-11-17 10:48:29  Rev 7338   pederb

	* src/nodes/SoPointLight.cpp:

	Update SoLightElement when traversing.

2003-11-17 10:41:16  Rev 7337   pederb

	* src/elements/GL/SoGLMultiTextureImageElement.cpp,
	include/Inventor/elements/SoGLMultiTextureImageElement.h:

	Add function to restore the current texture.

2003-11-17 10:38:45  Rev 7336   pederb

	* src/glue/normalization_cubemap.c,
	src/shapenodes/soshape_bumprender.cpp:

	Compile fix.

2003-11-17 10:37:44  Rev 7335   pederb

	* src/nodes/SoSpotLight.cpp, src/nodes/SoDirectionalLight.cpp:

	Update SoLightElement when traversing.

2003-11-17 10:36:51  Rev 7334   pederb

	* src/nodes/SoLight.cpp:

	Enable SoLightElement for SoGLRenderAction (needed for bumpmap rendering).

2003-11-17 10:25:20  Rev 7333   pederb

	* aclocal.m4, src/shapenodes/Makefile.in, src/glue/Makefile.in,
	src/glue/normalization_cubemap.c,
	src/shapenodes/soshape_bumprender.cpp, src/shapenodes/Makefile.am,
	src/shapenodes/soshape_bumprender.h, src/glue/Makefile.am:

	Bumpmap rendering.

2003-11-16 13:02:15  Rev 7332   mortene

	* docs/todo.txt, docs/oiv_compatibility.txt:

	Remove items taken care of.

2003-11-16 09:06:39  Rev 7331   mortene

	* src/glue/gl.c, docs/GLWrapper.txt:

	Move kintel's old doc for the GL wrapper to the source code, update it to be
	correct versus the current interface.

2003-11-15 02:56:55  Rev 7330   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-14 19:57:28  Rev 7329   kintel

	* src/vrml97/Text.cpp:

	Added missing #include <string.h>

2003-11-14 15:41:35  Rev 7328   larsa

	* HACKING:

	note on COIN_BETA_VERSION

2003-11-14 15:35:48  Rev 7327   kyrah

	* src/glue/gl.c:

	coin_agl_getprocaddress() renamed to aglglue_getprocaddress()

2003-11-14 15:32:33  Rev 7326   kyrah

	* src/glue/gl_agl.c:

	Misc cleanup and re-structuring.

2003-11-14 15:28:03  Rev 7325   larsa

	* aclocal.m4, configure, include/config.h.in:

	bootstrap

2003-11-14 15:25:13  Rev 7324   larsa

	* configure.ac:

	make it possible to test if this is a proper release version or not from the
	preprocessor

2003-11-14 14:32:21  Rev 7323   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Improved facilities for debugging: added possibility for dumping raw tiles to
	disk.

2003-11-14 13:51:06  Rev 7322   pederb

	* src/elements/SoBumpMapElement.cpp:

	Add missing file.

2003-11-14 13:48:23  Rev 7321   pederb

	* src/nodes/all-nodes-cpp.cpp, src/nodes/Makefile.in,
	src/nodes/SoBumpMap.cpp, src/elements/Makefile.in,
	include/Inventor/elements/SoBumpMapElement.h, src/elements/all-
	elements-cpp.cpp, include/Inventor/nodes/SoBumpMap.h,
	src/nodes/Makefile.am, src/elements/Makefile.am:

	Build framework for SoBumpMap and SoBumpMapElement.

2003-11-14 13:35:38  Rev 7320   mortene

	* src/nodes/SoBlinker.cpp:

	Very minor cleanup: remove unnecessary header file inclusion.

2003-11-14 12:12:21  Rev 7319   mortene

	* TODO-2.2:

	New item.

2003-11-14 12:11:51  Rev 7318   handegar

	* src/shapenodes/SoText3.cpp:

	Added proper support for PER_PART coloring. More API doc.

2003-11-14 12:01:43  Rev 7317   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	More API doc.

2003-11-14 11:56:01  Rev 7316   pederb

	* include/Inventor/system/gl.h.in:

	GL cube_map, env_combine, and env_dot3 defines.

2003-11-14 11:51:01  Rev 7315   larsa

	* TODO-2.2:

	new temporary (kill before 2.2. release) TODO-file

2003-11-14 11:41:26  Rev 7314   mortene

	* src/misc/SoGLLineSetTemplate.icc, src/shapenodes/SoText3.cpp:

	Compilation fixes for --enable-compact.

2003-11-14 11:20:30  Rev 7313   pederb

	* include/Inventor/system/gl.h.in:

	More multitexture defines.

2003-11-14 10:43:38  Rev 7312   mortene

	* src/elements/GL/SoGLTextureCoordinateElement.cpp, src/nodes/all-nodes-
	cpp.cpp, src/elements/all-elements-cpp.cpp, src/elements/GL/all-
	glelements-cpp.cpp:

	Compilation fixes for --enable-compact.

2003-11-14 10:26:41  Rev 7311   mortene

	* src/vrml97/Geometry.cpp, src/vrml97/Extrusion.cpp,
	src/actions/SoRayPickAction.cpp:

	Compilation fixes for --enable-compact.

2003-11-14 09:43:12  Rev 7310   mortene

	* src/glue/gl_glx.c:

	Bugfix: copy'n'paste error, found by kyrah.

2003-11-14 09:20:52  Rev 7309   mortene

	* src/fonts/win32.c:

	FIXME note about sub-optimal handling of Win32 GetTextFace() bug.

2003-11-14 09:17:05  Rev 7308   mortene

	* src/glue/win32api.c:

	Simplify GetVersionEx() wrapper. Additional code comments on GetTextFace()
	error detection and Win32 bug workaround.

2003-11-14 02:57:15  Rev 7307   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-14 02:56:47  Rev 7306   kyrah

	* src/glue/gl_agl.c:

	Runtime binding for AGL pBuffer functions.

2003-11-13 18:41:13  Rev 7305   handegar

	* src/fonts/win32.c:

	Fixed error appearing on Win95/98/Me.

2003-11-13 18:40:19  Rev 7304   handegar

	* src/glue/win32api.c:

	Added binding for "GetVersionEx()". Added workaround for Win98/95/Me bug in
	"GetTextFace()".

2003-11-13 17:07:52  Rev 7303   pederb

	* src/elements/SoBumpMappingPropertyElement.cpp,
	src/nodes/SoBumpMappingProperty.cpp, src/nodes/Makefile.am,
	include/Inventor/elements/SoBumpMappingPropertyElement.h,
	include/Inventor/nodes/SoBumpMappingProperty.h,
	src/elements/Makefile.am:

	build framework for bump mapping node and element.

2003-11-13 16:59:51  Rev 7302   mortene

	* src/nodes/SoTextureUnit.cpp:

	Only warn once.

2003-11-13 16:20:01  Rev 7301   pederb

	* src/nodes/SoTextureUnit.cpp, include/Inventor/nodes/SoTextureUnit.h:

	Compatibility fix.

2003-11-13 16:16:40  Rev 7300   pederb

	* src/glue/gl.c:

	max texture units fix.

2003-11-13 13:29:00  Rev 7299   pederb

	* include/Inventor/nodes/SoTextureCoordinatePlane.h,
	src/nodes/SoTextureCoordinatePlane.cpp:

	Multi-texture SoTextureCoordinatePlane support.

2003-11-13 12:12:02  Rev 7298   mortene

	* examples/bindings/glutiv.cpp:

	Smoother animation by increasing the default realtime interval. Copyright
	update (-> GPL). Misc minor doc fixes.

2003-11-13 12:11:16  Rev 7297   mortene

	* examples/bindings/glxiv.cpp:

	Display Coin scene graph.

2003-11-13 11:27:05  Rev 7296   pederb

	* src/nodes/SoTextureCoordinatePlane.cpp:

	Bugfix. Initialize texgen cache for other actions than SoGLRenderAction.

2003-11-13 11:12:16  Rev 7295   mortene

	* examples/bindings/glxiv.cpp:

	Beginnings of a GLX binding for Coin. Only does OpenGL yet.

2003-11-13 11:05:55  Rev 7294   kintel

	* README.MAC:

	Updated URL to Qt/Mac

2003-11-13 10:17:04  Rev 7293   pederb

	* include/Inventor/elements/SoGLMultiTextureMatrixElement.h:

	Fix typedef.

2003-11-13 02:56:45  Rev 7292   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-12 18:36:52  Rev 7291   larsa

	* src/glue/gl.c:

	glClientActiveTexture() needed when combining vertex arrays and multi-
	texturing

2003-11-12 16:42:58  Rev 7290   pederb

	* src/elements/GL/SoGLMultiTextureImageElement.cpp:

	Bugfix.

2003-11-12 16:16:49  Rev 7289   pederb

	* src/elements/GL/Makefile.am, src/nodes/Makefile.in,
	src/elements/Makefile.in, src/elements/GL/Makefile.in,
	src/nodes/Makefile.am, src/elements/Makefile.am:

	Install multi-texture headers.

2003-11-12 16:08:10  Rev 7288   mortene

	* src/glue/gl_wgl.c, include/Inventor/system/gl.h.in:

	Support WGL_EXT_pbuffer in addition to WGL_ARB_pbuffer for pbuffer support.

2003-11-12 13:27:29  Rev 7287   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	FIXME notes.

2003-11-12 13:25:07  Rev 7286   mortene

	* src/glue/gl_wgl.c:

	WGL pbuffer implementation, by Tamer Fahmy.

2003-11-12 13:08:46  Rev 7285   mortene

	* include/Inventor/system/gl.h.in:

	Additional enums for WGL pbuffer extensions.

2003-11-12 02:56:44  Rev 7284   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-11 12:40:55  Rev 7283   larsa

	* src/actions/SoRayPickAction.cpp:

	THIS to PRIVATE(this) update

2003-11-11 09:42:29  Rev 7282   pederb

	* src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/elements/GL/SoGLLazyElement.cpp:

	Use glTexEnvi (not glTexEnvf) where applicable.

2003-11-11 09:37:47  Rev 7281   pederb

	* src/elements/SoElement.cpp,
	src/elements/SoMultiTextureMatrixElement.cpp,
	src/nodes/SoTexture2Transform.cpp, src/nodes/SoTexture3Transform.cpp,
	src/nodes/SoTextureUnit.cpp,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	include/Inventor/elements/SoGLMultiTextureMatrixElement.h:

	Support for texture transforms for texture units > 0.

2003-11-11 02:56:22  Rev 7280   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-10 16:00:04  Rev 7279   pederb

	* src/vrml97/Box.cpp, src/shapenodes/SoCube.cpp,
	src/vrml97/Cylinder.cpp, src/shapenodes/SoShape.cpp,
	src/misc/SoGL.cpp, src/shapenodes/SoCone.cpp,
	include/Inventor/misc/SoGL.h, src/shapenodes/SoCylinder.cpp,
	src/vrml97/Cone.cpp:

	Support for multitexturing for basic shapes.

2003-11-10 15:04:31  Rev 7278   pederb

	* include/Inventor/bundles/SoTextureCoordinateBundle.h,
	src/bundles/SoTextureCoordinateBundle.cpp:

	Support for default texture coordinates for texture units >= 1.

2003-11-10 14:46:37  Rev 7277   larsa

	* src/misc/SoDB.cpp:

	typo

2003-11-10 14:39:29  Rev 7276   handegar

	* src/fonts/freetype.c:

	Comment added on MacOS X FreeType issue.

2003-11-10 14:05:58  Rev 7275   handegar

	* src/fonts/freetype.c:

	Changed explicit bitmap-type denotation back to FT_LOAD_DEFAULT due to MacOS X
	issues.

2003-11-10 13:56:29  Rev 7274   pederb

	* src/vrml97/Sphere.cpp, src/misc/SoGL.cpp, src/shapenodes/SoSphere.cpp,
	include/Inventor/misc/SoGL.h:

	Send texture coordinates for all active units for SoSphere and SoVRMLSphere.

2003-11-10 13:48:41  Rev 7273   pederb

	* src/nodes/SoTextureCoordinateEnvironment.cpp:

	Consider unit when setting environment mapping.

2003-11-10 13:47:25  Rev 7272   pederb

	* src/elements/GL/SoGLTextureCoordinateElement.cpp,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	include/Inventor/elements/SoGLMultiTextureCoordinateElement.h:

	Optimized rendering for the SoGLMultiTextureCoordinateElement.

2003-11-08 02:56:04  Rev 7271   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-07 16:38:41  Rev 7270   handegar

	* src/fonts/win32.c:

	Fixed misleading error messages.

2003-11-07 15:22:14  Rev 7269   larsa

	* src/misc/SoDB.cpp:

	bread-text about knowing when a problem is in the application domain
	('unpublished' because I chickened out)

2003-11-07 02:55:57  Rev 7268   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-06 08:52:24  Rev 7267   mortene

	* src/draggers/SoTabPlaneDragger.cpp:

	Make tabs position correctly even when there's a negative scale in the model
	matrix. Fix by Kristofer Tingdahl.

2003-11-06 02:55:52  Rev 7266   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-05 14:41:49  Rev 7265   larsa

	* include/Inventor/misc/SbHash.h:

	bugfix

2003-11-05 11:59:22  Rev 7264   mortene

	* src/glue/win32api.c:

	Better debugging aid in the GetTextFace() wrapper.

2003-11-05 11:58:20  Rev 7263   mortene

	* HACKING, src/nodes/SoFont.cpp, src/threads/thread.c, src/misc/SoDB.cpp:

	Doc additions / fixes.

2003-11-05 10:58:47  Rev 7262   pederb

	* src/glue/gl.c:

	C++ comment fix.

2003-11-05 10:46:13  Rev 7261   larsa

	* src/elements/GL/SoGLDisplayList.cpp:

	typo fix

2003-11-05 02:55:39  Rev 7260   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-04 18:06:43  Rev 7259   larsa

	* include/Inventor/misc/SbHash.h:

	misc compile-fixes

2003-11-04 17:53:37  Rev 7258   larsa

	* include/Inventor/misc/SoLightPath.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/lists/SbList.h:

	don't pull inn SbBasic.h through SbList.h - SbList.h ought to be movable
	verbatim to other projects

2003-11-04 17:36:15  Rev 7257   larsa

	* docs/api-wish-list.txt:

	update

2003-11-04 17:29:35  Rev 7256   larsa

	* include/Inventor/misc/SbHash.h:

	inline hash template class

2003-11-04 17:07:26  Rev 7255   pederb

	* src/elements/GL/SoGLTextureCoordinateElement.cpp:

	Bugfix.

2003-11-04 16:42:21  Rev 7254   pederb

	* src/nodes/SoTextureUnit.cpp, src/nodes/SoTexture2.cpp:

	Handle unit out-of-range.

2003-11-04 16:29:57  Rev 7253   pederb

	* src/glue/gl.c:

	Function for checking max texture units.

2003-11-04 15:43:52  Rev 7252   pederb

	* src/elements/GL/SoGLTextureCoordinateElement.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp:

	Rendering fixes.

2003-11-04 13:18:28  Rev 7251   pederb

	* aclocal.m4, src/elements/GL/Makefile.am,
	src/elements/SoMultiTextureMatrixElement.cpp, configure,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	src/elements/Makefile.in, src/elements/GL/Makefile.in,
	include/Inventor/elements/SoGLMultiTextureMatrixElement.h,
	src/elements/Makefile.am:

	Element to handle texture matrix for texture units.

2003-11-04 11:45:15  Rev 7250   pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:

	Init support for multi-texturing when rendering.

2003-11-04 11:44:33  Rev 7249   pederb

	* src/nodes/SoTextureCoordinate2.cpp:

	Send texture coordinates to correct unit.

2003-11-04 11:43:41  Rev 7248   pederb

	* src/nodes/SoTexture2.cpp:

	Send texture to correct unit.

2003-11-04 11:42:39  Rev 7247   pederb

	* src/nodes/SoTextureUnit.cpp:

	Enable multi-texturing elements for SoGLRenderAction.

2003-11-04 11:41:59  Rev 7246   pederb

	* src/elements/SoElement.cpp:

	Initialize multi-texturing elements.

2003-11-04 11:40:05  Rev 7245   pederb

	* src/elements/GL/SoGLTextureCoordinateElement.cpp,
	include/Inventor/elements/SoGLTextureCoordinateElement.h:

	New function to intitalized multi texturing when rendering.

2003-11-04 11:36:23  Rev 7244   pederb

	* src/elements/SoMultiTextureEnabledElement.cpp,
	include/Inventor/elements/SoMultiTextureEnabledElement.h:

	New function to fetch enabled units.

2003-11-04 02:55:37  Rev 7243   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-11-03 16:22:22  Rev 7242   pederb

	* src/elements/GL/SoGLTextureCoordinateElement.cpp:

	Pimpl-hack for SoGLTextureCoordinateElement.

2003-11-03 16:16:37  Rev 7241   pederb

	* src/elements/GL/SoGLMultiTextureImageElement.cpp,
	include/Inventor/elements/SoGLMultiTextureImageElement.h:

	SoGLMultiTextureImageElement implementation.

2003-11-03 16:14:24  Rev 7240   pederb

	* src/elements/SoMultiTextureImageElement.cpp,
	include/Inventor/elements/SoMultiTextureImageElement.h:

	Use enums from SoTextureImageElement.

2003-11-03 13:57:59  Rev 7239   pederb

	* src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	include/Inventor/elements/SoGLMultiTextureCoordinateElement.h:

	SoGLMultiTextureCoordinateElement implementation.

2003-11-03 13:37:59  Rev 7238   pederb

	* src/elements/SoMultiTextureCoordinateElement.cpp,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h:

	Get writable unit data.

2003-11-01 02:55:16  Rev 7237   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-31 15:19:01  Rev 7236   pederb

	* src/actions/SoHandleEventAction.cpp:

	Bugfix. Set pick as not valid after SoRayPickAction::reset() in case somebody
	tries to fetch the picked point after the action has been applied.

2003-10-31 15:11:12  Rev 7235   mortene

	* configure.ac:

	Use /noBool to help us keep the code portable.

2003-10-31 14:07:38  Rev 7234   pederb

	* src/glue/gl.c:

	Some extra multi-texture functions.

2003-10-31 08:52:37  Rev 7233   pederb

	* src/elements/SoMultiTextureCoordinateElement.cpp:

	Doc. update.

2003-10-31 08:50:26  Rev 7232   pederb

	* include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp:

	SoGLMultiTextureEnabledElement implementation.

2003-10-31 08:48:15  Rev 7231   pederb

	* src/elements/SoMultiTextureEnabledElement.cpp,
	include/Inventor/elements/SoMultiTextureEnabledElement.h:

	Added isEnabled() protected function.

2003-10-31 08:47:25  Rev 7230   pederb

	* src/elements/SoMultiTextureImageElement.cpp:

	Doc. update.

2003-10-31 08:25:34  Rev 7229   pederb

	* src/nodes/SoNode.cpp:

	Init the SoTextureUnit node.

2003-10-31 05:37:05  Rev 7228   kyrah

	* aclocal.m4, configure, include/config.h.in:

	Bootstrap.

2003-10-31 05:29:00  Rev 7227   kyrah

	* src/glue/gl_agl.c:

	Basic AGL pBuffer support. (No run-time lookup yet, and generally leaving room
	for improvement, but working.)

2003-10-31 04:23:21  Rev 7226   kyrah

	* configure.ac:

	Check for AGL pBuffer support.

2003-10-31 02:55:02  Rev 7225   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-30 16:20:54  Rev 7224   mortene

	* src/glue/gl.c:

	Compilation fix: write valid C.

2003-10-30 15:13:13  Rev 7223   mortene

	* src/glue/gl.c:

	Detect and work around a problem with Trident drivers.

2003-10-30 14:28:33  Rev 7222   pederb

	* src/elements/SoElement.cpp:

	init SoTextureUnitElement.

2003-10-30 14:25:52  Rev 7221   pederb

	* src/elements/SoMultiTextureEnabledElement.cpp,
	include/Inventor/elements/SoMultiTextureEnabledElement.h:

	SoMultiTextureEnabledElement implementation.

2003-10-30 14:25:11  Rev 7220   pederb

	* src/elements/SoMultiTextureImageElement.cpp,
	include/Inventor/elements/SoMultiTextureImageElement.h:

	SoMultiTextureImageElement implementation.

2003-10-30 14:24:38  Rev 7219   pederb

	* src/elements/SoMultiTextureCoordinateElement.cpp,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h:

	SoMultiTextureCoordinateElement implementation.

2003-10-30 13:14:44  Rev 7218   mortene

	* src/misc/SoGLImage.cpp:

	Misc code-style washing.

2003-10-30 10:31:14  Rev 7217   pederb

	* src/misc/SoGLBigImage.cpp:

	Bugfix. Subtexures should be invincible so that SoGLImage will not attempt to
	free the display lists.

2003-10-30 02:55:04  Rev 7216   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-29 14:13:37  Rev 7215   pederb

	* src/vrml97/ImageTexture.cpp:

	Avoid touch()-ing from a different thread than the application thread.

2003-10-29 13:44:33  Rev 7214   pederb

	* src/vrml97/ImageTexture.cpp,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h:

	Bad idea. Remove function again.

2003-10-29 13:09:11  Rev 7213   pederb

	* src/vrml97/ImageTexture.cpp,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h:

	New method needed to get a callback when the node has finished loading an
	image.

2003-10-29 02:54:55  Rev 7212   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-28 15:03:43  Rev 7211   thammer

	* src/shapenodes/SoText3.cpp:

	Compile fix

2003-10-28 12:00:11  Rev 7210   larsa

	* aclocal.m4, configure, cfg/errors.txt:

	bootstrap

2003-10-28 12:00:00  Rev 7209   larsa

	* configure.ac:

	reorganization of compiler flag detection code

2003-10-28 11:35:55  Rev 7208   pederb

	* src/nodes/SoTextureUnit.cpp, include/Inventor/nodes/SoTextureUnit.h:

	SoTextureUnit node implementation.

2003-10-28 11:34:28  Rev 7207   pederb

	* src/elements/SoTextureUnitElement.cpp,
	include/Inventor/elements/SoTextureUnitElement.h:

	SoTextureUnitElement implementation.

2003-10-28 11:32:42  Rev 7206   pederb

	* include/Inventor/nodes/SoSubNodeP.h, include/Inventor/nodes/SoNode.h:

	New node types for Coin 2.2

2003-10-28 11:21:08  Rev 7205   pederb

	* src/misc/SoProtoInstance.cpp, src/misc/SoProto.cpp:

	Some PROTOs in C++ doc.

2003-10-28 10:29:42  Rev 7204   larsa

	* configure, cfg/errors.txt:

	botstrap

2003-10-28 10:29:35  Rev 7203   larsa

	* configure.ac:

	sync with Coin-2

2003-10-28 02:55:02  Rev 7202   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-27 17:46:38  Rev 7201   pederb

	* src/nodes/SoMaterial.cpp, src/vrml97/Material.cpp:

	Warn and clamp for shininess out-of-range.

2003-10-27 16:24:08  Rev 7200   pederb

	* src/nodes/all-nodes-cpp.cpp, src/nodes/Makefile.in,
	src/nodes/SoTextureUnit.cpp, include/Inventor/nodes/SoTextureUnit.h,
	src/nodes/Makefile.am:

	build texture unit node.

2003-10-27 15:45:39  Rev 7199   pederb

	* src/elements/SoTextureUnitElement.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	include/Inventor/elements/SoTextureUnitElement.h,
	include/Inventor/elements/SoGLMultiTextureImageElement.h,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	include/Inventor/elements/SoGLMultiTextureCoordinateElement.h,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp, src/elements/GL
	/all-glelements-cpp.cpp, src/elements/Makefile.am,
	src/elements/SoMultiTextureImageElement.cpp,
	include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	src/elements/GL/Makefile.am,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	include/Inventor/elements/SoMultiTextureImageElement.h,
	src/elements/Makefile.in,
	src/elements/SoMultiTextureEnabledElement.cpp, src/elements/all-
	elements-cpp.cpp, src/elements/GL/Makefile.in,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	cfg/errors.txt,
	include/Inventor/elements/SoMultiTextureEnabledElement.h:

	build framework for multi-texturing.

2003-10-27 14:22:17  Rev 7198   pederb

	* include/Inventor/elements/SoSubElement.h:

	New macro needed for elements with a custom constructor.

2003-10-27 06:08:17  Rev 7197   mortene

	* src/elements/SoAccumulatedElement.cpp:

	Doc fix.

2003-10-27 04:57:31  Rev 7196   mortene

	* docs/projects.txt, src/elements/SoInt32Element.cpp,
	docs/coin.doxygen.in, src/misc/SoInput.cpp,
	src/shapenodes/SoNurbsSurface.cpp, src/elements/SoFloatElement.cpp,
	src/glue/gl.c, src/nodes/SoNode.cpp,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/actions/SoSearchAction.cpp, src/elements/SoReplacedElement.cpp,
	src/misc/SoBase.cpp, src/errors/SoDebugError.cpp,
	src/elements/SoAccumulatedElement.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoClipPlane.cpp, src/misc/SoDB.cpp,
	src/fields/SoSFImage.cpp:

	Misc accumulated doc additions and other minor fixes.

2003-10-25 01:54:28  Rev 7195   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-24 14:50:10  Rev 7194   pederb

	* src/hardcopy/VectorizePSAction.cpp:

	Use integers for postscript bounding box. Bugfix by Duncan Soutar.

2003-10-24 14:07:22  Rev 7193   handegar

	* src/fonts/glyph3d.c:

	Better code-comments for some functions.

2003-10-24 13:53:18  Rev 7192   handegar

	* src/fonts/glyph3d.c:

	Increased robustness incase font API is absent.

2003-10-24 13:37:15  Rev 7191   larsa

	* src/lists/Makefile.am, src/manips/Makefile.in, src/vrml97/Makefile.am,
	src/fonts/Makefile.in, src/3ds/Makefile.in, src/threads/Makefile.in,
	src/misc/Makefile.in, src/glue/Makefile.in, src/sensors/Makefile.in,
	src/upgraders/Makefile.in, src/lists/Makefile.in,
	src/nodes/Makefile.am, src/hardcopy/Makefile.am,
	src/vrml97/Makefile.in, src/errors/Makefile.am,
	src/elements/Makefile.am, src/nodekits/Makefile.am,
	src/nodes/Makefile.in, src/hardcopy/Makefile.in,
	src/details/Makefile.am, src/elements/Makefile.in,
	src/errors/Makefile.in, src/caches/Makefile.am, src/Make-Common.tpl,
	src/engines/Makefile.am, src/shapenodes/Makefile.am,
	src/nodekits/Makefile.in, src/projectors/Makefile.am,
	src/collision/Makefile.am, src/bundles/Makefile.am,
	src/draggers/Makefile.am, src/details/Makefile.in,
	src/caches/Makefile.in, src/Makefile.am, src/actions/Makefile.am,
	src/engines/Makefile.in, src/shapenodes/Makefile.in,
	src/projectors/Makefile.in, src/events/Makefile.am,
	src/collision/Makefile.in, src/bundles/Makefile.in,
	src/fields/Makefile.am, src/draggers/Makefile.in, src/Makefile.in,
	src/actions/Makefile.in, src/events/Makefile.in,
	src/fields/Makefile.in, src/manips/Makefile.am,
	src/fonts/Makefile.am, src/3ds/Makefile.am, src/threads/Makefile.am,
	src/misc/Makefile.am, src/glue/Makefile.am, src/sensors/Makefile.am,
	src/upgraders/Makefile.am:

	catch install-problems

2003-10-24 10:00:48  Rev 7190   handegar

	* src/fonts/win32.c, src/fonts/win32.h:

	Proper support for font rotation. Removed some obsolete functions.

2003-10-24 01:54:36  Rev 7189   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-23 15:43:38  Rev 7188   handegar

	* include/Inventor/nodes/SoTexture2.h:

	Compile fix by Pederb.

2003-10-23 15:15:25  Rev 7187   handegar

	* src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Some fixes due to changes in the fontlibwrapper.

2003-10-23 15:11:16  Rev 7186   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h:

	Added better font rotation support. Removed some obsolete functions.

2003-10-23 15:09:51  Rev 7185   handegar

	* src/misc/SoGlyph.cpp:

	Added proper support for font rotation when using 2D bitmaps.

2003-10-23 14:35:46  Rev 7184   mortene

	* src/engines/SoTransformVec3f.cpp:

	Don't be a slouch.

2003-10-23 14:25:51  Rev 7183   mortene

	* src/engines/SoTransformVec3f.cpp:

	Bugfix: input vector can legally be a null-vector, so check length before
	attempting normalize.

2003-10-23 12:34:57  Rev 7182   pederb

	* src/nodes/SoTexture2.cpp:

	typofix.

2003-10-23 12:33:10  Rev 7181   pederb

	* src/nodes/SoTexture2.cpp:

	Support for REPLACE texture model.

2003-10-23 01:54:21  Rev 7180   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-22 18:54:32  Rev 7179   thammer

	* src/nodes/SoTexture2.cpp:

	Improved doc for BLEND model

2003-10-21 01:53:52  Rev 7178   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-20 08:25:33  Rev 7177   pederb

	* THANKS:

	Added Richard Mitton.

2003-10-20 08:23:00  Rev 7176   pederb

	* src/nodes/SoUnits.cpp:

	Enable SoUnitsElement for SoGetMatrixAction.

2003-10-18 01:53:33  Rev 7175   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-17 15:45:04  Rev 7174   pederb

	* src/vrml97/ImageTexture.cpp:

	Added example code for fixing scene graphs from brain-dead exporters.

2003-10-17 15:13:28  Rev 7173   pederb

	* src/nodes/SoTexture2.cpp:

	Added example code for fixing scene graphs from brain-dead exporters.

2003-10-17 13:08:01  Rev 7172   handegar

	* src/fonts/fontspec.c:

	Small fix.

2003-10-17 12:41:03  Rev 7171   larsa

	* docs/coin.doxygen.in:

	didn't mean to remove this file in previous commit

2003-10-17 12:34:18  Rev 7170   larsa

	* docs/coin.doxygen.in:

	add missing files

2003-10-17 11:41:27  Rev 7169   larsa

	* src/collision/SoIntersectionDetectionAction.cpp:

	doc fix

2003-10-17 09:56:08  Rev 7168   mortene

	* src/nodes/SoGroup.cpp, src/base/SbRotation.cpp, src/glue/freetype.c,
	src/nodes/SoShapeHints.cpp, docs/misc-resources.txt:

	Misc doc updates.

2003-10-17 06:08:49  Rev 7167   mortene

	* HACKING:

	Tidbits of debugging information.

2003-10-17 01:53:19  Rev 7166   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-16 15:58:33  Rev 7165   handegar

	* src/shapenodes/SoAsciiText.cpp:

	Extended doc.

2003-10-16 15:43:14  Rev 7164   handegar

	* src/shapenodes/SoText3.cpp:

	Doc fix.

2003-10-16 15:34:17  Rev 7163   handegar

	* src/shapenodes/SoText3.cpp:

	Added some text + an example to the Doxygen doc.

2003-10-16 15:12:42  Rev 7162   handegar

	* src/nodes/SoFont.cpp:

	Expanded the Doxygen doc to include new features in the fontsupport.

2003-10-16 15:09:27  Rev 7161   larsa

	* README.WIN32:

	note

2003-10-16 10:59:27  Rev 7160   handegar

	* src/fonts/fontspec.c:

	Increased parsing robustness for font name and style.

2003-10-16 01:53:15  Rev 7159   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-16 00:37:15  Rev 7158   kyrah

	* README.MAC:

	Refer to web-based FAQ for general Coin/Mac issues. (Most Apple users will
	never
	see the README.MAC file in the source repository at all, hence the need for a
	web
	based FAQ. Then I rather keep the information in one place there than trying
	to
	keep them in sync.)

2003-10-15 15:27:28  Rev 7157   handegar

	* src/shapenodes/SoText3.cpp:

	Texture issues.

2003-10-15 14:15:11  Rev 7156   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText3.cpp,
	src/vrml97/Text.cpp:

	Added support for texture wrapping of 3D glyphs according to the spec.

2003-10-15 14:15:11  Rev 7155   handegar

	* src/base/hash.c:

	Cosmetics

2003-10-15 12:55:01  Rev 7154   pederb

	* THANKS:

	Adds Marc Eilhard.

2003-10-15 12:50:46  Rev 7153   pederb

	* src/nodekits/SoBaseKit.cpp:

	Bugfix. Reenable test that somebody has disabled at some time, causing extra
	list items to be added.

2003-10-15 01:53:06  Rev 7152   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-14 22:25:10  Rev 7151   mortene

	* src/misc/SoGLImage.cpp:

	Bugfix: were using a potentially uninitialized variable.

2003-10-14 17:12:26  Rev 7150   kyrah

	* src/misc/SoGL.cpp:

	More sensible default value for render caching on Mac OS X

2003-10-14 16:20:10  Rev 7149   handegar

	* src/shapenodes/SoAsciiText.cpp:

	Corrected debug message text.

2003-10-14 16:19:39  Rev 7148   handegar

	* src/vrml97/Text.cpp:

	Added warning-code for nonsupported 3D textures.

2003-10-14 16:06:13  Rev 7147   handegar

	* src/vrml97/Text.cpp:

	Corrected glyph kerning for 'generatePrimitives()'

2003-10-14 15:10:48  Rev 7146   handegar

	* src/shapenodes/SoText2.cpp:

	Corrected glyph kerning.

2003-10-14 15:04:21  Rev 7145   pederb

	* src/vrml97/Background.cpp:

	Bugfix and simplifications.

2003-10-14 14:37:24  Rev 7144   handegar

	* src/shapenodes/SoText3.cpp:

	Fixed bbox error for spacing values != 1.

2003-10-14 14:17:17  Rev 7143   handegar

	* src/shapenodes/SoAsciiText.cpp:

	Fixed MSVC compile warning.

2003-10-14 13:50:28  Rev 7142   handegar

	* src/shapenodes/SoAsciiText.cpp:

	The 'width' field now works. Fixed some 'generatePrimitives' issues

2003-10-14 12:30:57  Rev 7141   pederb

	* src/actions/SoRayPickAction.cpp:

	Bugfix. Return from intersect() if lines are parallel.

2003-10-14 08:22:09  Rev 7140   pederb

	* BUGS.txt:

	Comment on latest bug.

2003-10-14 07:32:35  Rev 7139   mortene

	* BUGS.txt:

	Bug with TransparencyType node.

2003-10-14 01:52:59  Rev 7138   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-13 14:21:42  Rev 7137   handegar

	* src/fonts/default3dfont.c:

	Converted facelist order from counterclockwise to clockwise, thereby making
	culling work as expected.

2003-10-13 13:31:27  Rev 7136   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText3.cpp,
	src/vrml97/Text.cpp:

	Fixed segfault bug for empty strings.

2003-10-13 13:30:21  Rev 7135   handegar

	* src/fonts/glyph3d.c:

	Added a safety assert.

2003-10-13 13:10:26  Rev 7134   handegar

	* src/shapenodes/SoText3.cpp:

	Fixed bbox issues for some extruded glyphs.

2003-10-13 05:54:28  Rev 7133   mortene

	* src/fonts/default2dfont.c, src/fonts/default3dfont.c:

	Remove C++-style comments from C file.

2003-10-13 05:48:30  Rev 7132   mortene

	* src/fonts/default2dfont.c:

	Adds degree sign to default font set.

2003-10-12 01:52:49  Rev 7131   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-11 08:19:35  Rev 7130   mortene

	* src/shapenodes/SoFaceSet.cpp, README.WIN32,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoFile.cpp, docs/misc-
	resources.txt:

	Doc fixes.

2003-10-11 08:19:01  Rev 7129   mortene

	* src/misc/SoNormalGenerator.cpp:

	Minor fix in debug-code.

2003-10-11 07:59:44  Rev 7128   kyrah

	* src/fonts/freetype.c:

	Make it possible to specify font files as foo.ttf

2003-10-11 06:45:04  Rev 7127   mortene

	* BUGS.txt:

	New item; SoPolygonOffset.

2003-10-11 05:20:33  Rev 7126   kyrah

	* models/oiv_compliance/font.iv:

	Use font names, not file names.

2003-10-11 05:18:42  Rev 7125   kyrah

	* include/Inventor/C/glue/freetype.h, src/glue/freetype.c:

	gcc 3.2 compile fixes.

2003-10-11 05:17:46  Rev 7124   kyrah

	* src/fonts/freetype.c:

	Avoid multiple definitions when linking against freetype.

2003-10-11 01:52:49  Rev 7123   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-10 16:16:58  Rev 7122   handegar

	* src/shapenodes/SoAsciiText.cpp:

	Minor codestyle cleanups.

2003-10-10 16:14:36  Rev 7121   handegar

	* src/shapenodes/SoText3.cpp:

	Improved 2D texturing support.

2003-10-10 13:28:55  Rev 7120   handegar

	* src/vrml97/Fog.cpp:

	Renamed static functions.

2003-10-10 11:47:42  Rev 7119   handegar

	* src/vrml97/Background.cpp:

	Renamed some global and static vars/functions.

2003-10-10 10:56:02  Rev 7118   handegar

	* src/shapenodes/SoText3.cpp:

	Profile extrusion now uses triangles instead of quads, eliminating artifacts.
	Smoothshading support added
	controlled by the 'creaseAngle' field in SoShapeHints. Fixed glyph
	advancements bug for primitives. Cleaned
	up extrusion code.

2003-10-10 10:40:32  Rev 7117   handegar

	* src/shapenodes/SoAsciiText.cpp:

	Added a small FIXME.

2003-10-10 01:52:45  Rev 7116   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-09 15:16:29  Rev 7115   mortene

	* BUGS.txt:

	New item, minor build problem.

2003-10-09 11:53:29  Rev 7114   kyrah

	* include/Inventor/actions/SoActions.h, src/actions/SoAction.cpp:

	Re-enable SoIntersectionDetectionAction initialization.

2003-10-09 01:52:25  Rev 7113   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-08 15:28:20  Rev 7112   handegar

	* src/fonts/win32.c:

	Fixed the visual glitch which sometimes appeared during tesselation on Win32.

2003-10-08 13:00:50  Rev 7111   handegar

	* src/misc/SoGlyph.cpp:

	Changed default method for calling 'get_advance' and 'get_kerning' from vector
	to bitmap.

2003-10-08 05:48:07  Rev 7110   mortene

	* src/base/memalloc.c:

	Misc minor fixes. Adds in an assert() in an attempt to get closer to a bug.

2003-10-08 01:52:18  Rev 7109   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-07 13:17:06  Rev 7108   pederb

	* src/base/SbTesselator.cpp:

	Fix tesselator bug caused by braindead programmer (me).

2003-10-07 08:05:18  Rev 7107   mortene

	* src/base/SbTesselator.cpp:

	Simplified code.

2003-10-07 07:50:26  Rev 7106   mortene

	* src/misc/SoNormalGenerator.cpp:

	Detect faulty polygons when generating normals. Misc minor code cleanups.

2003-10-07 01:52:07  Rev 7105   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-06 15:18:30  Rev 7104   pederb

	* src/base/SbTesselator.cpp:

	Typofix.

2003-10-06 15:08:20  Rev 7103   pederb

	* src/base/SbTesselator.cpp:

	Bugfix and epsilon adjust.

2003-10-06 13:13:43  Rev 7102   pederb

	* src/base/SbTesselator.cpp:

	MSVC compile fix.

2003-10-06 12:43:31  Rev 7101   pederb

	* src/caches/SoConvexDataCache.cpp, include/Inventor/SbTesselator.h,
	src/base/SbTesselator.cpp:

	Optimize SbTesselator by replacing O(n^2) test. Also some epsilon bugfixes.

2003-10-04 01:52:00  Rev 7100   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-03 17:49:06  Rev 7099   thammer

	* docs/foreign-language-bindings.txt:

	Added note about swigsharp

2003-10-03 07:55:29  Rev 7098   mortene

	* src/fonts/fontlib_wrapper.c, src/fonts/all-fonts-c.c,
	src/fonts/Makefile.in, src/fonts/default2dfont.c,
	src/fonts/default3dfont.c, src/fonts/defaultfonts.h,
	src/misc/Makefile.in, src/misc/all-misc-cpp.cpp,
	src/misc/defaultfonts.h, src/misc/SoGlyph.cpp, src/fonts/Makefile.am,
	src/fonts/glyph3d.c, src/misc/Makefile.am, src/fonts/2d-font.xpm:

	Moved more font-related stuff from misc/ to fonts/.

2003-10-03 07:38:42  Rev 7097   mortene

	* src/misc/defaultfonts.h:

	Compilation fix for GCC 3.1 (const type qualifier on float return type doesn'

2003-10-03 01:51:31  Rev 7096   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-02 17:00:25  Rev 7095   mortene

	* src/nodes/SoRotor.cpp, include/Inventor/nodes/SoRotor.h:

	Pimplify, other cleanups.

2003-10-02 15:33:29  Rev 7094   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/win32.c, src/fonts/freetype.c, src/fonts/win32.h,
	src/fonts/freetype.h, src/fonts/glyph3d.c:

	Removed obsolete functionality. All 3D glyphs are now generated using a
	standard fontsize to prevent a
	visual mismatch between Windows and FreeType glyphs.

2003-10-02 13:19:35  Rev 7093   handegar

	* src/fonts/freetype.c:

	Windows compile fix.

2003-10-02 13:16:22  Rev 7092   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/win32.c, src/fonts/freetype.c, src/fonts/win32.h,
	src/fonts/freetype.h, src/fonts/glyph3d.c:

	Fixed the 'Windows pixel-aligning' bug for small glyphs. Added functionality
	for scaling glyph coords
	after tessellation.

2003-10-02 01:51:37  Rev 7091   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-10-01 16:12:34  Rev 7090   handegar

	* src/fonts/win32.c:

	Added some 'DeleteObject' calls to prevent memleak.

2003-10-01 14:14:47  Rev 7089   pederb

	* src/nodes/SoRotor.cpp:

	Use SoTimerSensor and not SoOneShotSensor to animate. SoOneShot sensor
	triggers far too often.

2003-10-01 09:02:45  Rev 7088   pederb

	* src/misc/SoBase.cpp:

	More debug info.

2003-10-01 08:00:41  Rev 7087   pederb

	* src/misc/SoBase.cpp:

	Less strict write-debugging.

2003-10-01 01:51:27  Rev 7086   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-30 19:22:12  Rev 7085   mortene

	* BUGS.txt:

	Found new (or old?) write ref counter bug.

2003-09-30 09:57:59  Rev 7084   handegar

	* src/fonts/win32.c:

	Added true kerning support in the Win32 font-layer.

2003-09-30 09:10:04  Rev 7083   pederb

	* src/base/time.c:

	Bugfix for platforms that use ftime().

2003-09-30 08:58:54  Rev 7082   pederb

	* include/Inventor/actions/SoRayPickAction.h,
	src/actions/SoHandleEventAction.cpp, src/actions/SoRayPickAction.cpp:

	Adds SoRayPickAction::reset(). Use it to truncate picked point list.

2003-09-30 08:22:03  Rev 7081   pederb

	* src/actions/SoHandleEventAction.cpp:

	Empty the internal picked point list after applying an SoHandleEventAction.
	Bug reported by Klaas Dellschaft.

2003-09-30 01:51:20  Rev 7080   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-29 14:21:18  Rev 7079   kyrah

	* configure:

	Bootstrap

2003-09-29 14:17:25  Rev 7078   kyrah

	* configure.ac, include/config.h.in, src/misc/SoInput.cpp,
	src/misc/SoInput_Reader.cpp:

	Workaround for problem in Mac OS X gzip: Use gzopen() instead of gzdopen().

2003-09-29 14:08:00  Rev 7077   handegar

	* src/misc/default3dfont.cpp:

	Fixed MSVC compile warning.

2003-09-29 13:46:08  Rev 7076   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText3.cpp,
	src/vrml97/Text.cpp:

	Full kerning support.

2003-09-29 13:23:58  Rev 7075   handegar

	* src/misc/default3dfont.cpp:

	Parsed and regenerated font data. Edge-winding is now correct and equal to
	TrueType fonts.

2003-09-29 07:45:57  Rev 7074   pederb

	* src/misc/SoGLBigImage.cpp:

	Bugfix. Don't create texture only in current state, since the same thread
	might be used to render into more than one context. Bug reported by
	nico97492@yahoo.com.

2003-09-27 01:51:17  Rev 7073   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-26 15:33:43  Rev 7072   handegar

	* src/fonts/fontlib_wrapper.c, src/misc/default3dfont.cpp,
	src/misc/defaultfonts.h:

	Made proper support for glyph-advancing when using built-in font.

2003-09-26 14:22:03  Rev 7071   handegar

	* src/fonts/freetype.c:

	Adjusted the complexity range to be more equal to the Win32 implementation of
	TrueType support.

2003-09-26 13:12:49  Rev 7070   handegar

	* src/fonts/win32.c:

	Glyph complexity is now based on a lookup table.

2003-09-26 11:14:10  Rev 7069   pederb

	* src/nodes/SoTextureCoordinatePlane.cpp:

	Supply texgen function even when rendering. The callback might be needed if
	generatePrimitives() is used to render. Bug spotted by thammer.

2003-09-26 10:02:16  Rev 7068   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/win32.c:

	MSVC fixes.

2003-09-26 09:51:42  Rev 7067   handegar

	* src/misc/SoGlyph.cpp:

	Changed calls for 'get_advance' and 'get_kerning' to reflect new changes in
	the font support.

2003-09-26 09:50:26  Rev 7066   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/win32.c, src/fonts/freetype.c, src/fonts/win32.h,
	src/fonts/freetype.h, src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Separated the 'get_advance' and 'get_kerning' into one function for vector
	glyphs and one for bitmap
	glyps.

2003-09-26 09:47:53  Rev 7065   handegar

	* src/shapenodes/SoText2.cpp:

	Glyph distances is now completely based on font data.

2003-09-24 01:50:46  Rev 7064   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-23 18:41:37  Rev 7063   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/win32.c:

	Windows fix. Font advancement fixed for now using a temporarily hack.

2003-09-23 18:38:47  Rev 7062   handegar

	* src/fonts/glyph3d.c:

	MSVC compile fix.

2003-09-23 18:34:15  Rev 7061   handegar

	* src/shapenodes/SoText2.cpp:

	MSVC compile warning fix.>>

2003-09-23 15:32:42  Rev 7060   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText3.cpp,
	src/vrml97/Text.cpp:

	Glyph advancement is now based on font-data instead of glyphwidth.

2003-09-23 15:28:58  Rev 7059   handegar

	* src/fonts/win32.c, src/fonts/freetype.c:

	Corrected glyph-advancement scaling.

2003-09-23 14:39:37  Rev 7058   handegar

	* src/fonts/freetype.c:

	Plugged some memleaks.

2003-09-23 12:49:02  Rev 7057   handegar

	* src/fonts/glyph3d.c:

	Fixed float->int->float conversion bug.

2003-09-23 12:26:10  Rev 7056   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp:

	Fix to prevent segfault if comlexity-type == SCREEN_SPACE. Added explicit
	render caching for 3d fonts
	in 'GLRender()'.

2003-09-23 12:23:36  Rev 7055   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/glyph3d.c:

	Moved complexity clamping and controll from fontlib_wrapper.c to glyph3d.c to
	prevent too many glyphs to
	be cached unnecessarily.

2003-09-23 12:01:10  Rev 7054   kyrah

	* aclocal.m4, configure, cfg/coin.m4:

	Bootstrap.

2003-09-23 11:44:36  Rev 7053   mortene

	* include/Inventor/misc/SoGlyph.h:

	Compilation fix for Mac OS X.

2003-09-23 08:37:59  Rev 7052   pederb

	* src/glue/gl.c:

	Compile fixes for platforms that still need static OpenGL binding.

2003-09-23 08:11:13  Rev 7051   pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c, include/Inventor/system/gl.h.in:

	Some (mostly vertex array related) OpenGL run-time bindings.

2003-09-23 01:50:52  Rev 7050   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-22 15:43:58  Rev 7049   handegar

	* src/vrml97/Text.cpp:

	Fixed minor bbox mismatch for some chars.

2003-09-22 15:30:42  Rev 7048   handegar

	* src/vrml97/Text.cpp:

	Fixed alignment trouble when resizing text during runtime.

2003-09-22 14:39:39  Rev 7047   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText3.cpp:

	Fixed boundingbox mismatch if font style, size of type were changed during
	runtime.

2003-09-22 14:36:22  Rev 7046   pederb

	* THANKS:

	Adds Klaas Dellschaft.

2003-09-22 14:35:17  Rev 7045   pederb

	* src/nodes/SoSelection.cpp:

	Fixed problem with dangling paths in internal SoSearchAction. Plugged (static)
	memory leak. Bug reported by Klaas Dellschaft.

2003-09-22 13:17:56  Rev 7044   handegar

	* src/vrml97/Text.cpp:

	Fixed unsigned/signed char issues. Boundingbox fix. Some code clean-ups.

2003-09-22 13:15:33  Rev 7043   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp:

	Fixed signed/unsigned char bug. Changed a lot of 'while's to 'for's. Invalid
	boundingbox fix. Added
	support for new fontspec handeling.

2003-09-22 08:39:41  Rev 7042   mortene

	* src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	include/Inventor/engines/SoEngine.h:

	Bugfix: avoid recursive evaluation, by using a bitflag to indicate when engine
	is dirty. Problem reported and fix suggested by Gerhard ReitMayr.

2003-09-22 08:23:36  Rev 7041   mortene

	* BUGS.txt:

	2 SoHandleBoxManip bugs.

2003-09-22 07:38:20  Rev 7040   mortene

	* include/Inventor/C/basic.h.in:

	Min/max macros for C.

2003-09-22 01:50:13  Rev 7039   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-21 12:39:00  Rev 7038   mortene

	* src/shapenodes/SoText3.cpp:

	Refactoring: first part of code clean-up -- traversal-dependent data should
	not be permanently stored in object.

2003-09-21 12:37:02  Rev 7037   mortene

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/vrml97/Text.cpp:

	Refactoring: some common code collected in fontspec.c.

2003-09-21 12:35:05  Rev 7036   mortene

	* src/fonts/glyph2d.h, src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Refactoring: fixes for changes in the internal fontspec struct.

2003-09-21 12:34:01  Rev 7035   mortene

	* src/fonts/all-fonts-c.c, src/fonts/Makefile.in, src/fonts/fontspec.c,
	src/fonts/fontspec.h, src/fonts/Makefile.am:

	Refactoring: adds support functions for the internal fontspec structure.

2003-09-21 10:44:14  Rev 7034   mortene

	* src/shapenodes/SoText3.cpp:

	Bugfix: make characters > 127 work.

2003-09-21 01:50:24  Rev 7033   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-20 08:22:13  Rev 7032   mortene

	* src/nodes/SoTextureScalePolicy.cpp:

	Improved class doc.

2003-09-20 01:50:15  Rev 7031   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-19 16:05:48  Rev 7030   pederb

	* src/tidbits.c:

	Compile fix.

2003-09-19 15:55:59  Rev 7029   pederb

	* src/shapenodes/SoText3.cpp:

	Compile fix.

2003-09-19 13:43:44  Rev 7028   mortene

	* src/fields/SoFieldData.cpp, src/fields/SoField.cpp:

	Better error reporting.

2003-09-19 13:34:46  Rev 7027   mortene

	* src/fields/SoSFFloat.cpp, src/fields/SoSFTime.cpp:

	Corrected error message to be valid at all cases.

2003-09-19 13:23:16  Rev 7026   mortene

	* src/fields/SoSFTime.cpp:

	Tidier error output.

2003-09-19 13:22:44  Rev 7025   mortene

	* src/fields/SoSFFloat.cpp:

	Use common function for all floating-point loading for fields.

2003-09-19 13:09:20  Rev 7024   mortene

	* src/fields/SoSFMatrix.cpp, src/fields/SoSFVec2f.cpp,
	src/fields/SoSFVec3f.cpp, src/fields/SoSFVec4f.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoSFTime.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp:

	Check validity of floating point values, as an aid in catching NaNs, for
	instance.

2003-09-19 13:08:10  Rev 7023   handegar

	* src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Minor comment fix.

2003-09-19 13:07:59  Rev 7022   mortene

	* configure, include/config.h.in:

	Bootstrap.

2003-09-19 13:06:28  Rev 7021   mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Wrappers around validity checks for floating point values.

2003-09-19 12:29:45  Rev 7020   mortene

	* configure.ac:

	Detect presence of isnan(), isinf() and related functions.

2003-09-19 12:23:12  Rev 7019   mortene

	* src/misc/SoInput.cpp:

	Minor code simplification.

2003-09-19 12:22:21  Rev 7018   pederb

	* src/fonts/freetype.c, src/fonts/glyph3d.c:

	IRIX CC compile fixes.

2003-09-19 11:45:26  Rev 7017   handegar

	* src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Fixed hash-table lookup when handeling several different fontspecs but equal
	characters.

2003-09-19 11:08:45  Rev 7016   mortene

	* docs/todo.txt:

	Documentation update.

2003-09-19 11:08:20  Rev 7015   mortene

	* src/misc/SoSceneManager.cpp, src/elements/GL/SoGLDrawStyleElement.cpp,
	src/shapenodes/SoQuadMesh.cpp:

	Documentation fixes.

2003-09-19 11:04:27  Rev 7014   mortene

	* src/fonts/win32.c:

	Small FIXME update.

2003-09-19 08:17:44  Rev 7013   pederb

	* configure, configure.ac:

	Move comment out of macro. Bootstrap.

2003-09-19 07:32:19  Rev 7012   mortene

	* configure, cfg/errors.txt:

	Bootstrap.

2003-09-19 07:32:04  Rev 7011   mortene

	* configure.ac:

	Only use headers if they can be built. Problem reported by Winnie E Wong.

2003-09-19 01:49:45  Rev 7010   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-18 15:40:41  Rev 7009   frodo

	* HACKING:

	Added how to use spaces instead of tabs in MS Visual Studio

2003-09-18 15:14:49  Rev 7008   handegar

	* src/fonts/win32.c:

	Fixed Compile error on Windows.

2003-09-18 15:12:53  Rev 7007   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/win32.c, src/fonts/freetype.c:

	Reduced and clamped the precision for glyph complexity.

2003-09-18 14:07:00  Rev 7006   handegar

	* include/Inventor/VRMLnodes/SoVRMLText.h, src/fonts/fontlib_wrapper.c,
	src/shapenodes/SoAsciiText.cpp, src/fonts/fontlib_wrapper.h,
	src/fonts/win32.c, src/fonts/freetype.c, src/fonts/fontspec.h,
	src/fonts/win32.h, src/misc/SoGlyph.cpp, src/fonts/freetype.h,
	src/fonts/glyph2d.c, src/shapenodes/SoText3.cpp, src/fonts/glyph3d.c,
	src/vrml97/Text.cpp:

	Added support for controlling detail level for the 3D text using a Complexity
	node.

2003-09-18 08:45:46  Rev 7005   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp:

	Changed to 'strchr' insted of own code when parsing font style and family
	string.

2003-09-18 01:49:47  Rev 7004   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-17 16:13:25  Rev 7003   mortene

	* src/fonts/fontlib_wrapper.c:

	Replace C++ comment marker with C.

2003-09-17 16:07:00  Rev 7002   handegar

	* src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Added support for font styles.

2003-09-17 16:06:03  Rev 7001   handegar

	* src/fonts/fontspec.h:

	Removed 'family' string form struct.

2003-09-17 16:05:00  Rev 7000   handegar

	* src/vrml97/Text.cpp:

	Added support for font style (ie. bold and italic)

2003-09-17 16:04:41  Rev 6999   pederb

	* src/fonts/fontlib_wrapper.c:

	Fix for crash on exit.

2003-09-17 16:04:18  Rev 6998   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp:

	Added support for font style (ie. bold and italic).

2003-09-17 16:03:00  Rev 6997   handegar

	* src/nodes/SoFontStyle.cpp:

	Changed family and style setting to be more equal to TGS.

2003-09-17 12:13:09  Rev 6996   handegar

	* src/shapenodes/SoText3.cpp:

	Fixed 'generatePrimitives()' bug.

2003-09-17 05:43:05  Rev 6995   mortene

	* src/shapenodes/SoText3.cpp:

	Minor doc fixes.

2003-09-17 01:49:31  Rev 6994   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-16 17:21:56  Rev 6993   mortene

	* src/fonts/glyph2d.h, src/fonts/glyph3d.h, src/fonts/glyph2d.c,
	src/fonts/glyph3d.c:

	Copyright headers.

2003-09-16 17:20:19  Rev 6992   mortene

	* src/misc/SoGlyph.cpp:

	Minor codestyle fixes.

2003-09-16 17:18:35  Rev 6991   mortene

	* src/misc/SoGlyph.cpp:

	Fix bogus handling of face, edge and coordinate data. Don't bother to try to
	work without a default font.

2003-09-16 16:45:01  Rev 6990   mortene

	* src/misc/SoGlyph.cpp:

	Fix fishy casting.

2003-09-16 16:41:12  Rev 6989   mortene

	* src/misc/SoGlyph.cpp:

	Don't need constness casting.

2003-09-16 16:37:48  Rev 6988   mortene

	* include/Inventor/misc/SoGlyph.h, src/fonts/glyph2d.h,
	src/fonts/glyph3d.h, src/shapenodes/SoAsciiText.cpp,
	src/misc/SoGlyph.cpp, src/shapenodes/SoText2.cpp,
	src/fonts/glyph2d.c, src/shapenodes/SoText3.cpp, src/fonts/glyph3d.c,
	src/vrml97/Text.cpp:

	Sort out constness issues.

2003-09-16 16:19:52  Rev 6987   handegar

	* src/shapenodes/SoText3.cpp:

	Exchanged all usage of the SoGlyph class with 'glyph3d.c' functions. Added
	support for extruding
	TrueType fonts. (Note: default3D font does not look so good when extruded due
	to a change in the
	algorithm. The defaultfont must be regenerated with the opposite edge-
	winding).

2003-09-16 16:11:52  Rev 6986   handegar

	* src/fonts/win32.c, src/fonts/win32.h:

	Cleaned up ugly developer-hacks. Increased robustness when dealing with Win32
	API. Creating correct arrays
	used for extruding.

2003-09-16 16:03:14  Rev 6985   handegar

	* src/fonts/freetype.c:

	Added missing consts.

2003-09-16 15:59:44  Rev 6984   handegar

	* src/misc/SoGlyph.cpp:

	Cast'ed away const for array pointers from 'glyph3d.c'.

2003-09-16 15:58:16  Rev 6983   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/glyph3d.h,
	src/fonts/fontlib_wrapper.h, src/fonts/freetype.c,
	src/fonts/freetype.h, src/fonts/glyph3d.c:

	Made return array from getcoords(), getfaceindices() & getedgeindices() const.

2003-09-16 11:16:40  Rev 6982   handegar

	* src/shapenodes/SoAsciiText.cpp, src/vrml97/Text.cpp:

	Fixed 'generatePrimitives()' and improved 'computeBBox()'.

2003-09-16 11:01:59  Rev 6981   handegar

	* src/fonts/glyph2d.c:

	Improved comment.

2003-09-16 11:00:54  Rev 6980   handegar

	* src/fonts/glyph3d.c:

	Fixed som code issues. Fixed boundingbox calc code.

2003-09-16 10:57:44  Rev 6979   handegar

	* src/fonts/freetype.c:

	Added support for generating edge-info used for extruding. Cleaned up a lot of
	code issues.

2003-09-16 08:06:46  Rev 6978   mortene

	* BUGS.txt:

	2 new items.

2003-09-16 01:49:38  Rev 6977   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-15 19:11:25  Rev 6976   mortene

	* src/fonts/fontlib_wrapper.c, src/fonts/freetype.c,
	src/fonts/glyph2d.c, src/tidbits.c, src/fonts/glyph3d.c:

	Avoid C++-style comments in C code.

2003-09-15 15:56:21  Rev 6975   handegar

	* src/fonts/glyph3d.c:

	Added functions used when extruding 3D text.

2003-09-15 13:54:40  Rev 6974   larsa

	* src/misc/SoDB.cpp:

	don't run this code - it's enough for it to compile successfully

2003-09-15 13:35:48  Rev 6973   larsa

	* aclocal.m4, configure, Makefile.in, include/config.h.in:

	bootstrap

2003-09-15 13:35:40  Rev 6972   larsa

	* include/Inventor/system/inttypes.h.in:

	stddef.h is used for uintptr_t declaration

2003-09-13 01:49:22  Rev 6971   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-12 20:04:51  Rev 6970   mortene

	* docs/api-wish-list.txt:

	Sync with actual current status.

2003-09-12 15:26:31  Rev 6969   handegar

	* src/shapenodes/SoAsciiText.cpp, src/vrml97/Text.cpp:

	Removed old call for glyph3d initializing/mutex locking.

2003-09-12 15:24:42  Rev 6968   handegar

	* src/fonts/glyph2d.h, src/fonts/glyph3d.h, src/fonts/glyph2d.c,
	src/fonts/glyph3d.c:

	New mutex code. Similar to fontlib_wrapper.

2003-09-12 15:14:09  Rev 6967   handegar

	* src/fonts/freetype.c:

	Cleaned up a lot of the ugliest developer-hacks. Added unique prefixes to the
	global vars.

2003-09-12 14:53:34  Rev 6966   handegar

	* src/fonts/fontlib_wrapper.c:

	Failsafe in some methods if win32 or FreeType is not present. MSVC code
	indenting fix.

2003-09-12 13:30:14  Rev 6965   pederb

	* src/misc/SoGLBigImage.cpp:

	Change limit when linear filtering will be used.

2003-09-12 13:27:30  Rev 6964   pederb

	* src/misc/SoGLImage.cpp:

	Use glTexParamteri() instead of glTexParamterf().

2003-09-12 11:29:04  Rev 6963   handegar

	* src/shapenodes/SoText2.cpp:

	Removed some windows/MSVC ctrl-M's and adjusted some justifications.

2003-09-12 11:15:12  Rev 6962   handegar

	* src/shapenodes/SoText2.cpp:

	Fixed glyph-advance bug.

2003-09-12 11:11:29  Rev 6961   handegar

	* src/fonts/win32.c, src/fonts/win32.h:

	First version of truetype vector glyph support for win32.

2003-09-12 11:10:08  Rev 6960   handegar

	* src/fonts/fontlib_wrapper.c:

	Enabled vector glyph functions for Win32.

2003-09-12 09:50:06  Rev 6959   mortene

	* src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp:

	Class doc improvements.

2003-09-12 07:45:16  Rev 6958   mortene

	* src/base/SbLine.cpp:

	Improve API doc.

2003-09-12 07:19:41  Rev 6957   mortene

	* src/base/SbLine.cpp:

	Improved API doc on getClosestPoint().

2003-09-12 05:48:51  Rev 6956   mortene

	* src/base/SbDPLine.cpp:

	Floating-point precision fixes. Takes care of compiler warnings from HP-UX
	aCC, as reported by Mark D Anderson.

2003-09-12 01:48:57  Rev 6955   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-11 09:24:48  Rev 6954   barbara

	* docs/todo.txt:

	Add item on built-in version information in win32 DLLs.

2003-09-11 01:49:01  Rev 6953   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-10 19:13:52  Rev 6952   mortene

	* RELEASE.txt, RELEASE:

	Rename RELEASE -> RELEASE.txt, so MS Visual Studio doesn't fail when trying to
	set up a directory named Release/. Problem reported by handegar.

2003-09-10 15:17:48  Rev 6951   handegar

	* src/vrml97/Fog.cpp:

	Fixed MSVC compile error when compiling in 'Release mode'

2003-09-10 14:17:53  Rev 6950   handegar

	* include/Inventor/C/glue/GLUWrapper.h:

	Fixed MSVC compile error.

2003-09-10 14:16:46  Rev 6949   handegar

	* src/vrml97/Background.cpp, src/misc/SoGlyph.cpp, src/vrml97/Text.cpp:

	Fixed MSVC warnings.

2003-09-10 14:13:57  Rev 6948   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp:

	Fixed MSVC compile warnings.

2003-09-10 14:12:58  Rev 6947   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/win32.c, src/fonts/freetype.c,
	src/fonts/glyph3d.c:

	Fixed MSVC compile errors and warnings

2003-09-10 13:17:53  Rev 6946   handegar

	* src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Fixed some mutex errors which were overlooked due to a missing '--enable-
	threadsafe' parameter in the
	configure script. Renamed some static functions to prevent conflict when
	compiling using compact mode.

2003-09-10 12:57:39  Rev 6945   pederb

	* src/misc/SoNormalGenerator.cpp:

	BSP init fix.

2003-09-10 12:52:09  Rev 6944   pederb

	* src/fonts/glyph3d.c:

	compile fix.

2003-09-10 12:47:29  Rev 6943   handegar

	* src/fonts/glyph3d.c:

	Fixed lock name.

2003-09-10 12:44:38  Rev 6942   handegar

	* src/fonts/glyph2d.c:

	Fixed small mutex mistake.

2003-09-10 12:41:20  Rev 6941   handegar

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/vrml97/Text.cpp:

	Initializing glyph code in class-init.

2003-09-10 12:38:50  Rev 6940   handegar

	* src/fonts/glyph2d.h, src/fonts/glyph3d.h, src/fonts/glyph2d.c,
	src/fonts/glyph3d.c:

	Added mutex locking for shared hash-table.

2003-09-10 10:18:30  Rev 6939   handegar

	* src/vrml97/Text.cpp:

	The VRMLText node now supports the glyph3d.c functions. The
	'generatePrimitives()' method is not fixed
	yet.

2003-09-10 10:16:56  Rev 6938   handegar

	* src/shapenodes/SoText2.cpp:

	Fixed some memleaks.

2003-09-10 10:16:13  Rev 6937   handegar

	* src/shapenodes/SoAsciiText.cpp:

	The SoAsciiText node now supports the new glyph3d.c functions. The
	'generatePrimitives()' method is still
	to be fixed.

2003-09-10 10:13:53  Rev 6936   handegar

	* include/Inventor/C/glue/GLUWrapper.h:

	Fixed 'tesselation'->'tessellation'.

2003-09-10 10:12:38  Rev 6935   handegar

	* src/fonts/freetype.c:

	Fixed 'tesselation'->'tessellation' :-). Some other minor changes in the way
	the glyphs are handeled.

2003-09-10 10:11:40  Rev 6934   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h:

	Some changes and codestyle fixes.

2003-09-10 10:06:47  Rev 6933   handegar

	* src/fonts/glyph3d.h, src/fonts/glyph3d.c:

	Added C code for handeling 2D and 3D TrueType glyphs.

2003-09-10 01:48:55  Rev 6932   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-09 16:09:23  Rev 6931   mortene

	* src/fields/SoField.cpp:

	Bugfix: slave fields with an initial value specification should use that value
	until their master field's value is updated. Problem reported by Gerhard
	ReitMayr.

2003-09-09 09:56:05  Rev 6930   mortene

	* src/fonts/fontlib_wrapper.c:

	Debugging help for mutex lock problems.

2003-09-09 09:45:38  Rev 6929   mortene

	* src/fonts/fontlib_wrapper.c:

	Bugfix: mutex lock was kept indefinitely.

2003-09-09 09:05:17  Rev 6928   mortene

	* src/fonts/freetype.c:

	Remove debug output.

2003-09-09 01:48:45  Rev 6927   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-08 17:44:11  Rev 6926   mortene

	* src/fields/SoField.cpp:

	Bugfix: erroneous attempt at string concat.

2003-09-08 17:38:06  Rev 6925   mortene

	* src/fields/SoField.cpp:

	Minor fixes, convert macro to template inline.

2003-09-08 10:33:28  Rev 6924   handegar

	* src/fonts/freetype.c, src/fonts/freetype.h:

	Made the character parameter unsigned for future UNICODE support.

2003-09-08 10:32:25  Rev 6923   handegar

	* src/fonts/fontlib_wrapper.h:

	Typedef'ed the glyph structs.

2003-09-08 10:13:46  Rev 6922   handegar

	* src/fonts/freetype.c:

	Added 'cc_debugerror_post()' message if something fails during glyph-loading.

2003-09-08 09:39:06  Rev 6921   mortene

	* src/fonts/freetype.c:

	FIXMEs: don't be silent on unexpected errors.

2003-09-08 09:36:39  Rev 6920   mortene

	* src/fonts/freetype.c:

	Compilation fix: gcc 3.3 wouldn't accept fishy casting.

2003-09-08 08:42:16  Rev 6919   handegar

	* src/shapenodes/SoText3.cpp, src/vrml97/Text.cpp:

	Removed calls to the 'setFontType(..)' method in SoGlyph.cpp

2003-09-08 08:40:05  Rev 6918   handegar

	* include/Inventor/misc/SoGlyph.h:

	Removed the public method which was added by mistake.

2003-09-08 08:38:45  Rev 6917   handegar

	* src/misc/SoGlyph.cpp:

	Setting 3D font as default since SoText2 is no longer using SoGlyph.

2003-09-06 01:48:14  Rev 6916   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-05 15:24:28  Rev 6915   handegar

	* src/shapenodes/SoText3.cpp:

	Removed overlooked commented code ...

2003-09-05 15:23:12  Rev 6914   handegar

	* src/shapenodes/SoText3.cpp:

	Support for the new modified SoGlyph.

2003-09-05 15:19:35  Rev 6913   handegar

	* src/fonts/freetype.c, src/fonts/glyph2d.c:

	Changed #include of "fontlib_wrapper.h" from old path to src/fonts.

2003-09-05 15:18:03  Rev 6912   handegar

	* src/misc/SoGlyph.cpp:

	Support for tesselating of TrueType fonts for 3D. First version.

2003-09-05 15:09:10  Rev 6911   handegar

	* src/shapenodes/SoText2.cpp:

	Removed an obsolete debug function.

2003-09-05 15:04:06  Rev 6910   handegar

	* include/Inventor/C/glue/freetype.h,
	include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/fontlib_wrapper.h:

	Removed some files which have been moved to src/fonts. Extended freetype.h

2003-09-05 14:39:19  Rev 6909   handegar

	* src/glue/flwfreetype.c, src/glue/fontlib_wrapper.c,
	src/glue/freetype.c:

	Some additional wrapping connections.

2003-09-05 14:26:43  Rev 6908   handegar

	* src/vrml97/Text.cpp:

	Codestyle fixes. Text alignment fixes.

2003-09-05 14:24:53  Rev 6907   handegar

	* src/shapenodes/SoText2.cpp:

	added a 'angle' parameter to the 'getglyph' call.

2003-09-05 14:23:27  Rev 6906   handegar

	* src/fonts/fontspec.h:

	Removed the 'angle' floatf from the struct.

2003-09-05 14:22:39  Rev 6905   handegar

	* src/fonts/glyph2d.h, src/fonts/glyph2d.c:

	'Angle' is no a part of the glyph struct instead of the font-specification
	struct.
	Added an 'angle' parameter to the 'getglyph' function.

2003-09-05 14:21:20  Rev 6904   handegar

	* src/fonts/freetype.c:

	The code now handles that no GLU library might be available.

2003-09-05 14:19:04  Rev 6903   handegar

	* src/fonts/fontlib_wrapper.c:

	Removed C++ style comment.

2003-09-05 14:17:34  Rev 6902   handegar

	* include/Inventor/C/glue/GLUWrapper.h:

	Fixed som wrapping issues.

2003-09-05 13:51:34  Rev 6901   handegar

	* include/Inventor/system/gl.h.in:

	Added GLU tesselator #defines.

2003-09-05 11:09:49  Rev 6900   handegar

	* src/shapenodes/SoText2.cpp:

	Fixed a cosmetic error when justification=right.

2003-09-05 10:41:25  Rev 6899   handegar

	* src/shapenodes/SoText2.cpp:

	Glyphs are now handled using 'glyph2d.c' functions instead of 'SoGlyph'.

2003-09-05 10:25:27  Rev 6898   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/glyph3d.h,
	src/fonts/freetype.c, src/fonts/glyph2d.c:

	Fixed refs to old includes.

2003-09-05 09:55:41  Rev 6897   handegar

	* include/Inventor/C/glue/GLUWrapper.h:

	Added tesselation functions.

2003-09-05 09:54:25  Rev 6896   handegar

	* src/glue/GLUWrapper.c:

	Added wrapping for the tesselation functions.

2003-09-05 09:52:27  Rev 6895   handegar

	* src/fonts/glyph2d.h, src/fonts/fontspec.h, src/fonts/glyph2d.c:

	C code for TrueType support.

2003-09-05 09:51:21  Rev 6894   handegar

	* src/fonts/fontlib_wrapper.h:

	More FreeType support

2003-09-05 09:50:51  Rev 6893   handegar

	* src/fonts/fontlib_wrapper.c, src/fonts/freetype.c,
	src/fonts/freetype.h:

	More FreeType support.

2003-09-04 01:48:07  Rev 6892   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-03 13:55:01  Rev 6891   barbara

	* HACKING:

	Update 'The Bleeding Edge' after Coin-2 release.

2003-09-03 09:24:22  Rev 6890   larsa

	* docs/misc-resources.txt:

	link to more downloadable fonts

2003-09-03 01:48:00  Rev 6889   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-02 14:37:09  Rev 6888   mortene

	* src/glue/dl.c, src/glue/all-glue-c.c:

	Compilation fixes: --enable-compact was broken, win32api.h is not to be
	included on non-Win32 systems. Both problems reported by Mark D Anderson.

2003-09-02 09:57:56  Rev 6887   mortene

	* src/errors/error.c:

	Plug memory leak.

2003-09-02 09:56:13  Rev 6886   mortene

	* src/glue/dl.c:

	Simplified code for error reporting under Win32.

2003-09-02 09:26:03  Rev 6885   mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Function to query if application is exiting.

2003-09-02 09:07:18  Rev 6884   mortene

	* src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoIndexedFaceSet.cpp:

	Improved class documentation.

2003-09-02 08:52:07  Rev 6883   mortene

	* src/fields/SoField.cpp:

	Bugfix: crashed when trying to make connections from fields with no container.

2003-09-02 01:48:02  Rev 6882   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-09-01 19:49:46  Rev 6881   mortene

	* HACKING:

	Minor updates.

2003-09-01 19:09:23  Rev 6880   mortene

	* HACKING:

	Try to improve explanations on library versioning and the ABI term.

2003-09-01 13:30:24  Rev 6879   kyrah

	* Makefile.in, Makefile.am:

	Create Resources directory (will contain libsimage binaries).

2003-09-01 12:04:15  Rev 6878   pederb

	* src/shapenodes/SoText2.cpp:

	Compiler warning fix.

2003-09-01 10:29:33  Rev 6877   mortene

	* src/fonts/fontlib_wrapper.c, src/glue/flwfreetype.c, src/Makefile.am,
	src/glue/fontlib_wrapper.c, src/fonts/Makefile.in, src/fonts/win32.c,
	configure.ac, src/fonts/fontlib_wrapper.h, src/glue/Makefile.in,
	src/fonts/win32.h, src/Makefile.in, src/fonts/glyph2d.c,
	src/fonts/glyph3d.c, src/glue/flwwin32.c, src/fonts/glyph2d.h,
	src/fonts/all-fonts-c.c, src/fonts, src/fonts/glyph3d.h, configure,
	src/fonts/freetype.c, src/fonts/fontspec.h, src/fonts/freetype.h,
	src/fonts/Makefile.am, src/glue/Makefile.am:

	Move font-handling related code to src/fonts/.

2003-09-01 09:50:25  Rev 6876   pederb

	* src/shapenodes/SoIndexedShape.cpp:

	Bbox fixes. Handle 4D coordinates properly. Calculate weighted center.

2003-09-01 09:39:06  Rev 6875   pederb

	* src/shapenodes/SoNonIndexedShape.cpp:

	Simplify bbox code by using SbVec4f::getReal().

2003-09-01 09:20:50  Rev 6874   mortene

	* src/glue/flwfreetype.c:

	FIXME.

2003-09-01 09:17:50  Rev 6873   mortene

	* src/nodes/SoTransform.cpp, docs/api-wish-list.txt,
	src/nodes/SoResetTransform.cpp,
	include/Inventor/C/threads/threadsutilp.h,
	src/threads/thread_win32.ic, src/elements/GL/SoGLLazyElement.cpp,
	src/nodes/SoScale.cpp, docs/todo.txt, src/base/SbMatrix.cpp,
	models/dead_simple/text2.iv, src/glue/flwwin32.c,
	src/nodes/SoTranslation.cpp, RELEASE, src/nodes/SoRotation.cpp,
	src/nodes/SoMatrixTransform.cpp, src/misc/SoTempPath.cpp,
	src/misc/SoGlyph.cpp, THANKS, src/hardcopy/HardCopy.cpp,
	src/nodes/SoRotationXYZ.cpp:

	Misc documentation updates and other minor fixes.

2003-09-01 09:13:09  Rev 6872   mortene

	* src/glue/dl.c, include/Inventor/C/glue/dlp.h, src/glue/Makefile.am:

	Add new method cc_dl_available() for run-time checking whether or not we can
	do dynamic library binding.

2003-09-01 09:04:00  Rev 6871   pederb

	* src/nodes/SoMultipleCopy.cpp:

	Bugfix in SoMultipleCopy::search().

2003-09-01 09:01:18  Rev 6870   pederb

	* src/nodes/SoArray.cpp:

	Bugfix in SoArray::search().

2003-08-31 14:01:58  Rev 6869   mortene

	* src/3ds/3dsLoader.cpp:

	Fixes by PC John.

2003-08-29 16:21:19  Rev 6868   pederb

	* src/shapenodes/SoText2.cpp:

	One final (hoepfully) bbox fix.

2003-08-29 15:51:41  Rev 6867   pederb

	* src/shapenodes/SoText2.cpp:

	Fix Text2 bbox calculations.

2003-08-29 14:52:20  Rev 6866   pederb

	* src/glue/fontlib_wrapper.c:

	Bugfix for crash on exit when default font is used.

2003-08-29 11:35:38  Rev 6865   pederb

	* src/vrml97/Background.cpp:

	Misc. SoVRMLBackground fixes to avoid near/far clipping plane and culling
	problems.

2003-08-29 01:47:26  Rev 6864   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-28 15:54:06  Rev 6863   pederb

	* src/vrml97/IndexedFaceSet.cpp:

	Fix bugs with convex cache handling.

2003-08-28 14:53:58  Rev 6862   larsa

	* include/coindefs.h, src/misc/SoDB.cpp:

	compile-time assert() macro (only dev-branch for now)

2003-08-28 10:42:12  Rev 6861   pederb

	* src/elements/GL/SoGLViewingMatrixElement.cpp:

	Fix bug with transformations before the camera when there are multiple cameras
	in the scene graph. Bug reported by Gerhard Reitmayr.

2003-08-28 01:47:35  Rev 6860   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-27 14:30:46  Rev 6859   kyrah

	* FAQ.legal:

	Added FAQ item on the 'PEL at once' issue

2003-08-27 10:55:55  Rev 6858   larsa

	* aclocal.m4, configure, cfg/errors.txt:

	bootstrap

2003-08-27 10:46:16  Rev 6857   larsa

	* include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/errors/SoDebugError.h:

	Borland C++ compile fix

2003-08-27 07:11:10  Rev 6856   mortene

	* src/fields/SoMFPath.cpp, src/fields/SoField.cpp,
	src/fields/MFNodeEnginePath.tpl, src/fields/SoMFEngine.cpp,
	src/fields/SoMFNode.cpp:

	Doxygen API doc fixes.

2003-08-27 01:47:09  Rev 6855   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-26 10:50:00  Rev 6854   mortene

	* src/glue/fontlib_wrapper.c:

	Compilation fix: kill MSVC warning.

2003-08-26 07:39:18  Rev 6853   mortene

	* include/Inventor/elements/SoSubElement.h:

	Doxygen API doc.

2003-08-26 01:47:08  Rev 6852   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-25 14:20:21  Rev 6851   pederb

	* src/glue/gl_glx.c:

	Don't use glXDestroyPbuffer() directly.

2003-08-25 14:14:54  Rev 6850   pederb

	* src/vrml97/Background.cpp:

	Forte compiler fix.

2003-08-25 14:14:10  Rev 6849   pederb

	* src/vrml97/Background.cpp:

	Forte compile fix.

2003-08-25 08:05:06  Rev 6848   mortene

	* docs/coin.doxygen.in, include/Inventor/fields/SoSubField.h:

	Expand macros to document more of the field interfaces.

2003-08-23 01:46:45  Rev 6847   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-22 14:57:26  Rev 6846   larsa

	* INSTALL:

	typo

2003-08-22 11:16:35  Rev 6845   mortene

	* include/Inventor/actions/SoSubAction.h:

	Doxygen API doc fixes.

2003-08-22 09:55:54  Rev 6844   pederb

	* src/glue/fontlib_wrapper.c:

	Fix crash-on-exit when using fonts.

2003-08-22 08:53:14  Rev 6843   mortene

	* src/vrml97/Sound.cpp:

	Bugfix: make code safe for overflow in calculations.

2003-08-22 07:29:58  Rev 6842   mortene

	* src/vrml97/Sound.cpp:

	Compilation fix: kill MSVC7 warning. Problem reported by Dan @ Golden
	Software.

2003-08-22 01:46:38  Rev 6841   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-21 08:54:21  Rev 6840   pederb

	* include/Inventor/engines/SoConvertAll.h, src/actions/SoAction.cpp,
	src/engines/SoConvertAll.cpp, include/Inventor/actions/SoAction.h:

	Use atexit_cleanup() instead of cleanup() (sync with Coin-2).

2003-08-21 01:46:35  Rev 6839   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-20 20:36:36  Rev 6838   mortene

	* docs/todo.txt:

	Updates, plus two additional items.

2003-08-20 16:14:05  Rev 6837   pederb

	* include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h:

	Plug lots of one-off memory leaks.

2003-08-20 16:12:08  Rev 6836   pederb

	* src/misc/SoType.cpp, src/misc/SoDB.cpp:

	Plug leak.

2003-08-20 16:10:25  Rev 6835   pederb

	* src/misc/SoProto.cpp:

	Plug leak. Better support for _changed and set_ for VRML2 field names.

2003-08-20 15:55:28  Rev 6834   pederb

	* include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h:

	Use atexit_cleanup() instead of cleanup().

2003-08-20 15:20:57  Rev 6833   pederb

	* include/Inventor/engines/SoConvertAll.h, src/engines/SoConvertAll.cpp:

	Plug another memory leak.

2003-08-20 15:04:17  Rev 6832   pederb

	* src/actions/SoPickAction.cpp, src/actions/SoWriteAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoCallbackAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	include/Inventor/actions/SoSubAction.h,
	src/collision/SoIntersectionDetectionAction.cpp,
	src/actions/SoAudioRenderAction.cpp,
	src/actions/SoGLRenderAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoGetMatrixAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoSearchAction.cpp, src/actions/SoReorganizeAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	include/Inventor/actions/SoSubActionP.h,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoAction.cpp, src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/hardcopy/VectorizeAction.cpp, src/actions/SoToVRMLAction.cpp,
	include/Inventor/actions/SoAction.h,
	src/hardcopy/VectorizePSAction.cpp:

	Plug some (harmless) memory leaks.

2003-08-20 11:27:06  Rev 6831   larsa

	* docs/doxypp.sed:

	doxygen preprocessor from Coin-2

2003-08-20 11:02:04  Rev 6830   pederb

	* src/misc/SoInput.cpp:

	Sync with Coin-2.

2003-08-20 10:59:02  Rev 6829   pederb

	* src/misc/SoInput.cpp:

	Fixed cleanup bug when user calls SoDB::cleanup().

2003-08-20 01:46:37  Rev 6828   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-19 16:02:18  Rev 6827   larsa

	* THANKS:

	Borland help

2003-08-19 13:55:45  Rev 6826   pederb

	* src/glue/flwwin32.c:

	Win32 font aspect ratio fix. By thammer.

2003-08-19 11:23:19  Rev 6825   pederb

	* src/shapenodes/SoImage.cpp:

	Remove some debug asserts.

2003-08-19 10:54:41  Rev 6824   pederb

	* src/shapenodes/SoImage.cpp:

	Bugfix for alignment handling for new glPixelZoom code.

2003-08-19 10:29:01  Rev 6823   pederb

	* src/shapenodes/SoImage.cpp:

	GLRender now uses glPixelZoom to resize image. By Frode Frode Oijord.

2003-08-19 09:03:43  Rev 6822   pederb

	* src/caches/SoNormalCache.cpp:

	Improved debug output.

2003-08-19 01:46:16  Rev 6821   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-18 15:58:19  Rev 6820   larsa

	* configure, configure.ac:

	#if vs #ifdef adjustments

2003-08-18 14:53:22  Rev 6819   larsa

	* include/Inventor/C/glue/simage_wrapper.h, src/glue/flwfreetype.c,
	configure, include/Inventor/C/glue/GLUWrapper.h, src/glue/dl.c,
	src/misc/SoInput.cpp, src/misc/SoOutput.cpp, src/glue/freetype.c,
	include/Inventor/C/glue/openal_wrapper.h, src/misc/SoDB.cpp,
	src/sensors/SoSensorManager.cpp:

	#if vs #ifdef adjustments

2003-08-18 14:35:52  Rev 6818   larsa

	* src/extensions/Makefile.in:

	dist change

2003-08-18 13:55:54  Rev 6817   pederb

	* src/vrml97/Background.cpp:

	Compiler warnings fixes.

2003-08-18 13:21:25  Rev 6816   pederb

	* src/base/time.c, src/tidbits.c:

	Win32 compile fixes. Proper checks for getcwd() vs _getcwd(), and ftime vs
	_ftime().

2003-08-18 13:01:11  Rev 6815   pederb

	* aclocal.m4, configure, configure.ac, include/config.h.in:

	Configure tests for ftime(), getcwd() and _getcwd().

2003-08-18 12:20:19  Rev 6814   pederb

	* src/nodes/SoExtSelection.cpp:

	Windows compile fix.

2003-08-18 09:18:01  Rev 6813   handegar

	* src/vrml97/Fog.cpp, src/vrml97/Background.cpp, src/vrml97/Text.cpp:

	Memleak fix in destructor

2003-08-18 09:06:12  Rev 6812   handegar

	* src/vrml97/Fog.cpp:

	Implemented fog support for VRML97.

2003-08-18 09:05:28  Rev 6811   handegar

	* src/vrml97/Background.cpp:

	Some small cosmetic code style fixes.

2003-08-16 01:46:00  Rev 6810   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-15 14:47:06  Rev 6809   mortene

	* src/glue/gl_glx.c:

	Compilation fix, by Mark D Anderson.

2003-08-15 12:01:40  Rev 6808   handegar

	* src/vrml97/Text.cpp:

	Fixed spacing issues.

2003-08-15 10:00:29  Rev 6807   mortene

	* src/glue/gl_glx.c:

	Compile fixes: takes care of complaints from HP-UX cc. Thanks to Mark D
	Anderson for reporting the problems.

2003-08-15 09:44:36  Rev 6806   handegar

	* src/vrml97/Text.cpp:

	Removed an obsolete FIXME.

2003-08-15 09:40:18  Rev 6805   handegar

	* src/vrml97/Text.cpp:

	Added support for TextStyle properties. Added support for the 'length' and
	'maxExtend' fields.

2003-08-14 01:45:42  Rev 6804   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-13 12:08:30  Rev 6803   pederb

	* src/misc/SoBase.cpp:

	Improve SoBase threadsafeness. Fixes a bug with SoBase::getNamedBases() for
	the thread safe version of Coin.

2003-08-13 11:50:55  Rev 6802   mortene

	* include/Inventor/system/gl.h.in:

	Remove GLenum casts, they should not be necessary.

2003-08-13 10:44:58  Rev 6801   mortene

	* include/Inventor/elements/SoGLLazyElement.h:

	Minor code cleanup / clarification. (Done to get around a SWIG bug.)

2003-08-13 09:44:58  Rev 6800   handegar

	* src/vrml97/Background.cpp:

	Some small fixes and changes.

2003-08-13 01:45:32  Rev 6799   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-12 16:31:51  Rev 6798   handegar

	* src/vrml97/Background.cpp:

	Increased the quality of the sphere if few angles were provided.

2003-08-12 16:00:44  Rev 6797   mortene

	* src/glue/gl.c:

	Remove C++ comment from C code.

2003-08-12 15:57:45  Rev 6796   mortene

	* src/glue/gl.c:

	Remove C++ style code comments from C code. Adds a couple of FIXMEs.

2003-08-12 15:57:05  Rev 6795   mortene

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h:

	Activate new function in public API for Coin dev branch.

2003-08-12 15:30:23  Rev 6794   pederb

	* src/vrml97/ImageTexture.cpp:

	Bugfix for case when texture is reloaded after being thrown out of memory.

2003-08-12 14:36:32  Rev 6793   handegar

	* src/vrml97/Background.cpp:

	Made the node support more special cases according to the VRML97 spec.

2003-08-12 14:23:38  Rev 6792   handegar

	* src/glue/gl.c:

	removed clamping code

2003-08-12 14:22:00  Rev 6791   handegar

	* src/misc/SoOffscreenRenderer.cpp:

	Added int to short clamping

2003-08-12 13:55:48  Rev 6790   handegar

	* include/Inventor/C/glue/glp.h:

	Changed parameter 'short' to 'unsigned int'

2003-08-12 13:55:05  Rev 6789   handegar

	* src/glue/gl.c:

	Removed SoOffscreenRenderer spesific code. Changed parameter 'short' to
	'unsigned int'.

2003-08-12 13:54:06  Rev 6788   handegar

	* src/misc/SoOffscreenRenderer.cpp:

	Moved back offscreen-spesific code.

2003-08-12 13:53:04  Rev 6787   handegar

	* src/nodes/SoExtSelection.cpp:

	Fixed vars from 'short' to 'unsigned int' in function call.

2003-08-12 13:05:27  Rev 6786   handegar

	* src/nodes/SoExtSelection.cpp:

	The offscreen render size is now correctly detected using a glue/gl.c
	function.

2003-08-12 13:01:20  Rev 6785   handegar

	* include/Inventor/C/glue/glp.h:

	Added declaration for the 'cc_glglue_context_max_dimensions' function.

2003-08-12 13:00:25  Rev 6784   handegar

	* src/glue/gl.c:

	Added code for extracting max screen size (taken from the SoOffscreenRenderer
	node)

2003-08-12 12:58:52  Rev 6783   handegar

	* src/misc/SoOffscreenRenderer.cpp:

	Moved code for extracting max-resolution into glue/glp.h and glue/gl.c

2003-08-12 01:45:26  Rev 6782   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-11 16:00:00  Rev 6781   handegar

	* src/vrml97/Background.cpp:

	Removed the entire 'readInstance' method as it wont be needed later after all.

2003-08-11 15:51:47  Rev 6780   handegar

	* src/vrml97/Background.cpp:

	Fixed Coin-2 compile incompatibility.
	Optimized code.
	Changed postInfo to postWarning.
	Fixed float/double mixing.

2003-08-11 14:53:35  Rev 6779   mortene

	* src/fields/SoField.cpp:

	Rewrite code comments about a potential problem, after Tamer Fahmy
	investigated.

2003-08-11 13:20:52  Rev 6778   handegar

	* src/vrml97/Background.cpp:

	Implemented the SoVRMLBackground node according to the VRML'97 standard.

2003-08-11 12:33:15  Rev 6777   mortene

	* src/nodes/SoTextureCoordinateBinding.cpp,
	include/Inventor/nodes/SoTextureCoordinateBinding.h:

	Compatibility fix: was missing a synonymous enum value, which could cause
	incompatibility with SGI/TGS Inventor written iv-files.

2003-08-11 09:24:54  Rev 6776   pederb

	* src/vrml97/Appearance.cpp:

	Fix for quite recently introduced VRML97 material handling bug.

2003-08-11 09:15:36  Rev 6775   mortene

	* BUGS.txt, src/fields/SoField.cpp, THANKS:

	Bugfix: field-to-field connection without a slave value specification. Fixed
	by Tamer Fahmy and Gerhard Reitmayr.

2003-08-11 08:55:15  Rev 6774   mortene

	* src/glue/gl_glx.c:

	Workaround for what looks like an NVidia OpenGL driver bug.

2003-08-11 08:34:42  Rev 6773   mortene

	* src/glue/gl_glx.c:

	Fixes to the GLX pbuffer support, by Tamer Fahmy.

2003-08-09 01:44:58  Rev 6772   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-08 14:33:44  Rev 6771   pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	Fix function signature.

2003-08-08 13:49:38  Rev 6770   larsa

	* src/extensions/README:

	small note to refer to if anyone wonders

2003-08-08 13:17:06  Rev 6769   mortene

	* src/glue/gl_glx.c:

	Initial GLX pbuffers support. Contributed by Tamer Fahmy and Hannes Kaufmann.
	Various improvements made by mortene.

2003-08-08 13:15:05  Rev 6768   mortene

	* aclocal.m4, configure, include/config.h.in:

	Bootstrap.

2003-08-08 13:14:08  Rev 6767   mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:

	Various code cleanups.

2003-08-08 13:11:52  Rev 6766   mortene

	* src/glue/flwwin32.c:

	Kill minor FIXME.

2003-08-08 13:10:26  Rev 6765   mortene

	* include/Inventor/system/gl.h.in:

	Adds a bunch of GLX 1.3 defines.

2003-08-08 13:08:36  Rev 6764   mortene

	* configure.ac:

	Use a single define for whether or not run-time dynamic linking can be done.

2003-08-08 01:44:52  Rev 6763   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-07 12:54:06  Rev 6762   mortene

	* include/Inventor/system/gl.h.in:

	Workaround for NVidia silliness.

2003-08-07 08:54:07  Rev 6761   mortene

	* src/glue/win32api.c, include/Inventor/C/glue/win32api.h:

	Kill FIXMEs.

2003-08-07 01:44:50  Rev 6760   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-06 15:53:23  Rev 6759   larsa

	* src/vrml97/Makefile.am, src/nodekits/all.cpp, src/misc/Makefile.in,
	src/caches/all.cpp, src/details/all-details-cpp.cpp,
	src/vrml97/Makefile.in, src/hardcopy/Makefile.am,
	src/projectors/all.cpp, src/caches/all-caches-cpp.cpp,
	src/elements/GL/all-glelements-cpp.cpp, src/elements/Makefile.am,
	src/errors/Makefile.am, src/errors/all-c.c, src/errors/all-cpp.cpp,
	src/engines/all-engines-c.c, src/engines/all-engines-cpp.cpp,
	src/actions/all.cpp, src/nodekits/Makefile.am,
	src/hardcopy/Makefile.in, src/projectors/all-projectors-cpp.cpp,
	src/events/all.cpp, src/errors/Makefile.in, src/elements/Makefile.in,
	src/glue/all-glue-c.c, src/fields/all.cpp, src/caches/Makefile.am,
	src/bundles/all-bundles-cpp.cpp, src/engines/all-cpp.cpp,
	src/engines/all-c.c, src/engines/Makefile.am,
	src/nodekits/Makefile.in, src/projectors/Makefile.am, src/draggers
	/all-draggers-cpp.cpp, src/collision/all-cpp.cpp,
	src/collision/Makefile.am, cfg/ltmain.sh, src/vrml97/all-
	vrml97-cpp.cpp, src/actions/all-actions-cpp.cpp,
	src/caches/Makefile.in, src/actions/Makefile.am,
	src/engines/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, src/events/Makefile.am,
	src/fields/Makefile.am, src/manips/all.cpp, src/actions/Makefile.in,
	src/fields/all-fields-cpp.cpp, src/upgraders/all.cpp,
	src/sensors/all.cpp, src/manips/all-manips-cpp.cpp,
	src/events/Makefile.in, src/lists/all.cpp,
	src/elements/GL/Makefile.am, src/elements/GL/all-cpp.cpp,
	src/fields/Makefile.in, src/shapenodes/all-shapenodes-cpp.cpp,
	src/elements/all-elements-cpp.cpp, src/errors/all-errors-c.c,
	src/errors/all-errors-cpp.cpp, src/manips/Makefile.am,
	src/elements/GL/Makefile.in, src/nodes/all.cpp,
	src/threads/Makefile.am, src/threads/all-c.c, src/glue/all-c.c,
	src/glue/Makefile.am, src/sensors/Makefile.am,
	src/upgraders/Makefile.am, src/lists/Makefile.am, src/nodekits/all-
	nodekits-cpp.cpp, src/manips/Makefile.in, src/threads/Makefile.in,
	src/glue/Makefile.in, src/details/all.cpp, src/sensors/Makefile.in,
	src/upgraders/Makefile.in, src/lists/Makefile.in,
	src/nodes/Makefile.am, src/base/all-cpp.cpp, src/base/all-c.c,
	src/base/Makefile.am, src/bundles/all.cpp, src/draggers/all.cpp,
	src/hardcopy/all-hardcopy-cpp.cpp, src/nodes/Makefile.in, src/threads
	/all-threads-c.c, src/base/Makefile.in, src/collision/all-collision-
	cpp.cpp, src/details/Makefile.am, src/sensors/all-sensors-cpp.cpp,
	src/upgraders/all-upgraders-cpp.cpp, src/shapenodes/Makefile.am,
	src/shapenodes/all-cpp.cpp, src/lists/all-lists-cpp.cpp,
	src/bundles/Makefile.am, src/details/Makefile.in,
	src/draggers/Makefile.am, src/shapenodes/Makefile.in,
	src/bundles/Makefile.in, src/events/all-events-cpp.cpp,
	src/draggers/Makefile.in, src/nodes/all-nodes-cpp.cpp,
	src/vrml97/all.cpp, src/base/all-base-cpp.cpp, src/base/all-base-c.c,
	src/misc/all-misc-c.c, src/misc/all-misc-cpp.cpp,
	src/hardcopy/all.cpp, src/misc/Makefile.am, src/misc/all-c.c,
	src/misc/all-cpp.cpp, src/elements/all.cpp:

	--enable-compact change, and bootstrap

2003-08-06 14:49:20  Rev 6758   mortene

	* src/misc/SoInput.cpp:

	Better error reporting when a file is not found.

2003-08-06 14:12:10  Rev 6757   mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Wrap getcwd() with a more convenient interface.

2003-08-06 08:01:08  Rev 6756   mortene

	* src/glue/all-c.c:

	Fixes for --enable-compact build. By Mark D Anderson.

2003-08-06 01:44:43  Rev 6755   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-05 16:49:48  Rev 6754   larsa

	* THANKS:

	thanks to Winnie E. Wong for SoXt efforts

2003-08-05 14:16:10  Rev 6753   pederb

	* src/actions/SoToVRML2Action.cpp:

	Simplify Switch handling.

2003-08-05 10:58:14  Rev 6752   pederb

	* src/actions/SoToVRML2Action.cpp:

	Another Switch bugfix.

2003-08-05 10:25:42  Rev 6751   pederb

	* src/actions/SoToVRML2Action.cpp:

	Quick bugfix for latest bugfix.

2003-08-05 10:15:03  Rev 6750   pederb

	* src/actions/SoToVRML2Action.cpp:

	Handle SO_SWITCH_INHERIT and SO_SWITCH_ALL. Bug reported by Hannes Kaufmann.

2003-08-05 01:44:39  Rev 6749   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-04 07:13:45  Rev 6748   mortene

	* src/glue/flwwin32.c:

	Removes a couple of GCC 3.2 warnings. By Lars Ivar Igesund.

2003-08-02 01:44:12  Rev 6747   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-08-01 12:59:09  Rev 6746   pederb

	* THANKS:

	Add Hannes Kaufmann.

2003-08-01 12:57:26  Rev 6745   pederb

	* src/actions/SoToVRML2Action.cpp:

	Switch conversion bugfix. Bug reported by Hannes Kaufmann.

2003-07-31 01:43:58  Rev 6744   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-30 14:13:30  Rev 6743   pederb

	* src/nodes/SoFile.cpp, src/vrml97/Inline.cpp:

	getBoundingBoxAction fix.

2003-07-30 01:43:53  Rev 6742   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-29 16:13:32  Rev 6741   pederb

	* THANKS:

	Add Todd Harrington.

2003-07-29 16:06:05  Rev 6740   pederb

	* include/Inventor/elements/SoGLLazyElement.h:

	Fix function signature in SoGLLazyElement. Problem reported by Todd
	Harrington.

2003-07-29 15:38:55  Rev 6739   larsa

	* src/misc/SoSceneManager.cpp, src/vrml97/AudioClip.cpp,
	src/misc/SoAudioDevice.cpp, src/misc/SoGlyph.cpp,
	src/hardcopy/VectorizeAction.cpp:

	clean up PRIVATE/PUBLIC define mess

2003-07-29 01:43:46  Rev 6738   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-28 15:54:51  Rev 6737   larsa

	* src/misc/SoType.cpp:

	documentation page update

2003-07-28 15:36:38  Rev 6736   larsa

	* src/misc/SoType.cpp:

	documentation page

2003-07-28 10:17:59  Rev 6735   pederb

	* src/elements/SoLazyElement.cpp, src/vrml97/AudioClip.cpp,
	src/elements/GL/SoGLColorIndexElement.cpp:

	Added some missing methods. Spotted by Tamer Fahmy.

2003-07-25 01:43:20  Rev 6734   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-24 11:44:40  Rev 6733   pederb

	* src/draggers/SoSpotLightDragger.cpp:

	SoSpotLightDragger::angle bugfix. By Frode ?ijord.

2003-07-24 09:07:48  Rev 6732   larsa

	* aclocal.m4, configure, cfg/config.guess, cfg/config.sub:

	bootstrap

2003-07-24 08:54:50  Rev 6731   pederb

	* src/base/SbMatrix.cpp:

	Reenable optimized inverse() after a quick bugfix.

2003-07-24 08:50:13  Rev 6730   pederb

	* src/base/SbMatrix.cpp:

	Disable optimized inverse() since it's buggy. Try loading a default
	Translate2Dragger to reproduce.

2003-07-24 08:24:06  Rev 6729   pederb

	* src/glue/dl.c:

	Compile fix.

2003-07-24 07:39:12  Rev 6728   pederb

	* aclocal.m4, configure, configure.ac, cfg/ltmain.sh:

	collision enable-hacking fix.

2003-07-24 01:43:24  Rev 6727   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-23 15:08:55  Rev 6726   kyrah

	* src/glue/dl.c:

	Contrary to Apple's docs, Mac OS 10.1 did not have dirname()
	in libc after all... -> must use our own.

2003-07-23 13:43:36  Rev 6725   pederb

	* THANKS:

	Thanks update.

2003-07-23 13:39:47  Rev 6724   pederb

	* src/fields/SoField.cpp:

	Fix engine write bug. Bug reported by George Alverson.

2003-07-23 11:20:16  Rev 6723   kyrah

	* src/glue/dl.c, src/glue/gl_agl.c:

	Mac OS 10.1 build fixes.

2003-07-23 01:43:06  Rev 6722   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-22 10:03:23  Rev 6721   mortene

	* docs/coin.doxygen.in:

	Doxygen fix.

2003-07-18 01:42:24  Rev 6720   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-17 13:37:35  Rev 6719   larsa

	* src/actions/SoSearchAction.cpp:

	doxygen doc update

2003-07-17 11:46:24  Rev 6718   pederb

	* src/hardcopy/VectorOutput.cpp,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	src/hardcopy/PSVectorOutput.cpp, src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/HardCopy.cpp,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/hardcopy/VectorizePSAction.cpp:

	Include path fixes.

2003-07-17 11:46:23  Rev 6717   larsa

	* src/base/SbMatrix.cpp:

	apply SbMatrix::inverse optimization patch

2003-07-17 11:36:47  Rev 6716   larsa

	* src/misc/SoOutput.cpp:

	doc on file compression

2003-07-17 11:24:22  Rev 6715   kintel

	* src/misc/SoInput.cpp:

	doc fix

2003-07-17 11:15:31  Rev 6714   pederb

	* src/hardcopy/HardCopy.cpp:

	SPAM fix.

2003-07-17 01:42:37  Rev 6713   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-16 17:50:08  Rev 6712   pederb

	* src/hardcopy/HardCopy.cpp, src/misc/SoDB.cpp:

	Fix hardcopy init. Bug reported by kyrah.

2003-07-15 01:42:06  Rev 6711   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-14 09:03:28  Rev 6710   pederb

	* THANKS:

	Add Gordon Cichon.

2003-07-14 09:01:43  Rev 6709   pederb

	* src/misc/SoGLImage.cpp:

	gcc 2.95.2 compile fix. Fix by Gordon Cichon.

2003-07-14 01:42:00  Rev 6708   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-13 15:07:54  Rev 6707   kyrah

	* README.MAC:

	Added information about the HardCopy include path problem.

2003-07-13 14:43:45  Rev 6706   kyrah

	* configure, configure.ac:

	Coin-3 will be C, not B -- allow parallel installations by not overwriting
	Coin-2

2003-07-12 01:41:48  Rev 6705   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-11 12:10:35  Rev 6704   larsa

	* src/base/SbString.cpp:

	doxygen update

2003-07-11 12:05:46  Rev 6703   larsa

	* src/misc/SoType.cpp:

	minor optimization/clarification

2003-07-11 01:41:42  Rev 6702   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-10 12:18:13  Rev 6701   pederb

	* src/glue/flwfreetype.c:

	Require at least version 2.1 of the fretype 2 library.

2003-07-10 09:30:53  Rev 6700   pederb

	* src/misc/SoGL.cpp:

	Workaround for NURBS rendering bug reported by Nigel Murry.

2003-07-10 01:41:28  Rev 6699   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-09 15:38:20  Rev 6698   larsa

	* BUGS.txt:

	updates

2003-07-09 15:34:27  Rev 6697   pederb

	* src/vrml97/Billboard.cpp:

	Fix bboxaction bug.

2003-07-09 15:32:21  Rev 6696   pederb

	* src/vrml97/Shape.cpp:

	Code simplification.

2003-07-09 14:24:06  Rev 6695   larsa

	* INSTALL:

	document some new configure options

2003-07-09 13:33:15  Rev 6694   larsa

	* src/actions/all.cpp:

	SoIDA won't be compiled here

2003-07-09 13:31:34  Rev 6693   larsa

	* src/collision/SbTri3f.cpp, src/Makefile.am, src/actions/Makefile.am,
	configure, src/collision, configure.ac, src/collision/Makefile.in,
	src/collision/SbTri3f.h,
	src/collision/SoIntersectionDetectionAction.cpp, src/Makefile.in,
	src/actions/Makefile.in, src/collision/Makefile.am, src/collision
	/all-cpp.cpp:

	sync sointersectiondetectionaction build with Coin-2, w/bootstrap

2003-07-09 13:16:55  Rev 6692   pederb

	* src/glue/zlib.c, src/glue/bzip2.c:

	Check version of zlib and bzlib.

2003-07-09 13:13:52  Rev 6691   pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	New function to parse versionstring.

2003-07-09 11:27:23  Rev 6690   pederb

	* src/glue/flwfreetype.c, src/glue/freetype.c:

	Runtime freetype fixes.

2003-07-09 11:00:55  Rev 6689   pederb

	* src/glue/openal_wrapper.c, src/glue/zlib.c, src/glue/freetype.c,
	src/glue/simage_wrapper.c, src/glue/bzip2.c, src/glue/GLUWrapper.c:

	Support an environment variable for setting the name of runtime linking
	libraries.

2003-07-09 10:59:32  Rev 6688   larsa

	* cfg/ltmain.sh:

	ultra-paranoid libtool for avoiding MKS-sh bug

2003-07-09 10:36:40  Rev 6687   larsa

	* configure.ac:

	don't test for freetype when win32 api is available

2003-07-09 10:28:05  Rev 6686   pederb

	* include/Inventor/C/glue/freetype.h:

	Compile fix.

2003-07-09 10:07:08  Rev 6685   pederb

	* include/Inventor/C/glue/freetype.h, src/glue/flwfreetype.c,
	src/glue/freetype.c:

	Freetype runtime linking.

2003-07-09 01:41:22  Rev 6684   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-08 16:01:55  Rev 6683   pederb

	* configure, configure.ac, include/config.h.in:

	Runtime freetype configure test.

2003-07-08 13:45:37  Rev 6682   pederb

	* include/Inventor/C/glue/freetype.h, src/glue/Makefile.in,
	src/glue/freetype.c, src/glue/Makefile.am:

	Build system for proper freetype glue.

2003-07-08 13:25:18  Rev 6681   pederb

	* src/misc/gzmemio.c:

	Compile fix.

2003-07-08 12:49:58  Rev 6680   pederb

	* src/misc/SoInput.cpp, src/misc/gzmemio.c:

	Fix compiler warnings.

2003-07-08 12:23:00  Rev 6679   pederb

	* src/fields/SoSFImage.cpp:

	Support for CopyPolicy in setValue().

2003-07-08 12:05:32  Rev 6678   pederb

	* src/misc/SoInput.cpp, src/misc/SoOutput.cpp:

	Minor fixes in comments and doc.

2003-07-08 01:41:17  Rev 6677   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-07 15:36:08  Rev 6676   pederb

	* src/misc/SoType.cpp:

	Forte 64-bit compile fix.

2003-07-07 15:33:29  Rev 6675   pederb

	* src/misc/gzmemio.c:

	Fix a Forte compiler warning

2003-07-07 15:30:14  Rev 6674   pederb

	* src/misc/gzmemio.c:

	Fixes for zlib runtime linking.

2003-07-07 15:02:21  Rev 6673   pederb

	* include/Inventor/C/glue/bzip2.h, src/glue/bzip2.c:

	small is a reserved keyword in msvc *sigh*.

2003-07-07 14:42:56  Rev 6672   larsa

	* aclocal.m4, configure:

	bootstrap

2003-07-07 14:40:07  Rev 6671   pederb

	* src/misc/SoOutput_Writer.cpp, src/misc/SoInput_Reader.cpp:

	Code comments.

2003-07-07 14:24:09  Rev 6670   larsa

	* aclocal.m4, configure:

	bootstrap

2003-07-07 13:38:54  Rev 6669   pederb

	* include/Inventor/C/glue/bzip2.h, src/misc/SoOutput_Writer.cpp,
	src/misc/SoOutput.cpp, src/misc/SoInput_Reader.cpp, src/glue/bzip2.c:

	Runtime bzip2 linking.

2003-07-07 13:35:02  Rev 6668   larsa

	* INSTALL.GNU:

	new version

2003-07-07 12:46:16  Rev 6667   larsa

	* src/misc/SoSceneManager.cpp, src/misc/SoBase.cpp,
	src/events/SoKeyboardEvent.cpp, src/misc/SoType.cpp,
	src/nodes/SoNode.cpp, src/vrml97/Extrusion.cpp, src/misc/SoDB.cpp:

	variable typing fixes

2003-07-07 12:32:16  Rev 6666   larsa

	* src/base/heap.c:

	improved variable typing

2003-07-07 12:21:34  Rev 6665   larsa

	* aclocal.m4, configure, include/config.h.in, cfg/coin.m4:

	bootstrap

2003-07-07 12:21:20  Rev 6664   larsa

	* include/Inventor/system/inttypes.h.in:

	set up intptr_t types

2003-07-07 11:51:04  Rev 6663   pederb

	* include/Inventor/C/glue/bzip2.h, src/glue/Makefile.in,
	src/glue/bzip2.c, src/glue/Makefile.am:

	Framework for runtime bzip2 support.

2003-07-07 10:36:40  Rev 6662   pederb

	* src/misc/gzmemio.h, src/misc/SoOutput_Writer.cpp,
	src/misc/SoOutput_Writer.h, src/misc/gzmemio.c:

	More zlib runtime stuff.

2003-07-07 10:35:34  Rev 6661   pederb

	* src/misc/SoInput_FileInfo.cpp:

	Fix potential bug.

2003-07-07 10:24:20  Rev 6660   pederb

	* src/misc/SoInput_FileInfo.cpp:

	Compile fix.

2003-07-07 10:11:51  Rev 6659   larsa

	* src/misc/SoInput.cpp:

	doc update and cosmetics

2003-07-07 10:02:15  Rev 6658   pederb

	* src/misc/SoInput_FileInfo.cpp, src/glue/zlib.c, src/misc/SoInput.cpp,
	src/misc/SoInput_FileInfo.h, src/misc/SoOutput.cpp,
	src/misc/SoInput_Reader.cpp, src/misc/SoInput_Reader.h:

	Runtime zlib support.

2003-07-07 09:48:44  Rev 6657   larsa

	* src/base/rbptree.c:

	int/ptr fix

2003-07-07 09:15:17  Rev 6656   larsa

	* FAQ:

	status update

2003-07-07 09:05:05  Rev 6655   pederb

	* configure, configure.ac, include/config.h.in:

	Configure support for dynamic loading of compression libraries.

2003-07-05 01:40:58  Rev 6654   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-04 16:37:42  Rev 6653   pederb

	* src/glue/zlib.c, src/glue/Makefile.in, include/Inventor/C/glue/zlib.h,
	src/glue/Makefile.am:

	zlib glue.

2003-07-04 16:33:54  Rev 6652   larsa

	* src/actions/SoAction.cpp, include/Inventor/actions/SoAction.h:

	new SoAction::apply() convenience method

2003-07-04 16:32:24  Rev 6651   larsa

	* include/Inventor/SoInput.h, src/misc/SoInput_FileInfo.cpp,
	src/misc/SoInput.cpp, src/misc/SoInput_FileInfo.h,
	src/misc/SoInput_Reader.cpp, src/misc/SoInput_Reader.h:

	SoInput::setStringArray()

2003-07-04 12:46:28  Rev 6650   pederb

	* README.SUN:

	SUN update.

2003-07-04 12:04:44  Rev 6649   mortene

	* src/hardcopy/VectorizePSAction.cpp:

	Compile fix: kill MSVC warning.

2003-07-04 10:30:31  Rev 6648   pederb

	* src/hardcopy/VectorOutput.cpp, src/hardcopy/PSVectorOutput.cpp:

	Bugfixes.

2003-07-04 09:34:12  Rev 6647   pederb

	* src/engines/SoCalculator.cpp:

	Doc fixes.

2003-07-04 09:33:02  Rev 6646   pederb

	* src/hardcopy/VectorOutput.cpp, src/hardcopy/PSVectorOutput.cpp,
	src/hardcopy/VectorizeAction.cpp, src/hardcopy/HardCopy.cpp,
	src/hardcopy/VectorizePSAction.cpp:

	HardCopy doc.

2003-07-04 09:02:09  Rev 6645   pederb

	* src/hardcopy/all.cpp:

	Compact build fix.

2003-07-04 08:36:59  Rev 6644   mortene

	* include/Inventor/annex/HardCopy/SoVectorizeItems.h,
	src/hardcopy/VectorizeActionP.h, docs/coin.doxygen.in,
	src/hardcopy/Makefile.in, src/hardcopy/VectorizeItems.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	src/hardcopy/Makefile.am, src/hardcopy/VectorizeAction.cpp,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/hardcopy/VectorizePSAction.cpp:

	Remove SoVectorizeItems class and subclasses from public API.

2003-07-04 08:07:29  Rev 6643   mortene

	* docs/coin.doxygen.in, src/hardcopy/VectorOutput.cpp,
	src/hardcopy/PSVectorOutput.cpp, src/hardcopy/VectorizeAction.cpp,
	src/hardcopy/HardCopy.cpp, src/misc/SoDB.cpp,
	src/hardcopy/VectorizePSAction.cpp:

	Doxygen API doc.

2003-07-04 01:41:00  Rev 6642   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-03 14:44:05  Rev 6641   pederb

	* src/threads/Makefile.in, src/glue/Makefile.in, src/threads/threads-
	dummy.cpp, src/glue/glue-dummy.cpp, src/threads/Makefile.am,
	src/glue/Makefile.am:

	Added dummy cpp files to fix Solaris Forte linking.

2003-07-03 12:46:10  Rev 6640   mortene

	* src/glue/gl.c:

	Warn when full OpenGL 1.0 not used.

2003-07-03 10:11:21  Rev 6639   mortene

	* aclocal.m4, cfg/wrapmsvc.exe, configure, include/config.h.in,
	cfg/coin.m4:

	Bootstrap.

2003-07-03 10:08:59  Rev 6638   mortene

	* configure.ac:

	Inform when no explicit linkage is necessary.

2003-07-03 09:42:13  Rev 6637   mortene

	* configure.ac:

	Explicitly add gdi32.lib if we are on a Win32 capable system.

2003-07-03 09:20:31  Rev 6636   mortene

	* src/misc/SoInput.cpp:

	Use HAVE__SPLITPATH define.

2003-07-03 09:19:21  Rev 6635   mortene

	* configure.ac:

	Modularization, Win32 checks.

2003-07-03 08:28:19  Rev 6634   mortene

	* THANKS:

	Adds Duncan Soutar, for SoWin bug reports.

2003-07-03 01:40:43  Rev 6633   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-02 07:38:50  Rev 6632   mortene

	* src/nodes/SoTexture2.cpp:

	Codestyle fixes.

2003-07-02 01:40:33  Rev 6631   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-07-01 14:33:12  Rev 6630   pederb

	* src/hardcopy/VectorizeActionP.cpp,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/hardcopy/VectorizePSAction.cpp:

	Support for pointstyle.

2003-07-01 14:02:27  Rev 6629   pederb

	* src/hardcopy/VectorizeActionP.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	src/hardcopy/VectorizeAction.cpp, src/hardcopy/VectorizeActionP.cpp:

	Added functions for setting point style. Moved getPageSize() and
	getPageStartpos() to public.

2003-07-01 11:43:23  Rev 6628   pederb

	* src/misc/SoNormalGenerator.cpp, src/caches/SoNormalCache.cpp:

	Clamp crease angle so that angles > 180 degrees are treated as 180 degrees.

2003-07-01 11:41:22  Rev 6627   pederb

	* src/vrml97/Extrusion.cpp:

	Avoid warnings.

2003-07-01 10:32:23  Rev 6626   pederb

	* src/fields/SoFieldContainer.cpp, src/nodes/SoNode.cpp:

	Fix nodekit copy memory leak.

2003-07-01 01:40:26  Rev 6625   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-30 17:17:36  Rev 6624   pederb

	* src/draggers/SoTransformerDragger.cpp:

	Fix silly SoTransformerDragger bug. Basically only one instance of the dragger
	would work...

2003-06-30 14:51:41  Rev 6623   pederb

	* src/fields/SoFieldContainer.cpp:

	Nodekit/dragger copy fix.

2003-06-30 14:50:15  Rev 6622   pederb

	* src/fields/SoSFEngine.cpp, src/fields/SoSFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoField.cpp,
	src/fields/SoSFPath.cpp, src/fields/MFNodeEnginePath.tpl,
	src/fields/SoMFEngine.cpp, src/fields/SoMFNode.cpp,
	src/fields/SFNodeEnginePath.tpl:

	For debugging only. More assertAlive() tests.

2003-06-30 13:05:01  Rev 6621   pederb

	* src/hardcopy/VectorizePSAction.cpp:

	Gouraud shading bug workaround.

2003-06-30 10:56:44  Rev 6620   pederb

	* src/vrml97/Parent.cpp, src/fields/SoMFNode.cpp:

	Allow NULL in MFNode again. Update VRMLParent to handle this.

2003-06-30 09:57:22  Rev 6619   mortene

	* configure.ac:

	Include directory for HardCopy headers added for .dsp-build.

2003-06-29 01:40:02  Rev 6618   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-28 11:53:56  Rev 6617   pederb

	* src/hardcopy/VectorizeActionP.cpp, src/hardcopy/VectorizePSAction.cpp:

	Code cleanup.

2003-06-28 11:48:39  Rev 6616   pederb

	* src/hardcopy/VectorizeAction.cpp:

	Viewport rendering fix.

2003-06-28 10:55:03  Rev 6615   mortene

	* src/hardcopy/VectorizeActionP.cpp, src/hardcopy/VectorizePSAction.cpp:

	Fixes warnings under MSVC++.

2003-06-28 01:40:05  Rev 6614   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-27 10:14:04  Rev 6613   pederb

	* src/engines/SoCalculator.cpp:

	Fix typo.

2003-06-27 10:12:37  Rev 6612   pederb

	* src/engines/SoCalculator.cpp:

	SoCalculator doc.

2003-06-27 08:40:01  Rev 6611   mortene

	* src/nodekits/SoBaseKit.cpp:

	Doxygen API doc updates.

2003-06-27 08:22:57  Rev 6610   pederb

	* include/Inventor/annex/HardCopy/SoVectorizeItems.h,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	src/hardcopy/VectorizeAction.cpp,
	include/Inventor/annex/HardCopy/SoHardCopy.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/hardcopy/VectorizePSAction.cpp:

	Codestyle fixes.

2003-06-27 01:39:57  Rev 6609   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-26 15:52:16  Rev 6608   pederb

	* src/Makefile.am, configure, src/hardcopy/Makefile.in, configure.ac,
	src/Makefile.in, src/hardcopy/Makefile.am,
	src/hardcopy/VectorizeAction.cpp, src/hardcopy/VectorizeActionP.cpp,
	src/hardcopy/all.cpp, src/hardcopy/VectorizePSAction.cpp:

	build system for HardCopy.

2003-06-26 15:35:05  Rev 6607   pederb

	* src/hardcopy/VectorizeActionP.cpp:

	extra file.

2003-06-26 14:57:51  Rev 6606   pederb

	* src/hardcopy/VectorizeActionP.h, src/hardcopy,
	src/hardcopy/VectorOutput.cpp, src/hardcopy/PSVectorOutput.cpp,
	src/hardcopy/VectorizeAction.cpp, src/hardcopy/HardCopy.cpp,
	src/hardcopy/VectorizePSAction.cpp:

	HardCopy support.

2003-06-26 14:54:41  Rev 6605   pederb

	* include/Inventor/annex/HardCopy/SoVectorizeItems.h,
	include/Inventor/annex,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	include/Inventor/annex/HardCopy,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	include/Inventor/annex/HardCopy/SoHardCopy.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h:

	HardCopy API.

2003-06-26 12:18:06  Rev 6604   pederb

	* src/nodekits/SoBaseKit.cpp:

	Fix for nodekit copy.

2003-06-26 09:16:04  Rev 6603   larsa

	* src/vrml97/Extrusion.cpp:

	type size fix

2003-06-26 06:32:33  Rev 6602   mortene

	* docs/dumpnodes.cpp, docs/todo.txt:

	Two todo-item updates.

2003-06-26 01:40:04  Rev 6601   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-25 12:59:04  Rev 6600   mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl_glx.c:

	Resolve a conflict between X11 and Win32 API header files, and clean up
	GL/glx.h inclusion in the process.

2003-06-25 12:58:26  Rev 6599   mortene

	* src/shapenodes/SoText2.cpp:

	Header file inclusion cleanup, FIXME note about a hack that now seems
	obsolete.

2003-06-25 12:54:59  Rev 6598   mortene

	* src/base/time.c:

	Convert CRLF line endings.

2003-06-25 11:38:37  Rev 6597   pederb

	* src/elements/GL/SoGLTextureImageElement.cpp:

	Some new environment variables to control the maximum texture size.

2003-06-25 01:39:57  Rev 6596   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-24 14:36:33  Rev 6595   mortene

	* configure.ac:

	Improve gettimeofday() check.

2003-06-24 14:35:12  Rev 6594   mortene

	* include/Inventor/SbTime.h:

	Doesn't really need to include time.h from SbTime.h.

2003-06-24 13:56:04  Rev 6593   pederb

	* src/base/SbTime.cpp:

	Compile fix.

2003-06-24 13:45:45  Rev 6592   pederb

	* src/misc/SoOffscreenRenderer.cpp:

	Use ascii85 functions from tidbits.

2003-06-24 13:44:48  Rev 6591   pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Added functions for ascii85 output.

2003-06-24 12:21:34  Rev 6590   pederb

	* src/vrml97/Extrusion.cpp:

	Texture coordinate bugfixes. Code simplification and code cleanup.

2003-06-24 09:10:12  Rev 6589   pederb

	* src/misc/SoChildList.cpp:

	Use operator[] instead of a local array pointer to access children. This makes
	it possible to append children while traversing.

2003-06-24 01:39:46  Rev 6588   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-23 13:40:46  Rev 6587   pederb

	* src/glue/fontlib_wrapper.c:

	Avoid C++ comment.

2003-06-23 13:35:45  Rev 6586   pederb

	* src/glue/fontlib_wrapper.c:

	Fix a lock-on-init bug when Coin is compiled with thread-safe traversal.

2003-06-23 10:24:27  Rev 6585   mortene

	* docs/todo.txt:

	More about the file format compatibility issues.

2003-06-23 08:16:19  Rev 6584   mortene

	* include/Inventor/nodekits/SoBaseKit.h, src/nodekits/SoBaseKit.cpp:

	Obsoleted unused function (which is also private in the original SGI Inventor
	API).

2003-06-23 08:13:50  Rev 6583   mortene

	* src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/base/SbViewportRegion.cpp, src/nodekits/SoBaseKit.cpp:

	API doc additions.

2003-06-23 08:01:02  Rev 6582   mortene

	* docs/coin.doxygen.in:

	Display internal doc trailing COININTERNAL tags.

2003-06-23 07:15:19  Rev 6581   mortene

	* src/glue/fontlib_wrapper.c:

	Use mutex lock/unlock wrappers instead of accessing cc_mutex_*() directly, to
	make it work transparently for systems without thread-handling support.

2003-06-21 01:39:43  Rev 6580   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-20 10:10:39  Rev 6579   mortene

	* src/actions/SoGetBoundingBoxAction.cpp:

	More API class doc.

2003-06-20 09:46:53  Rev 6578   mortene

	* src/glue/fontlib_wrapper.c, include/Inventor/C/glue/fontlib_wrapper.h,
	src/misc/SoDB.cpp:

	Implements implicit initialization of fontlib wrapper upon first entry.

2003-06-20 09:42:10  Rev 6577   mortene

	* src/actions/SoGetBoundingBoxAction.cpp:

	Improve class usage API doc.

2003-06-20 08:58:22  Rev 6576   thammer

	* src/misc/SoDB.cpp:

	Minor doc fix.

2003-06-20 07:35:55  Rev 6575   mortene

	* aclocal.m4, configure, src/base/Makefile.in, cfg/gendsp.sh,
	cfg/ltmain.sh:

	Bootstrap.

2003-06-20 07:29:04  Rev 6574   mortene

	* configure.ac:

	Don't use warning messages lightly in configure, as they go on stderr and
	interferes with automated processes.

2003-06-20 01:39:44  Rev 6573   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-19 09:50:40  Rev 6572   mortene

	* src/misc/SoSceneManager.cpp:

	Codestyle cleanups.

2003-06-19 09:46:50  Rev 6571   mortene

	* src/misc/SoSceneManager.cpp:

	Further attempts to catch missing SoDB::init() early on.

2003-06-19 08:13:18  Rev 6570   mortene

	* src/nodes/SoMaterialBinding.cpp:

	Improved class doc.

2003-06-19 07:03:55  Rev 6569   mortene

	* src/vrml97/FontStyle.cpp, src/vrml97/Text.cpp:

	Doxygen API doc.

2003-06-19 01:39:39  Rev 6568   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-18 16:27:43  Rev 6567   mortene

	* include/Inventor/lists/SbList.h:

	Update on the #pragma hack FIXME note.

2003-06-18 09:13:18  Rev 6566   mortene

	* src/glue/fontlib_wrapper.c:

	Compilation fix: kill gcc 3.2 warning.

2003-06-18 07:27:12  Rev 6565   mortene

	* src/shapenodes/SoVertexShape.cpp, src/vrml97/VertexShape.cpp:

	Doxygen API doc.

2003-06-18 01:39:51  Rev 6564   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-17 15:32:08  Rev 6563   larsa

	* include/Inventor/SbTime.h:

	sys/time.h does not seem to be needed at all

2003-06-17 15:20:13  Rev 6562   mortene

	* include/Inventor/events/SoKeyboardEvent.h:

	Replace non-working hack with hack more likely to work.

2003-06-17 15:19:42  Rev 6561   mortene

	* include/Inventor/SbTime.h, src/base/SbTime.cpp:

	Clean up code testing on _WIN32.

2003-06-17 14:30:31  Rev 6560   larsa

	* src/tidbits.c:

	prefer ANSI C remove() to unlink()

2003-06-17 10:30:11  Rev 6559   larsa

	* include/Inventor/threads/SbCondVar.h:

	fix header dependency

2003-06-17 10:11:39  Rev 6558   larsa

	* src/vrml97/Sound.cpp:

	encapsulate all threads code in HAVE_THREADS wrappers - by Mark D. Anderson

2003-06-17 09:39:43  Rev 6557   mortene

	* src/glue/flwwin32.c:

	Prefer C lib functions over Win32 API specifics.

2003-06-17 09:22:28  Rev 6556   mortene

	* src/vrml97/DragSensor.cpp:

	Minor fix for Doxygen doc.

2003-06-17 01:39:49  Rev 6555   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-16 07:47:41  Rev 6554   mortene

	* src/vrml97/DragSensor.cpp, src/vrml97/Interpolator.cpp:

	Doxygen API doc fixes.

2003-06-14 01:39:44  Rev 6553   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-13 13:26:16  Rev 6552   pederb

	* src/vrml97/Sphere.cpp, src/vrml97/Box.cpp, src/vrml97/Cylinder.cpp,
	src/vrml97/Cone.cpp:

	More environment mapping fixes.

2003-06-13 13:25:00  Rev 6551   mortene

	* src/actions/SoIntersectionDetectionAction.cpp,
	src/engines/SoNodeEngine.cpp, docs/coin.doxygen.in:

	Doxygen API doc fixes.

2003-06-13 13:23:42  Rev 6550   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Fix for --enable-compact build.

2003-06-13 13:03:46  Rev 6549   pederb

	* THANKS:

	Added Tony Bernardin.

2003-06-13 13:01:51  Rev 6548   pederb

	* src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoCube.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/shapenodes/SoLineSet.cpp, src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/SoCone.cpp, src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoPointSet.cpp, src/shapenodes/SoSphere.cpp,
	src/shapenodes/SoQuadMesh.cpp, src/shapenodes/SoCylinder.cpp:

	Fixed bugs so that environment mapping works even when lighting is disabled.
	Bug reported by Tony Bernardin.

2003-06-13 12:26:51  Rev 6547   mortene

	* include/Inventor/lists/SbIntList.h:

	Cast to avoid warnings on 64-bit platforms.

2003-06-13 11:10:08  Rev 6546   pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	Some more MKS compiler fixes.

2003-06-13 11:05:56  Rev 6545   pederb

	* src/fields/SoFieldData.cpp, src/fields/SoSFUInt32.cpp,
	src/elements/GL/SoGLLazyElement.cpp, src/misc/SoInput.cpp,
	src/misc/SoGL.cpp, src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/fields/SoSFInt32.cpp, src/vrml97/Extrusion.cpp,
	src/elements/GL/SoGLLightIdElement.cpp, src/shapenodes/SoText3.cpp,
	src/fields/SoSFImage3.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/misc/SoBase.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/fields/SoSFImage.cpp, src/nodes/SoNurbsProfile.cpp:

	Fixes for MKS compiler warnings/errors. Reported by Mark D. Anderson.

2003-06-13 10:54:25  Rev 6544   mortene

	* src/actions/SoIntersectionDetectionAction.cpp, docs/coin.doxygen.in:

	Doxygen API fixes.

2003-06-13 10:17:12  Rev 6543   pederb

	* include/Inventor/elements/SoGLLazyElement.h:

	Move data members from public into private.

2003-06-13 01:39:36  Rev 6542   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-12 13:48:28  Rev 6541   pederb

	* src/actions/SoToVRML2Action.cpp:

	Fix for platforms where int != int32_t.

2003-06-12 13:42:23  Rev 6540   pederb

	* src/actions/SoToVRMLAction.cpp:

	Fix for platforms where int != int32_t.

2003-06-12 12:12:10  Rev 6539   mortene

	* src/shapenodes/SoText2.cpp:

	Compilation fix: for() scoping.

2003-06-12 11:58:28  Rev 6538   mortene

	* src/glue/fontlib_wrapper.c:

	Fix MSVC warnings: unused variables.

2003-06-12 11:57:08  Rev 6537   mortene

	* src/glue/fontlib_wrapper.c, include/Inventor/C/glue/fontlib_wrapper.h:

	Remove and simplify much code by using our cc_dynarray ADT. Minor interface
	fixes (signedness).

2003-06-12 10:44:22  Rev 6536   mortene

	* src/glue/fontlib_wrapper.c:

	Clean up lots of code by using our cc_dynarray ADT.

2003-06-12 10:43:49  Rev 6535   mortene

	* src/glue/flwfreetype.c:

	Use one common debug env var for font debugging.

2003-06-12 10:43:05  Rev 6534   mortene

	* include/Inventor/C/base/dynarray.h, src/base/dynarray.cpp:

	Fix signedness issues in public interface.

2003-06-12 09:55:18  Rev 6533   mortene

	* src/glue/fontlib_wrapper.c, include/Inventor/C/glue/fontlib_wrapper.h:

	Better internal consistency with unsigned vs signed index values. Misc
	compiler warnings fixed.

2003-06-12 09:54:43  Rev 6532   mortene

	* src/misc/SoGlyph.cpp, src/nodes/SoFont.cpp:

	Initialize fonts on demand.

2003-06-12 09:46:33  Rev 6531   mortene

	* src/glue/flwwin32.c, src/glue/flwfreetype.c,
	include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/flwfreetype.h:

	Vector/outline support not implemented yet, interface looks wrong.

2003-06-12 09:38:23  Rev 6530   mortene

	* src/glue/flwfreetype.c:

	Compilation fix.

2003-06-12 09:23:49  Rev 6529   mortene

	* src/nodes/SoFont.cpp:

	Reset size default to match SGI Inventor.

2003-06-12 09:21:46  Rev 6528   pederb

	* include/Inventor/elements/SoLazyElement.h,
	src/elements/GL/SoGLLazyElement.cpp,
	include/Inventor/elements/SoGLLazyElement.h:

	Fix cache dependency bug. Material changes outside the separator wasn't
	properly detected.

2003-06-12 09:09:41  Rev 6527   mortene

	* src/glue/flwwin32.c:

	FIXME killed.

2003-06-12 07:48:53  Rev 6526   mortene

	* src/vrml97/Sound.cpp:

	Tiny Doxygen fix.

2003-06-12 01:39:40  Rev 6525   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-11 14:04:16  Rev 6524   mortene

	* src/glue/flwfreetype.c, src/glue/fontlib_wrapper.c:

	Protect API in a multithreaded environment.

2003-06-11 14:02:46  Rev 6523   pederb

	* src/elements/GL/SoGLLazyElement.cpp,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/system/gl.h.in:

	Added support for the GL_REPLACE texture function.

2003-06-11 13:55:34  Rev 6522   pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	Fixes a potential blending cache bug.

2003-06-11 12:54:39  Rev 6521   mortene

	* src/glue/flwwin32.c:

	Bugfix: get_font_name() was not working properly because ony the default font
	was set.

2003-06-11 12:54:03  Rev 6520   mortene

	* src/misc/SoGlyph.cpp:

	FIXME note.

2003-06-11 12:53:52  Rev 6519   mortene

	* src/glue/flwfreetype.c, include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/flwfreetype.h:

	Header interdependency fixes.

2003-06-11 12:29:02  Rev 6518   mortene

	* src/misc/SoOutput.cpp:

	Compilation fix: do not use default argument value in function signature.

2003-06-11 12:01:05  Rev 6517   mortene

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp, src/vrml97/Text.cpp:

	Bugfix: do not pass signed characters which expands to large negative integer
	values.

2003-06-11 08:43:20  Rev 6516   pederb

	* include/Inventor/SoOutput.h, src/misc/SoOutput_Writer.cpp,
	src/misc/SoOutput.cpp, src/misc/SoOutput_Writer.h:

	API for enabling file compression when exporting.

2003-06-11 07:30:00  Rev 6515   mortene

	* src/vrml97/Interpolator.cpp:

	Doxygen API doc.

2003-06-11 01:39:37  Rev 6514   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-10 15:51:17  Rev 6513   mortene

	* src/glue/flwwin32.c, src/glue/flwfreetype.c,
	src/glue/fontlib_wrapper.c, include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/flwfreetype.h:

	API fixes: removes unused function, fixes the interface of *_get_font_name().

2003-06-10 15:34:36  Rev 6512   mortene

	* src/glue/flwwin32.c:

	Bugfix for _get_advance() when missing glyph. Also guarantee that the font
	selected will always be a TT font -- to simplify error handling and code in
	general.

2003-06-10 14:24:58  Rev 6511   mortene

	* src/base/hash.c:

	API doc improvement.

2003-06-10 14:24:40  Rev 6510   mortene

	* src/glue/flwwin32.c, src/glue/fontlib_wrapper.c, src/misc/SoGlyph.cpp,
	src/shapenodes/SoText2.cpp:

	Handle blank bitmaps.

2003-06-10 14:05:49  Rev 6509   mortene

	* src/glue/flwwin32.c, src/glue/flwfreetype.c,
	src/glue/fontlib_wrapper.c, include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/fontlib_wrapper.h, src/misc/SoGlyph.cpp:

	Fixes to internal interfaces.

2003-06-10 13:56:31  Rev 6508   mortene

	* src/glue/flwwin32.c:

	Clean up much of the prototype implemenation.

2003-06-10 13:06:23  Rev 6507   mortene

	* BUGS.txt:

	Bug fixed by Jan Peciva.

2003-06-10 12:41:33  Rev 6506   pederb

	* BUGS.txt:

	Bug 058 fixed a while ago.

2003-06-10 12:33:37  Rev 6505   pederb

	* BUGS.txt:

	Bug 034 fixed a while ago.

2003-06-10 12:26:43  Rev 6504   pederb

	* BUGS.txt:

	Bug 069 fixed.

2003-06-10 12:25:54  Rev 6503   pederb

	* src/vrml97/Appearance.cpp:

	VRML97 material handling conformance fix. Fixed bug 069.

2003-06-10 11:07:49  Rev 6502   pederb

	* BUGS.txt:

	bug fixed.

2003-06-10 11:06:46  Rev 6501   pederb

	* src/vrml97/ImageTexture.cpp:

	Avoid texture loading problems when Coin is compiled without threadsafe
	traversals. Fixes bug 068.

2003-06-10 10:15:24  Rev 6500   pederb

	* BUGS.txt:

	Bug fixed.

2003-06-10 10:13:47  Rev 6499   pederb

	* src/fields/SoField.cpp:

	Nodekit export bugfix (bug nr. 071 in BUGS.txt). Bug reported by Tamer Fahmy.

2003-06-10 08:58:04  Rev 6498   mortene

	* src/nodes/SoFont.cpp:

	Fixes warnings with MSVC++.

2003-06-10 08:20:05  Rev 6497   mortene

	* src/lists/SoPickedPointList.cpp, src/sensors/SoPathSensor.cpp:

	Minor Doxygen fixes.

2003-06-10 01:39:27  Rev 6496   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-09 20:14:30  Rev 6495   mortene

	* src/base/namemap.c:

	Code comment (overview implementation note).

2003-06-09 12:36:59  Rev 6494   mortene

	* src/base/SbName.cpp:

	A brown paper bag over my head.

2003-06-09 01:39:30  Rev 6493   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-08 13:16:20  Rev 6492   mortene

	* include/Inventor/SbName.h, src/base/SbName.cpp:

	Make SbName a wrapper around cc_namemap_*, to avoid code duplication, and to
	simplify implementation.

2003-06-08 12:57:24  Rev 6491   mortene

	* src/glue/flwfreetype.c:

	cc_name_* obsoleted, use cc_namemap_*.

2003-06-08 12:57:07  Rev 6490   mortene

	* src/base/all-c.c:

	Fixes for --enable-compact build mode.

2003-06-08 12:57:02  Rev 6489   mortene

	* src/base/name.cpp:

	Obsoleted by the cc_namemap_*() functions.

2003-06-08 12:54:40  Rev 6488   mortene

	* src/base/namemap.c, src/base/Makefile.in,
	include/Inventor/C/base/namemap.h, src/base/Makefile.am:

	C ADT for a name hash map with permanent string addresses.

2003-06-07 01:39:43  Rev 6487   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-06 15:15:31  Rev 6486   mortene

	* src/glue/fontlib_wrapper.c, src/misc/SoFontLib.cpp,
	src/misc/Makefile.in, src/misc/SoInput.cpp,
	include/Inventor/misc/SoFontLib.h, src/misc/SoGlyph.cpp,
	src/nodes/SoFont.cpp, src/misc/SoDB.cpp, src/misc/Makefile.am:

	Remove the unnecessary abstraction layer of SoFontLib completely.

2003-06-06 15:14:02  Rev 6485   mortene

	* src/glue/flwfreetype.c:

	Implements font name -> file name mapping (used to be done in SoFontLib, which
	is wrong).

2003-06-06 15:12:27  Rev 6484   mortene

	* src/base/SbName.cpp:

	More API doc.

2003-06-06 15:11:52  Rev 6483   mortene

	* src/base/name.cpp, include/Inventor/C/base/name.h:

	FIXME note about a suggested better API.

2003-06-06 13:50:16  Rev 6482   mortene

	* src/base/dynarray.cpp:

	Compilation fix.

2003-06-06 13:49:31  Rev 6481   mortene

	* src/base/dynarray.cpp:

	Compilation fix. Problem reported by Eivind Rovik.

2003-06-06 09:34:29  Rev 6480   mortene

	* src/base/name.cpp, src/base/Makefile.in,
	include/Inventor/C/base/name.h, src/base/Makefile.am:

	Adds C ADT for unique string mappings.

2003-06-06 09:15:33  Rev 6479   mortene

	* src/base/SbName.cpp:

	Doxygen API doc: explain what the SbName class is really about.

2003-06-06 08:12:07  Rev 6478   mortene

	* src/lists/SbStringList.cpp, src/lists/SoPickedPointList.cpp,
	src/lists/SoBaseList.cpp, src/lists/SbPList.cpp,
	src/lists/SoDetailList.cpp, src/lists/SoEngineOutputList.cpp:

	Doxygen doc fixes.

2003-06-06 01:39:35  Rev 6477   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-05 13:41:11  Rev 6476   larsa

	* packaging/windows/Makefile.in:

	be more explicit about which files to delete

2003-06-05 12:21:14  Rev 6475   mortene

	* src/misc/SoPath.cpp, src/actions/SoCallbackAction.cpp,
	src/elements/GL/SoGLLazyElement.cpp, src/nodes/SoWWWInline.cpp,
	src/errors/SoDebugError.cpp, src/fields/SoFieldContainer.cpp,
	src/engines/evaluator.y, src/engines/evaluator_tab.c,
	src/misc/SoGlyph.cpp, src/glue/simage_wrapper.c,
	src/base/SbViewportRegion.cpp:

	Hide internal variables and functions from the global namespace.

2003-06-05 11:52:23  Rev 6474   mortene

	* cfg/gendsp.sh:

	Bugfixed the recent put-object-code-in-separate-directories addition.

2003-06-05 10:20:23  Rev 6473   mortene

	* cfg/gendsp.sh, cfg/errors.txt:

	Updates.

2003-06-05 10:11:17  Rev 6472   mortene

	* aclocal.m4, src/base/Makefile.in:

	Bootstrap.

2003-06-05 10:10:56  Rev 6471   mortene

	* include/Inventor/C/base/dynarray.h, src/base/Makefile.am,
	src/base/dynarray.cpp:

	Implementation of C ADT for a dynamic array added.

2003-06-05 06:47:41  Rev 6470   mortene

	* src/threads/storage.c, src/nodes/SoCamera.cpp:

	Doxygen API doc.

2003-06-05 06:47:24  Rev 6469   mortene

	* src/elements/SoCacheElement.cpp:

	Hide internal variable from global namespace.

2003-06-05 01:39:38  Rev 6468   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-04 14:12:10  Rev 6467   mortene

	* src/glue/win32api.c:

	Bugfix: corrects parameter to FormatMessage().

2003-06-04 12:43:35  Rev 6466   mortene

	* src/threads/thread.c:

	Compilation fix.

2003-06-04 10:39:25  Rev 6465   mortene

	* configure, src/base/Makefile.in:

	Bootstrap.

2003-06-04 10:36:18  Rev 6464   mortene

	* src/glue/all-c.c:

	Fix for --enable-compact build.

2003-06-04 10:31:38  Rev 6463   mortene

	* src/base/Makefile.am, src/base/all-c.c:

	Removes obsoleted files.

2003-06-04 10:29:00  Rev 6462   mortene

	* src/threads/mutex_win32mutex.ic, src/threads/mutex.c,
	src/threads/thread_win32.ic, src/threads/condvar_win32.ic:

	Better error information handling.

2003-06-04 10:22:53  Rev 6461   mortene

	* include/Inventor/C/threads/threadsutilp.h:

	Make the empty versions of the macros safe to use.

2003-06-04 10:20:32  Rev 6460   mortene

	* src/glue/win32api.c, include/Inventor/C/glue/win32api.h:

	Clean up the FormatMessage() handling to work when in an environment where
	UNICODE is defined. Adds wrapper around LocalFree().

2003-06-04 07:18:36  Rev 6459   mortene

	* src/threads/condvar.c, src/vrml97/DragSensor.cpp,
	src/vrml97/Sensor.cpp, src/misc/SoType.cpp, src/nodes/SoNode.cpp:

	Doxygen doc additions / fixes.

2003-06-04 01:39:50  Rev 6458   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-03 12:30:48  Rev 6457   pederb

	* src/misc/all-cpp.cpp:

	Compact build fix.

2003-06-03 11:16:09  Rev 6456   pederb

	* src/details/SoPointDetail.cpp:

	Fix for material and normal index when binding is OVERALL.

2003-06-03 10:38:38  Rev 6455   mortene

	* src/glue/flwwin32.c, src/glue/win32api.c, src/misc/SoFontLib.cpp:

	MSVC compilation fixes.

2003-06-03 10:24:25  Rev 6454   mortene

	* src/actions/SbTri3f.icc:

	MSVC compilation fix.

2003-06-03 09:16:39  Rev 6453   pederb

	* src/misc/gzmemio.h, src/misc/SoInput_Reader.cpp, src/misc/gzmemio.c:

	Add a cc prefix to minimize risk of namespace crashes.

2003-06-03 08:51:00  Rev 6452   pederb

	* src/misc/SoInput.cpp, src/misc/SoInput_FileInfo.h,
	src/misc/SoInput_Reader.cpp, src/misc/SoInput_Reader.h:

	Activate reading of gzipped membuffers.

2003-06-03 08:48:40  Rev 6451   mortene

	* configure.ac:

	Fix for tlhelp.h dependency on windows.h.

2003-06-03 08:47:28  Rev 6450   pederb

	* src/misc/gzmemio.c:

	Build fix.

2003-06-03 08:03:03  Rev 6449   pederb

	* src/misc/gzmemio.h, src/misc/Makefile.in, src/misc/gzmemio.c,
	src/misc/Makefile.am, src/misc/all-c.c:

	Support for gzipped memory buffers.

2003-06-03 07:21:57  Rev 6448   mortene

	* src/vrml97/IndexedLine.cpp, src/threads/thread.c:

	Doxygen doc.

2003-06-03 01:39:40  Rev 6447   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-02 13:44:00  Rev 6446   mortene

	* BUGS.txt:

	Two export bugs.

2003-06-02 11:20:26  Rev 6445   larsa

	* packaging/windows/post.nsi.in, packaging/windows/middle.nsi.in,
	packaging/windows/heading.nsi.in:

	fix for incorrect (changed) SectionIn syntax

2003-06-02 01:39:27  Rev 6444   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-06-01 15:17:22  Rev 6443   mortene

	* src/glue/flwwin32.c:

	Better debugging output.

2003-05-31 01:39:40  Rev 6442   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-30 16:50:07  Rev 6441   mortene

	* src/glue/fontlib_wrapper.c:

	Avoid getting a system font instead of the fallback font when we don't expect
	it.

2003-05-30 16:45:51  Rev 6440   mortene

	* src/glue/flwwin32.c, src/glue/fontlib_wrapper.c,
	include/Inventor/C/glue/flwwin32.h:

	Further development of the Win32 API font handling.

2003-05-30 16:45:10  Rev 6439   mortene

	* src/glue/win32api.c:

	Compilation fix.

2003-05-30 16:28:48  Rev 6438   mortene

	* src/glue/win32api.c:

	Compilation fix.

2003-05-30 16:01:39  Rev 6437   mortene

	* man/Makefile.in, include/Inventor/system/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	include/Inventor/lock/Makefile.in, src/3ds/Makefile.in,
	src/threads/Makefile.in, src/misc/Makefile.in, include/Makefile.in,
	include/Inventor/C/base/Makefile.in, src/glue/Makefile.in,
	src/sensors/Makefile.in, src/upgraders/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/lists/Makefile.in,
	src/vrml97/Makefile.in, include/Inventor/Makefile.in, aclocal.m4,
	src/nodes/Makefile.in, configure, Makefile.in, src/base/Makefile.in,
	src/elements/Makefile.in, src/errors/Makefile.in,
	src/nodekits/Makefile.in, include/Inventor/C/Makefile.in,
	cfg/ltmain.sh, src/details/Makefile.in, src/caches/Makefile.in,
	src/engines/Makefile.in, src/shapenodes/Makefile.in,
	src/projectors/Makefile.in, src/bundles/Makefile.in,
	src/draggers/Makefile.in, src/extensions/Makefile.in,
	src/actions/Makefile.in, src/Makefile.in, src/events/Makefile.in,
	src/fields/Makefile.in, include/Inventor/C/threads/Makefile.in,
	html/Makefile.in, src/elements/GL/Makefile.in,
	include/Inventor/C/glue/Makefile.in, man/man1/Makefile.in,
	bin/Makefile.in, man/man3/Makefile.in, data/Makefile.in:

	Bootstrap.

2003-05-30 15:56:23  Rev 6436   mortene

	* src/glue/Makefile.am:

	Build win32 api wrapper.

2003-05-30 15:54:58  Rev 6435   mortene

	* src/glue/win32api.c, include/Inventor/C/glue/win32api.h:

	Win32 API convenience wrapper.

2003-05-30 15:22:47  Rev 6434   mortene

	* cfg/ltmain.sh.diff:

	Not needed any more.

2003-05-30 15:19:39  Rev 6433   mortene

	* cfg/install-sh, cfg/mkinstalldirs, cfg/depcomp, cfg/missing,
	cfg/config.guess, cfg/errors.txt, cfg/config.sub:

	Bootstrap.

2003-05-30 09:47:06  Rev 6432   pederb

	* src/vrml97/Extrusion.cpp:

	Enable/disable auto caching for the Extrusion node.

2003-05-30 08:16:03  Rev 6431   mortene

	* src/threads/mutex.c, src/nodes/SoExtSelection.cpp, docs/todo.txt:

	Minor doc fixes.

2003-05-30 01:39:32  Rev 6430   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-29 11:11:55  Rev 6429   pederb

	* src/vrml97/Extrusion.cpp:

	Implement SoVRMLExtrusion::getPrimitiveCount().

2003-05-29 10:54:20  Rev 6428   pederb

	* src/misc/SoInput.cpp:

	Fix handling of special characters \ and "

2003-05-29 09:43:50  Rev 6427   mortene

	* src/threads/rwmutex.c, src/threads/condvar.c, src/threads/storage.c,
	src/threads/barrier.c, src/threads/thread.c:

	Doxygen doc fix.

2003-05-29 01:39:44  Rev 6426   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-28 14:03:49  Rev 6425   mortene

	* src/glue/flwwin32.c, src/glue/flwfreetype.c,
	src/glue/fontlib_wrapper.c, include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/fontlib_wrapper.h:

	Full semi-working Win32 skeleton code. Many fixes to internal interfaces.

2003-05-28 14:03:19  Rev 6424   mortene

	* src/misc/SoFontLib.cpp, src/misc/SoGlyph.cpp:

	FIXME notes and minor fixes.

2003-05-28 14:02:41  Rev 6423   mortene

	* src/nodes/SoFont.cpp:

	FIXME note.

2003-05-28 13:39:37  Rev 6422   mortene

	* src/misc/SoGLImage.cpp:

	Revert buggy commit.

2003-05-28 10:14:32  Rev 6421   mortene

	* src/nodekits/SoBaseKit.cpp:

	FIXME.

2003-05-28 09:47:47  Rev 6420   mortene

	* docs/todo.txt:

	New item.

2003-05-28 09:43:52  Rev 6419   pederb

	* src/fields/SoField.cpp:

	Compile fix.

2003-05-28 09:22:21  Rev 6418   mortene

	* src/fields/SoField.cpp:

	Adds more debugging output.

2003-05-28 08:14:17  Rev 6417   mortene

	* docs/coin.doxygen.in, src/threads/mutex.c, src/threads/fifo.c:

	Doxygen doc.

2003-05-28 01:39:25  Rev 6416   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-27 13:36:01  Rev 6415   pederb

	* BUGS.txt:

	Update on bug.

2003-05-27 01:39:31  Rev 6414   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-26 13:52:22  Rev 6413   mortene

	* src/glue/fontlib_wrapper.c:

	Call into Win32 API wrapper if available.

2003-05-26 13:51:55  Rev 6412   mortene

	* src/misc/SoFontLib.cpp, include/Inventor/misc/SoFontLib.h:

	Minor code cleanups.

2003-05-26 13:51:42  Rev 6411   mortene

	* src/misc/SoGlyph.cpp:

	Codestyle fixes.

2003-05-26 13:41:05  Rev 6410   mortene

	* src/threads/rwmutex.c, src/threads/condvar.c, src/threads/barrier.c:

	Doxygen fixes.

2003-05-26 10:51:06  Rev 6409   mortene

	* src/glue/flwwin32.c, src/glue/flwfreetype.c,
	src/glue/fontlib_wrapper.c, src/misc/SoFontLib.cpp,
	include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/fontlib_wrapper.h:

	Interface improvements. More debug output.

2003-05-24 01:39:33  Rev 6408   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-23 14:17:02  Rev 6407   mortene

	* src/misc/SoBase.cpp:

	Conditional declaration of a global function seems potentially dangerous with
	regard to ABI-compatibility issues.

2003-05-23 14:06:12  Rev 6406   mortene

	* src/nodes/SoCamera.cpp:

	Miniscule API doc fix for Doxygen.

2003-05-23 14:05:21  Rev 6405   mortene

	* src/misc/SoBase.cpp:

	Make debugging of write operations more convenient.

2003-05-23 14:00:04  Rev 6404   mortene

	* src/nodekits/SoBaseKit.cpp:

	Misc minor fixes and documentation updates.

2003-05-23 01:39:31  Rev 6403   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-22 14:15:12  Rev 6402   mortene

	* include/Inventor/SbVec2s.h, include/Inventor/SbVec2f.h,
	include/Inventor/SbVec3f.h, include/Inventor/SbVec4f.h:

	Compatibility fix: data member is protected in SGI Inventor, not private.

2003-05-22 14:06:21  Rev 6401   mortene

	* src/sensors/SoDataSensor.cpp:

	Bugfix: erroneous use of SoSearchAction::isFound().

2003-05-22 13:15:00  Rev 6400   mortene

	* configure.ac:

	The coming Autotools upgrade forces us to be less clever with the --disable-
	build option. OpenGL dev env will from now on be needed on a machine where we
	generate documentation, as the configure script must be able to run as usual.

2003-05-22 01:39:35  Rev 6399   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-21 14:57:19  Rev 6398   kyrah

	* configure.ac:

	Make libtool recognize that we are actually doing a two-level namespace build.

2003-05-21 14:40:16  Rev 6397   larsa

	* src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp:

	highlight-render for all SoSelection nodes

2003-05-21 09:15:02  Rev 6396   mortene

	* src/nodekits/SoBaseKit.cpp:

	Codestyle fixes.

2003-05-21 09:03:12  Rev 6395   mortene

	* src/glue/flwwin32.c:

	Compilation fix: forgot to explicitly specify return type. Fixed by Lars Ivar
	Igesund.

2003-05-21 01:39:33  Rev 6394   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-20 19:43:09  Rev 6393   mortene

	* BUGS.txt:

	Possible buglet.

2003-05-20 01:39:34  Rev 6392   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-19 10:05:56  Rev 6391   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Fxied tiny buglet: erroneous debug output.

2003-05-19 09:22:45  Rev 6390   mortene

	* src/nodes/SoVertexProperty.cpp, docs/todo.txt:

	Note about field incompatibilities.

2003-05-19 07:53:49  Rev 6389   mortene

	* src/shapenodes/SoNurbsCurve.cpp,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	src/shapenodes/SoNurbsSurface.cpp,
	src/shapenodes/SoIndexedNurbsSurface.cpp, src/misc/SoGL.cpp,
	include/Inventor/misc/SoGL.h:

	Get rid of hack that uses SoOffscreenRenderer to get a valid OpenGL context.

2003-05-19 07:03:13  Rev 6388   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Removes hack to get a valid context when checking max tile size for the GL
	driver.

2003-05-19 06:51:26  Rev 6387   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Removes some dead code and a bunch of fixed FIXME notes.

2003-05-18 01:39:31  Rev 6386   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-17 19:14:06  Rev 6385   mortene

	* src/misc/all-cpp.cpp:

	Build fix: --enable-compact bugfix.

2003-05-17 01:39:34  Rev 6384   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-16 14:52:46  Rev 6383   kintel

	* src/base/SbRotation.cpp:

	doc fix

2003-05-16 14:04:14  Rev 6382   mortene

	* src/misc/SoOffscreenAGLData.cpp, src/misc/SoOffscreenAGLData.h,
	src/misc/SoOffscreenWGLData.cpp, src/misc/Makefile.in,
	src/misc/SoOffscreenGLXData.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/misc/SoOffscreenWGLData.h, src/misc/SoOffscreenGLXData.h,
	src/misc/Makefile.am, src/misc/SoOffscreenInternalData.h:

	Major rewrite of SoOffscreenRenderer. Improves internal design and code
	layout. Kills a handful of previously unknown bugs.

2003-05-16 10:29:06  Rev 6381   larsa

	* configure, configure.ac, src/glue/GLUWrapper.c:

	superglu fix

2003-05-16 09:17:27  Rev 6380   mortene

	* include/Inventor/C/basic.h.in:

	Catch faulty settings of both COIN_DLL and COIN_NOT_DLL being defined at the
	same time. Better double-precision to single-precision macro wrappers.

2003-05-16 08:47:13  Rev 6379   mortene

	* BUGS.txt:

	Two new VRML97 bugs.

2003-05-16 01:39:18  Rev 6378   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-15 12:23:55  Rev 6377   mortene

	* src/glue/Makefile.in:

	Bootstrap.

2003-05-15 12:21:52  Rev 6376   mortene

	* src/glue/flwwin32.c, include/Inventor/C/glue/flwwin32.h,
	src/glue/Makefile.am:

	Adds skeleton for Win32 API font loading and handling.

2003-05-15 12:19:55  Rev 6375   mortene

	* src/glue/flwfreetype.c:

	Replace C++ comments with valid C.

2003-05-15 09:35:55  Rev 6374   mortene

	* src/glue/flwfreetype.c, src/glue/fontlib_wrapper.c,
	include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/fontlib_wrapper.h:

	Removes unnecessary, obfuscating typedefs.

2003-05-15 09:28:30  Rev 6373   mortene

	* src/glue/fontlib_wrapper.c:

	Removes #ifdef ugliness, be fault-tolerant if the FreeType library is present
	but can not be initialized.

2003-05-15 09:04:01  Rev 6372   mortene

	* src/glue/flwfreetype.c:

	Makes it possible to build file even when FreeType dev env is missing.

2003-05-15 09:03:20  Rev 6371   mortene

	* src/glue/fontlib_wrapper.c:

	Remove unnecessary type casts.

2003-05-15 09:02:19  Rev 6370   mortene

	* cfg/ltmain.sh.diff:

	Darwin patch.

2003-05-15 08:56:05  Rev 6369   mortene

	* src/glue/Makefile.in:

	Bootstrap.

2003-05-15 08:53:19  Rev 6368   mortene

	* src/glue/Makefile.am:

	Build freetype wrapper source code always.

2003-05-15 08:46:28  Rev 6367   mortene

	* src/glue/flwfreetype.c:

	Oops, removed the wrong include in the previous commit.

2003-05-15 08:45:54  Rev 6366   mortene

	* src/glue/flwfreetype.c:

	Recursive inclusion, not good.

2003-05-15 01:39:29  Rev 6365   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-14 14:01:42  Rev 6364   mortene

	* BUGS.txt:

	Kill one, add one.

2003-05-14 13:14:19  Rev 6363   larsa

	* THANKS:

	thanks for some simage help

2003-05-14 12:36:20  Rev 6362   mortene

	* BUGS.txt:

	One update, one removal (bug fixed).

2003-05-14 10:10:47  Rev 6361   mortene

	* src/actions/SoIntersectionDetectionAction.cpp:

	Add a complete stand-alone usage example to the class documentation.

2003-05-14 09:50:12  Rev 6360   kintel

	* models/vrml1.0/groups, models/vrml1.0/misc/pointlight.wrl,
	models/vrml1.0/misc/wwwinline.wrl, models/vrml1.0/shapes,
	models/vrml1.0/misc/directionallight.wrl,
	models/vrml1.0/properties/scale.wrl,
	models/vrml1.0/shapes/indexedlineset.wrl, models/vrml1.0/misc,
	models/vrml1.0/properties, models/vrml1.0/shapes/cylinder.wrl,
	models/vrml1.0, models/vrml1.0/properties/shapehints.wrl,
	models/vrml1.0/misc/spotlight.wrl, models/vrml1.0/shapes/sphere.wrl,
	models/vrml1.0/properties/texture2transform.wrl,
	models/vrml1.0/misc/includefile.wrl,
	models/vrml1.0/properties/texture2.wrl,
	models/vrml1.0/groups/switch.wrl,
	models/vrml1.0/shapes/asciitext.wrl,
	models/vrml1.0/properties/fontstyle.wrl,
	models/vrml1.0/properties/info.wrl,
	models/vrml1.0/shapes/pointset.wrl,
	models/vrml1.0/properties/material.wrl,
	models/vrml1.0/properties/translation.wrl,
	models/vrml1.0/properties/rotation.wrl,
	models/vrml1.0/properties/matrixtransform.wrl,
	models/vrml1.0/groups/lod.wrl,
	models/vrml1.0/shapes/indexedfaceset.wrl,
	models/vrml1.0/shapes/cube.wrl,
	models/vrml1.0/properties/coordinate3.wrl,
	models/vrml1.0/properties/transform.wrl,
	models/vrml1.0/shapes/cone.wrl:

	VRML V1.0 test cases

2003-05-14 09:28:35  Rev 6359   mortene

	* src/misc/SoGLImage.cpp:

	FIXME note about workaround for Purify UMR.

2003-05-14 08:58:28  Rev 6358   mortene

	* src/misc/SoGLImage.cpp:

	Minor janitorial fixes: corrects silly casting and confused handling of
	pointers to img buffers.

2003-05-14 08:10:14  Rev 6357   mortene

	* src/caches/SoGLCacheList.cpp:

	Compile fix: typos. Reported and fixed by Lars Ivar Igesund.

2003-05-14 07:36:55  Rev 6356   mortene

	* src/fields/SoFieldContainer.cpp:

	Bugfix: was using a destructed SoInput instance. Problem reported by Tamer
	Fahmy.

2003-05-14 01:39:31  Rev 6355   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-13 12:20:42  Rev 6354   mortene

	* BUGS.txt:

	New item.

2003-05-13 08:35:18  Rev 6353   mortene

	* src/caches/SoGLCacheList.cpp:

	Improved GL error debugging doc.

2003-05-13 08:27:06  Rev 6352   mortene

	* src/caches/SoGLCacheList.cpp:

	Catch GL errors from displaylists.

2003-05-13 07:24:42  Rev 6351   mortene

	* BUGS.txt:

	New item.

2003-05-10 01:39:24  Rev 6350   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-09 13:51:24  Rev 6349   pederb

	* src/misc/SoFontLib.cpp:

	Don't use static class instances.

2003-05-09 12:15:02  Rev 6348   pederb

	* src/misc/SoOutput_Writer.cpp:

	compile fix.

2003-05-09 12:09:35  Rev 6347   pederb

	* src/misc/SoOutput_Writer.cpp, src/misc/SoInput_Reader.cpp:

	Win32 compile fixes.

2003-05-09 11:43:59  Rev 6346   pederb

	* src/shapenodes/SoCube.cpp:

	PER_FACE material binding bugfix. Bug reported by kintel.

2003-05-09 10:37:49  Rev 6345   pederb

	* src/misc/SoOutput_Writer.cpp:

	Tiny debug fix.

2003-05-09 10:36:45  Rev 6344   pederb

	* src/misc/SoOutput_Writer.cpp, src/misc/SoOutput_Writer.h:

	bzip2 writer.

2003-05-09 09:38:06  Rev 6343   pederb

	* src/misc/SoOutput_Writer.cpp, src/misc/SoOutput_Writer.h:

	gzip writer.

2003-05-09 09:20:38  Rev 6342   pederb

	* src/misc/SoInput_Reader.cpp:

	Bugfix.

2003-05-09 09:15:02  Rev 6341   pederb

	* src/misc/SoInput_Reader.cpp:

	Support gzipped files set through SoInput::setFilePointer().

2003-05-09 08:52:47  Rev 6340   mortene

	* configure, configure.ac:

	Add user32.lib, to get at Win32 API MessageBox(). Bootstrap.

2003-05-09 08:26:31  Rev 6339   pederb

	* src/misc/SoInput_FileInfo.cpp, src/misc/SoInput.cpp,
	src/misc/SoInput_FileInfo.h:

	Bugfix. Delay creating the reader when FILE == stdin.

2003-05-09 08:07:37  Rev 6338   mortene

	* src/actions/SoWriteAction.cpp, src/misc/SoOutput.cpp:

	Doxygen API doc additions.

2003-05-09 08:05:45  Rev 6337   mortene

	* src/actions/SbTri3f.icc:

	Compile fixes: use SbBool, not bool.

2003-05-09 07:56:49  Rev 6336   mortene

	* src/misc/SoDB.cpp:

	Catch multiple instances of the Coin library in the same process image.

2003-05-09 01:39:31  Rev 6335   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-08 16:01:33  Rev 6334   mortene

	* src/misc/SoInput.cpp:

	Fix quoting bug, reported by kintel.

2003-05-08 13:47:38  Rev 6333   pederb

	* src/misc/SoInput_Reader.cpp, src/misc/SoInput_Reader.h:

	Minor changes.

2003-05-08 13:43:04  Rev 6332   pederb

	* src/misc/SoInput_Reader.cpp, src/misc/SoInput_Reader.h:

	More code cleanup.

2003-05-08 13:12:57  Rev 6331   pederb

	* src/misc/SoInput_FileInfo.cpp, src/misc/SoInput.cpp,
	src/misc/SoInput_FileInfo.h, src/misc/SoInput_Reader.cpp,
	src/misc/SoInput_Reader.h:

	Code cleanup. Support bzip2-files in SoInput::setFilePointer().

2003-05-08 12:16:35  Rev 6330   pederb

	* src/misc/SoOutput_Writer.cpp, src/misc/SoOutput.cpp,
	src/misc/SoOutput_Writer.h:

	Code refactoring to make it easier to support more writer types.

2003-05-08 12:03:20  Rev 6329   mortene

	* src/vrml97/Sound.cpp, src/vrml97/AudioClip.cpp, src/misc/SoOutput.cpp,
	src/misc/SoAudioDevice.cpp, src/nodes/SoListener.cpp,
	src/nodes/SoSelection.cpp, src/vrml97/Interpolator.cpp:

	Doc fixes.

2003-05-08 12:01:43  Rev 6328   mortene

	* src/misc/SoInput.cpp:

	Improve code readability and error msg output.

2003-05-08 11:59:18  Rev 6327   mortene

	* docs/misc-resources.txt:

	Link to a CSG library under LGPL.

2003-05-08 11:58:39  Rev 6326   mortene

	* RELEASE:

	Removes obsoleted instructions.

2003-05-08 11:11:31  Rev 6325   mortene

	* src/misc/SoOutput.cpp:

	Refactoring: get rid of duplicated code, by letting write(SbName) call
	write(SbString).

2003-05-08 11:03:57  Rev 6324   pederb

	* src/misc/SoInput_FileInfo.cpp:

	Remove temporary debug code.

2003-05-08 10:29:24  Rev 6323   pederb

	* src/misc/SoInput_FileInfo.cpp:

	Support uncompressed files :)

2003-05-08 10:09:42  Rev 6322   larsa

	* src/engines/SoConvertAll.cpp:

	additional field-converters for SoSFVec2s and SoSFVec3s

2003-05-08 09:00:10  Rev 6321   pederb

	* src/misc/SoOutput.cpp:

	THIS => PRIVATE(this).

2003-05-08 08:36:24  Rev 6320   pederb

	* src/misc/SoInput_FileInfo.cpp, src/misc/SoInput.cpp,
	src/misc/SoInput_FileInfo.h:

	Code cleanup.

2003-05-08 08:29:02  Rev 6319   pederb

	* src/misc/SoInput.cpp, src/misc/SoInput_Reader.cpp,
	src/misc/SoInput_Reader.h:

	Support for reading bzip2 compressed files.

2003-05-08 01:39:19  Rev 6318   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-07 15:47:33  Rev 6317   larsa

	* src/engines/SoConvertAll.cpp:

	So[SM]FVec3d<->So[SM]FVec3f field conversions

2003-05-07 15:34:22  Rev 6316   pederb

	* src/misc/Makefile.in, src/misc/Makefile.am:

	build SoOutput_Writer

2003-05-07 15:27:04  Rev 6315   pederb

	* src/misc/SoOutput_Writer.cpp, src/misc/SoOutput_Writer.h:

	Framework for supporting multiple writers in SoOutput.

2003-05-07 15:11:06  Rev 6314   larsa

	* aclocal.m4, configure, include/config.h.in:

	bootstrap

2003-05-07 15:10:57  Rev 6313   larsa

	* configure.ac:

	bzip2 library configure test

2003-05-07 14:06:27  Rev 6312   pederb

	* src/misc/SoInput_Reader.h:

	More doc.

2003-05-07 13:57:50  Rev 6311   pederb

	* src/misc/SoInput_Reader.h:

	typofix

2003-05-07 13:57:17  Rev 6310   pederb

	* src/misc/SoInput_Reader.h:

	Doc.

2003-05-07 13:55:15  Rev 6309   pederb

	* src/misc/SoInput_Reader.cpp, src/misc/SoInput_Reader.h:

	Bugfixes.

2003-05-07 13:41:14  Rev 6308   pederb

	* src/misc/SoOffscreenRenderer.cpp:

	Fix code committed by mistake.

2003-05-07 13:40:38  Rev 6307   pederb

	* src/misc/SoProto.cpp:

	Remove dummy code committed by mistake.

2003-05-07 13:35:06  Rev 6306   pederb

	* src/misc/SoInput.cpp, src/misc/SoOutput.cpp,
	src/misc/SoOffscreenRenderer.cpp, src/misc/SoProto.cpp:

	Activate support for gzipped files.

2003-05-07 13:34:07  Rev 6305   pederb

	* src/misc/SoInput_FileInfo.h, src/misc/SoInput_Reader.cpp,
	src/misc/SoInput_Reader.h:

	gzFile reader.

2003-05-07 12:31:51  Rev 6304   pederb

	* src/misc/SoInput_FileInfo.cpp, src/misc/SoInput_Reader.cpp,
	src/misc/SoInput_Reader.h:

	Cleanup and compile fixes.

2003-05-07 12:21:29  Rev 6303   pederb

	* aclocal.m4, configure, configure.ac, include/config.h.in:

	zlib detection.

2003-05-07 12:01:05  Rev 6302   pederb

	* src/misc/SoInput_FileInfo.cpp, src/misc/Makefile.in,
	src/misc/SoInput.cpp, src/misc/SoInput_FileInfo.h,
	src/misc/SoInput_Reader.cpp, src/misc/Makefile.am,
	src/misc/SoInput_Reader.h:

	Build fix for new SoInput (cleanup) code.

2003-05-07 11:29:26  Rev 6301   pederb

	* src/misc/SoInput_FileInfo.cpp, src/misc/SoInput.cpp,
	src/misc/SoInput_FileInfo.h, src/misc/SoInput_Reader.h:

	Clean up SoInput a bit. Will fix configure/build soon.

2003-05-07 10:20:10  Rev 6300   mortene

	* docs/todo.txt:

	Item about DirectX import / export.

2003-05-07 08:42:41  Rev 6299   mortene

	* src/actions/SoIntersectionDetectionAction.cpp:

	Heavily optimized, both for shape-shape and tri-tri intersections. Ported back
	from the Toyota project.

2003-05-07 08:41:22  Rev 6298   mortene

	* include/Inventor/collision/SoIntersectionDetectionAction.h:

	Re-enable build.

2003-05-07 08:40:45  Rev 6297   mortene

	* src/actions/SbTri3f.icc, src/actions/SbTri3f.ih:

	Extended and bugfixed. Changes ported back from the Toyota-project.

2003-05-07 08:39:48  Rev 6296   mortene

	* src/actions/Makefile.in:

	Bootstrap.

2003-05-07 08:26:18  Rev 6295   mortene

	* src/actions/Makefile.am:

	Include SoIntersectionDetectionAction in build again.

2003-05-07 08:08:57  Rev 6294   mortene

	* BUGS.txt:

	Viewer viewAll bug.

2003-05-07 01:39:26  Rev 6293   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-06 12:42:30  Rev 6292   pederb

	* src/misc/SoOffscreenRenderer.cpp:

	Removes faulty assert. Bug reported by Lassi A. Tuura.

2003-05-06 12:12:36  Rev 6291   pederb

	* src/shapenodes/SoPointSet.cpp:

	Duh. Fix for silly last patch.

2003-05-06 12:08:54  Rev 6290   pederb

	* src/vrml97/Parent.cpp:

	Fix for potential bug.

2003-05-06 12:07:40  Rev 6289   pederb

	* src/shapenodes/SoPointSet.cpp:

	Bugfix for SoPointSet autocache handling.

2003-05-06 12:01:32  Rev 6288   pederb

	* src/nodes/SoMatrixTransform.cpp:

	Only update ModelMatrixElement if matrix != identity.

2003-05-06 09:40:42  Rev 6287   pederb

	* src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp:

	Fix bug when rendering selected objects when antialiasing is enabled. Bug
	reported by Josh Flowers.

2003-05-06 01:39:22  Rev 6286   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-05 10:02:06  Rev 6285   pederb

	* THANKS:

	Adds Tore Kristiansen.

2003-05-05 10:00:27  Rev 6284   pederb

	* src/sensors/SoNodeSensor.cpp:

	Make it possible to reattach a node sensor without detaching first. Fix by
	Tore Kristiansen.

2003-05-03 01:39:24  Rev 6283   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-02 12:38:17  Rev 6282   pederb

	* src/vrml97/Script.cpp:

	VRMLScript export bugfixes. Bug reported by kintel.

2003-05-02 12:36:54  Rev 6281   pederb

	* src/fields/SoFieldContainer.cpp:

	VRML97 write fix.

2003-05-02 09:30:20  Rev 6280   pederb

	* src/vrml97/Script.cpp:

	Print error messages when reading fails. Bug reported by kintel.

2003-05-02 01:39:25  Rev 6279   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-05-01 13:05:24  Rev 6278   kintel

	* src/lists/SbPList.cpp:

	Added missing append() doc

2003-05-01 01:39:29  Rev 6277   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-30 19:54:55  Rev 6276   mortene

	* src/misc/SoBase.cpp:

	Bugfix: regression introduced by last patch, reverted with this one. Thanks to
	Tamer Fahmy for the notification.

2003-04-30 13:20:07  Rev 6275   mortene

	* src/misc/SoOutput.cpp:

	Bugfix: when writing to a memory buffer with offset, the padding was off if
	the offset%4 was not 0.

2003-04-30 12:34:30  Rev 6274   mortene

	* src/misc/SoBase.cpp:

	Be more robust on file import.

2003-04-30 12:30:52  Rev 6273   mortene

	* src/misc/SoGlyph.cpp:

	Removes misdirected robustness attempts.

2003-04-30 11:14:23  Rev 6272   kintel

	* src/actions/SoToVRML2Action.cpp:

	Better texture/color/normal index handling

2003-04-30 11:07:57  Rev 6271   kintel

	* src/actions/SoToVRML2Action.cpp:

	Fontstyle fix

2003-04-30 10:41:12  Rev 6270   kintel

	* src/misc/SoOutput.cpp:

	Correctly quoting of strings

2003-04-30 01:39:23  Rev 6269   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-29 11:03:13  Rev 6268   mortene

	* src/shapenodes/SoText2.cpp:

	Compilation fix: workaround for a Cygwin problem.

2003-04-29 01:39:51  Rev 6267   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-28 13:47:07  Rev 6266   mortene

	* cfg/doxy4win.pl, Makefile.in, Makefile.am:

	Correct path to doxygen conversion tool.

2003-04-28 13:34:40  Rev 6265   mortene

	* aclocal.m4, configure, configure.ac:

	Remove obsoleted CVS modules consistency check.

2003-04-28 12:19:41  Rev 6264   kyrah

	* README.MAC:

	Mention some performance-improvement tips.

2003-04-28 11:38:53  Rev 6263   mortene

	* docs/misc-resources.txt:

	Pointer to discussion on Qt mailing-list about how to use a spaceball with Qt.

2003-04-28 11:37:25  Rev 6262   mortene

	* man/Makefile.in, include/Inventor/system/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	include/Inventor/lock/Makefile.in, src/3ds/Makefile.in,
	src/threads/Makefile.in, src/misc/Makefile.in, include/Makefile.in,
	include/Inventor/C/base/Makefile.in, src/glue/Makefile.in,
	src/sensors/Makefile.in, src/upgraders/Makefile.in, cfg/coin.m4,
	include/Inventor/C/errors/Makefile.in, src/lists/Makefile.in,
	cfg/missing, src/vrml97/Makefile.in, Makefile.am,
	include/Inventor/Makefile.in, aclocal.m4, src/nodes/Makefile.in,
	configure, Makefile.in, src/base/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, cfg/depcomp, cfg/gendsp.sh,
	src/nodekits/Makefile.in, include/Inventor/C/Makefile.in,
	src/details/Makefile.in, src/caches/Makefile.in,
	src/engines/Makefile.in, src/shapenodes/Makefile.in,
	src/projectors/Makefile.in, src/bundles/Makefile.in,
	src/draggers/Makefile.in, src/extensions/Makefile.in,
	src/Makefile.in, src/actions/Makefile.in, bootstrap, cfg/install-sh,
	src/events/Makefile.in, cfg/mkinstalldirs, src/fields/Makefile.in,
	cfg/wrapmsvc.exe, include/Inventor/C/threads/Makefile.in,
	html/Makefile.in, include/Inventor/C/glue/Makefile.in,
	src/elements/GL/Makefile.in, man/man1/Makefile.in, cfg/config.guess,
	cfg/errors.txt, bin/Makefile.in, man/man3/Makefile.in,
	data/Makefile.in, cfg/config.sub:

	Converted from conf-macros to simacros. Bootstrapped.

2003-04-28 09:54:33  Rev 6261   mortene

	* include/Inventor/actions/SoWriteAction.h:

	Minor clean-up.

2003-04-28 09:53:02  Rev 6260   mortene

	* src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/nodes/SoMaterial.cpp, src/misc/SoInput.cpp,
	src/fields/SoFieldContainer.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoMaterialBinding.cpp:

	Misc documentation updates.

2003-04-26 01:39:30  Rev 6259   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-25 18:18:03  Rev 6258   mortene

	* src/3ds/3dsLoader.cpp:

	Fixes to geometry and material handling. By John Peciva.

2003-04-25 13:06:34  Rev 6257   kyrah

	* src/glue/gl.c:

	Check for current context using CGL.

2003-04-25 01:39:28  Rev 6256   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-24 13:00:44  Rev 6255   kyrah

	* src/nodes/SoTextureCoordinatePlane.cpp:

	API doc improvements

2003-04-24 12:12:01  Rev 6254   kyrah

	* BUGS.txt:

	Just asked the Fink guys. The libtool problem is supposed to be fixed in 1.4.3
	and 1.5.

2003-04-24 09:11:36  Rev 6253   kyrah

	* BUGS.txt:

	Update concerning Mac OS X libtool tweaks.

2003-04-24 07:31:05  Rev 6252   larsa

	* BUGS.txt:

	time for a new round of autotools trouble...

2003-04-24 07:27:24  Rev 6251   pederb

	* src/vrml97/Text.cpp:

	Unfinished text handling.

2003-04-24 06:43:33  Rev 6250   mortene

	* src/vrml97/Group.cpp:

	Bugfix: search action behavior caused multiple additions of hit paths.

2003-04-24 01:39:32  Rev 6249   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-23 11:53:37  Rev 6248   larsa

	* src/misc/SoInput.cpp:

	doc update

2003-04-22 01:39:26  Rev 6247   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-21 11:46:46  Rev 6246   mortene

	* docs/todo.txt:

	TGS doc on SoFont is also interesting. They have added some extra API for
	handling MBCS-encoded Japanese text, for instance.

2003-04-21 11:45:18  Rev 6245   mortene

	* docs/todo.txt:

	Update on the font handling issue: remember to check TGS doc for compatibility
	issues and good ideas in general.

2003-04-21 11:41:26  Rev 6244   mortene

	* docs/misc-resources.txt:

	URL to freely available, high-quality TT fontset.

2003-04-21 11:40:54  Rev 6243   mortene

	* docs/api-wish-list.txt:

	Update internationalization item with latest input from kintel.

2003-04-12 01:39:23  Rev 6242   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-11 13:40:01  Rev 6241   mortene

	* src/fields/SoFieldContainer.cpp, THANKS:

	Bugfix: SoFieldContainer::getFields() was not behaving correctly for VRML97
	nodes. Problem reported by Jochen Stier.

2003-04-11 01:39:33  Rev 6240   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-10 11:38:47  Rev 6239   pederb

	* src/nodes/SoResetTransform.cpp:

	Fix SoGetBoundingBoxAction bug for SoResetTransform.

2003-04-10 01:39:36  Rev 6238   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-09 15:30:54  Rev 6237   mortene

	* docs/coin.doxygen.in, src/misc/SoDB.cpp:

	Generate documentation for the C++ thread-handling abstraction classes.

2003-04-09 01:39:28  Rev 6236   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-08 15:31:29  Rev 6235   kintel

	* src/threads/thread.c:

	doc fix

2003-04-08 13:41:38  Rev 6234   pederb

	* src/shapenodes/SoText2.cpp:

	Fixme update.

2003-04-08 13:33:14  Rev 6233   mortene

	* src/shapenodes/SoText2.cpp:

	Update a couple of FIXMEs.

2003-04-08 13:30:56  Rev 6232   mortene

	* src/shapenodes/SoText2.cpp:

	More code clean-ups.

2003-04-08 13:27:30  Rev 6231   mortene

	* src/shapenodes/SoText2.cpp:

	More code clean-ups.

2003-04-08 13:13:46  Rev 6230   mortene

	* src/vrml97/LOD.cpp:

	Minor Doxygen doc fixes.

2003-04-08 13:07:09  Rev 6229   mortene

	* src/shapenodes/SoText2.cpp:

	A bunch of code fixes, using SbList instead of static arrays.

2003-04-08 12:59:11  Rev 6228   mortene

	* src/shapenodes/SoText2.cpp:

	A bunch of code fixes, using PUBLIC/PRIVATE macros.

2003-04-08 12:51:10  Rev 6227   mortene

	* src/shapenodes/SoText2.cpp:

	A bunch of code fixes, using SbList instead of static arrays.

2003-04-08 11:03:47  Rev 6226   mortene

	* src/shapenodes/SoText2.cpp:

	A bunch of FIXME notes, some asserts and removal of some malloc()==NULL
	checks.

2003-04-08 10:38:59  Rev 6225   mortene

	* src/shapenodes/SoText2.cpp:

	Clean up SoText2P::shouldBuildGlyphCache() for readability and general
	codestyle.

2003-04-08 10:32:35  Rev 6224   mortene

	* src/shapenodes/SoText2.cpp:

	Minor code fixes.

2003-04-08 08:47:18  Rev 6223   mortene

	* src/lists/SbPList.cpp:

	Minor Doxygen doc fixes.

2003-04-08 06:34:05  Rev 6222   mortene

	* BUGS.txt:

	One update, one new bug.

2003-04-08 01:39:26  Rev 6221   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-07 12:00:31  Rev 6220   mortene

	* src/misc/SoInput.cpp, src/misc/SoOutput.cpp,
	src/engines/SoConvertAll.cpp:

	Fixes for locale-portability.

2003-04-07 11:58:38  Rev 6219   mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	A portable atof().

2003-04-07 10:08:38  Rev 6218   mortene

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Adds internal functions for controlling locale settings.

2003-04-05 01:39:33  Rev 6217   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-04 14:29:30  Rev 6216   kyrah

	* configure.ac:

	Don't check for X11 on Mac OS X, even if it available.
	Prefer AGL over GLX, even if GLX is available.

2003-04-04 13:50:51  Rev 6215   mortene

	* src/misc/Makefile.am:

	File missing from 'make dist' distribution.

2003-04-04 13:49:34  Rev 6214   mortene

	* src/misc/SoChildList.cpp:

	Catch some of the ways the scene graph can be modified during traversal.

2003-04-04 13:48:13  Rev 6213   mortene

	* src/base/SbOctTree.cpp:

	Codestyle fix: better expression of intent.

2003-04-04 13:47:44  Rev 6212   mortene

	* src/base/SbBox3f.cpp:

	Minor fixes to the attempts at robust handling of invalid input arguments.

2003-04-04 13:46:44  Rev 6211   mortene

	* src/misc/SoType.cpp:

	Catch a missing initialization call earlier.

2003-04-04 13:46:04  Rev 6210   mortene

	* configure.ac:

	Minor simplification, FIXME note.

2003-04-04 13:45:18  Rev 6209   mortene

	* bin/coin-config:

	Adds option --prefix.

2003-04-04 13:38:38  Rev 6208   mortene

	* README.WIN32, src/actions/Makefile.am, docs/coin.doxygen.in,
	src/shapenodes/SoLineSet.cpp, src/base/SbRotation.cpp,
	src/nodes/SoNode.cpp, src/misc/SoGLImage.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoGroup.cpp, src/draggers/SoCenterballDragger.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoOrthographicCamera.cpp,
	src/misc/SoContextHandler.cpp, src/nodes/SoRotor.cpp,
	src/misc/SoDB.cpp:

	Documentation fixes and additions.

2003-04-04 12:48:08  Rev 6207   mortene

	* BUGS.txt:

	Import bug.

2003-04-04 08:10:57  Rev 6206   mortene

	* docs/coin.doxygen.in:

	Updated to latest Doxygen version.

2003-04-04 01:39:26  Rev 6205   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-03 14:00:14  Rev 6204   kyrah

	* README.MAC:

	Mention X11-based SoQt for use with Coin.

2003-04-03 13:50:17  Rev 6203   larsa

	* RELEASE:

	sync with reality

2003-04-03 13:49:54  Rev 6202   larsa

	* FAQ:

	cosmetics

2003-04-03 13:31:18  Rev 6201   mortene

	* src/base/SbDPViewVolume.cpp:

	Minor API doc fix.

2003-04-03 13:28:34  Rev 6200   mortene

	* BUGS.txt:

	False alarm. SoInput was on the stack, so it got destructed after
	SoDB::cleanup() -- which is a no-no, of course.

2003-04-03 13:23:12  Rev 6199   mortene

	* BUGS.txt:

	Found serious crash bug.

2003-04-03 08:15:32  Rev 6198   pederb

	* src/shapenodes/SoQuadMesh.cpp:

	PER_FACE material binding bugfix.

2003-04-03 08:08:38  Rev 6197   mortene

	* include/Inventor/So.h, THANKS:

	Complete set of inclusions. Problem reported by Josh Flowers.

2003-04-03 07:58:05  Rev 6196   pederb

	* src/nodekits/SoBaseKit.cpp:

	Child should write when parent writes bugfix.

2003-04-03 01:39:28  Rev 6195   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-02 19:09:46  Rev 6194   mortene

	* src/3ds/3dsLoader.cpp:

	Misc bugfixes and optimizations, by John Peciva.

2003-04-02 01:39:23  Rev 6193   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-04-01 13:28:23  Rev 6192   pederb

	* src/draggers/SoTabBoxDragger.cpp:

	Remove unused code.

2003-04-01 13:26:49  Rev 6191   pederb

	* src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp:

	We now export private parts, so we need to do setDefault(TRUE) on some parts
	that are initialized in/from the dragger constructor.

2003-04-01 13:24:26  Rev 6190   pederb

	* src/nodekits/SoBaseKit.cpp:

	Be conformant with TGS/SGI Inventor when reading/writing nodekits.

2003-04-01 12:50:44  Rev 6189   mortene

	* src/base/SbOctTree.cpp:

	Improves debug output. Misc minor fixes.

2003-04-01 12:29:28  Rev 6188   kyrah

	* examples/misc/glut_tex.cpp, examples/misc:

	Example demonstrating how to use SoOffscreenRenderer to generate a texture
	based on a scene.

2003-04-01 11:49:49  Rev 6187   pederb

	* src/misc/SoGlyph.cpp:

	Reorder data members to match constructor init order.

2003-04-01 11:15:57  Rev 6186   preng

	* src/misc/SoGlyph.cpp:

	Enable rotated glyphs

2003-04-01 10:52:28  Rev 6185   pederb

	* src/fields/SoFieldContainer.cpp:

	Bugfix. Don't add reference on container fields if the addReference() call is
	from a field connection.

2003-03-29 02:39:28  Rev 6184   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-28 19:20:12  Rev 6183   kyrah

	* README.MAC:

	That's an SoQt problem, not a Coin issue.

2003-03-28 19:13:46  Rev 6182   kyrah

	* README.MAC:

	Added note on conflicting Inventor installations.

2003-03-28 10:46:35  Rev 6181   pederb

	* src/shapenodes/SoText2.cpp:

	Cosmetics.

2003-03-28 10:27:14  Rev 6180   pederb

	* src/elements/GL/SoGLTextureImageElement.cpp:

	Fix for the Sun Forte compiler. Problem reported by Thomas Walmann.

2003-03-28 09:50:26  Rev 6179   preng

	* src/shapenodes/SoText2.cpp:

	Cull test

2003-03-28 02:39:28  Rev 6178   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-27 13:09:38  Rev 6177   preng

	* src/glue/fontlib_wrapper.c, src/misc/SoFontLib.cpp,
	include/Inventor/C/glue/fontlib_wrapper.h:

	cc_flw_debug() cleanup

2003-03-27 12:41:36  Rev 6176   preng

	* src/glue/flwfreetype.c, src/glue/fontlib_wrapper.c,
	include/Inventor/C/glue/fontlib_wrapper.h:

	misc cleanup

2003-03-27 10:04:03  Rev 6175   pederb

	* src/glue/flwfreetype.c:

	Workaround for Freetype version < 2.1

2003-03-27 02:39:31  Rev 6174   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-26 13:31:08  Rev 6173   pederb

	* src/actions/SoAction.cpp:

	Bugfix. Recreate state if a new elements has been enabled.

2003-03-26 10:51:34  Rev 6172   larsa

	* THANKS:

	added Francesco Callari

2003-03-26 10:50:14  Rev 6171   larsa

	* src/tidbits.c:

	bugfix - thanks to Francesco Callari

2003-03-26 10:04:29  Rev 6170   mortene

	* src/nodes/SoFontStyle.cpp:

	API doc fix: remove reference to internal class SoFontLib.

2003-03-26 10:03:59  Rev 6169   mortene

	* src/nodes/SoFont.cpp:

	FIXME note.

2003-03-26 02:39:31  Rev 6168   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-25 11:42:33  Rev 6167   pederb

	* src/nodes/SoVertexProperty.cpp:

	Fix ugly bug. Don't check GL element unless the action is SoGLRenderAction.

2003-03-25 11:29:29  Rev 6166   pederb

	* src/misc/SoFontLib.cpp:

	Deadlock fix. When using mutexes, please test with --enable-threadsafe.

2003-03-25 11:11:10  Rev 6165   pederb

	* src/vrml97/Inline.cpp:

	src/glue/fontlib_wrapper.c

2003-03-25 11:11:10  Rev 6164   pederb

	* src/base/SbBox3f.cpp:

	Print a debug message instead of asserting on invalid bboxes.

2003-03-25 11:11:10  Rev 6163   pederb

	* src/glue/flwfreetype.c, src/glue/fontlib_wrapper.c:

	Compile fix.

2003-03-25 02:39:30  Rev 6162   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-24 20:04:19  Rev 6161   mortene

	* src/glue/fontlib_wrapper.c, src/misc/SoFontLib.cpp:

	Compilation fixes.

2003-03-24 16:11:40  Rev 6160   preng

	* src/misc/SoFontLib.cpp:

	Multiple (alternative) font files for each font, new fonts, new method to set
	default character map

2003-03-24 16:10:01  Rev 6159   preng

	* include/Inventor/misc/SoFontLib.h:

	New method to set default character map

2003-03-24 16:08:25  Rev 6158   preng

	* src/glue/flwfreetype.c:

	FreeType 2.1 changes, cleanup

2003-03-24 16:07:41  Rev 6157   preng

	* src/glue/fontlib_wrapper.c:

	Less verbose debug output, misc bugfix, cleanup

2003-03-24 16:02:18  Rev 6156   preng

	* src/shapenodes/SoText2.cpp:

	char>127 bugfix aka ae,oe,aa bugfix

2003-03-24 12:28:14  Rev 6155   mortene

	* configure.ac:

	Avoid external references to internal SuperGLU header file.

2003-03-24 12:27:32  Rev 6154   larsa

	* src/misc/SoInput.cpp:

	remove IRIX CC warnings

2003-03-24 10:05:25  Rev 6153   pederb

	* src/misc/all-cpp.cpp:

	default2dfont.cpp is used.

2003-03-24 10:03:11  Rev 6152   pederb

	* include/Inventor/C/base/name.h:

	Compile fix. File is probably not used yet though.

2003-03-24 10:02:01  Rev 6151   pederb

	* src/misc/default2dfont.ic, src/glue/fontlib_wrapper.c,
	src/misc/default2dfont.cpp, src/misc/default3dfont.cpp,
	src/misc/defaultfonts.h, src/misc/SoGlyph.cpp,
	src/shapenodes/SoText2.cpp:

	Clean up the default fonts interface.

2003-03-24 08:59:04  Rev 6150   pederb

	* src/misc/all-cpp.cpp:

	default2dfont.cpp is not used anymore.

2003-03-24 02:39:18  Rev 6149   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-23 19:06:46  Rev 6148   mortene

	* src/misc/SoFontLib.cpp:

	Compilation fix: remove token after #endif.

2003-03-23 02:39:32  Rev 6147   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-22 09:50:26  Rev 6146   mortene

	* INSTALL:

	More verbose explanations of the --disable-dl and --disable-loadlibrary
	options.

2003-03-22 02:39:35  Rev 6145   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-21 12:57:26  Rev 6144   thammer

	* configure, configure.ac:

	Enable debug info in object files when symbols are enabled.

2003-03-21 02:39:29  Rev 6143   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-20 09:01:48  Rev 6142   mortene

	* src/elements/GL/SoGLLightIdElement.cpp:

	Give a better warning message when exceeding nr of lights OpenGL limit. Try to
	catch attempts at using getMaxGLSources() outside a valid GL context.

2003-03-20 02:39:29  Rev 6141   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-19 17:03:38  Rev 6140   larsa

	* src/actions/SoSearchAction.cpp:

	doc update

2003-03-19 11:08:42  Rev 6139   thammer

	* include/Inventor/C/glue/openal_wrapper.h:

	Compile fix.

2003-03-19 11:04:39  Rev 6138   larsa

	* src/misc/SoType.cpp:

	don't load dynamically loadable nodes in this context (bug analysis by Lassi
	A. Tuura)

2003-03-19 09:37:07  Rev 6137   thammer

	* include/Inventor/C/glue/openal_wrapper.h:

	Changed calling convention to __cdecl under Win32.
	Bug reported by "Neo" <devil_outside@gmx.de>.

2003-03-19 02:39:35  Rev 6136   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-18 19:32:01  Rev 6135   mortene

	* src/nodes/SoTransform.cpp, src/nodes/SoRotation.cpp,
	src/base/SbRotation.cpp, src/fields/SoSFRotation.cpp:

	Try to quench the FAQ / common problem with using the wrong SbRotation
	constructor, by adding more API doc.

2003-03-18 15:02:59  Rev 6134   pederb

	* src/misc/SoFontLib.cpp:

	Hang-on-init bugfix. Please test with --enable-threadsafe.

2003-03-18 13:07:22  Rev 6133   kyrah

	* src/misc/SoType.cpp:

	Added *.dylib to possible module names for dynamically loaded extension nodes.
	Left FIXME that we should use bundles rather than DLLs for this purpose on
	Mac OS X.

2003-03-18 11:46:49  Rev 6132   preng

	* src/misc/SoFontLib.cpp:

	Use font name also for default font

2003-03-18 11:37:02  Rev 6131   preng

	* src/glue/fontlib_wrapper.c:

	default font init moved to SoFontLib

2003-03-18 11:34:26  Rev 6130   preng

	* src/misc/SoFontLib.cpp:

	Bugfix, init default font in dict

2003-03-18 09:48:52  Rev 6129   pederb

	* src/misc/SoBase.cpp, src/misc/SoOutput.cpp:

	Bugfix for recently introduced bug.

2003-03-18 09:34:17  Rev 6128   preng

	* src/glue/flwfreetype.c:

	Missing include (MSVC)

2003-03-18 09:34:17  Rev 6127   preng

	* src/glue/fontlib_wrapper.c:

	Compile fix.

2003-03-18 09:26:07  Rev 6126   preng

	* src/misc/SoGlyph.cpp, src/shapenodes/SoText2.cpp:

	Code cleanup

2003-03-18 09:23:16  Rev 6125   preng

	* src/glue/fontlib_wrapper.c:

	Internal API cleanup

2003-03-18 09:17:48  Rev 6124   pederb

	* src/misc/SoFontLib.cpp:

	Reverse brain-dead fix. Prengs original code was of course ok.

2003-03-18 09:13:21  Rev 6123   pederb

	* src/misc/SoBase.cpp, src/misc/SoOutput.cpp:

	Don't skip VRML node prefix when exporting VRML nodes in an Inventor file. Bug
	reported by Sigmund L Berntsen.

2003-03-18 09:10:12  Rev 6122   pederb

	* src/fields/SoFieldData.cpp:

	Support for PROTOs inside nodes. Bug reported by kintel, the bug chaser.

2003-03-18 08:58:01  Rev 6121   pederb

	* src/misc/SoFontLib.cpp:

	Fix some very ugly memory handling bugs.

2003-03-18 02:39:39  Rev 6120   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-17 17:49:53  Rev 6119   mortene

	* src/errors/SoReadError.cpp:

	Bugfix: heed calls to setHandlerCallback().

2003-03-17 17:46:29  Rev 6118   kyrah

	* FAQ.legal:

	Clarification on per-developer licensing. By mortene.

2003-03-17 17:45:31  Rev 6117   preng

	* src/nodes/SoFont.cpp:

	Fixed state.fontname != node.fontname bug

2003-03-17 17:44:52  Rev 6116   preng

	* src/shapenodes/SoText2.cpp:

	Cosmetics

2003-03-17 17:43:17  Rev 6115   preng

	* src/misc/SoFontLib.cpp, include/Inventor/misc/SoFontLib.h:

	Code cleanup, font dictionary

2003-03-17 17:41:38  Rev 6114   preng

	* src/glue/flwfreetype.c, src/glue/fontlib_wrapper.c,
	include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/fontlib_wrapper.h:

	Code cleanup

2003-03-17 17:32:08  Rev 6113   larsa

	* src/actions/SoHandleEventAction.cpp:

	doc update

2003-03-17 16:50:09  Rev 6112   kyrah

	* configure:

	Bootstrap.

2003-03-17 16:44:40  Rev 6111   kyrah

	* bin/coin-config, configure.ac, coin.cfg.in:

	Configure already detects if we are using GCC, so let's use that one instead
	of re-doing it (badly).

2003-03-17 12:31:23  Rev 6110   preng

	* src/misc/SoGlyph.cpp, src/shapenodes/SoText2.cpp:

	Kill MSVC compile warnings

2003-03-17 12:30:19  Rev 6109   preng

	* src/misc/SoFontLib.cpp:

	Sync with fontlib_wrapper code changes

2003-03-17 12:29:24  Rev 6108   preng

	* src/glue/flwfreetype.c, src/glue/fontlib_wrapper.c,
	include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/fontlib_wrapper.h:

	cc_ namespace for exported functions

2003-03-17 12:16:40  Rev 6107   mortene

	* src/glue/flwfreetype.c:

	Update comment on disabled assert.

2003-03-17 12:09:48  Rev 6106   pederb

	* src/glue/flwfreetype.c:

	Disable much-too-strict assert.

2003-03-17 12:09:01  Rev 6105   pederb

	* src/misc/SoFontLib.cpp:

	Free all memory on exit. Not just some of it.

2003-03-17 12:04:05  Rev 6104   larsa

	* RELEASE:

	the RELEASE procedure

2003-03-17 12:03:51  Rev 6103   larsa

	* RELNOTES:

	add section for 3.0 changes

2003-03-17 11:56:38  Rev 6102   pederb

	* src/misc/SoFontLib.cpp, include/Inventor/misc/SoFontLib.h:

	No use consting a stack return instance. I guess some compilers might
	complain.

2003-03-17 10:07:30  Rev 6101   mortene

	* src/glue/fontlib_wrapper.c:

	Handle font idx = 0.

2003-03-17 10:06:59  Rev 6100   pederb

	* src/glue/flwfreetype.c:

	C++ to C comments.

2003-03-17 09:54:31  Rev 6099   pederb

	* include/Inventor/C/threads/storage.h:

	C++ to C comment.

2003-03-17 09:52:44  Rev 6098   mortene

	* src/glue/flwfreetype.c, src/glue/fontlib_wrapper.c:

	Random fixes, FIXME note additions, and run-time debugging additions.

2003-03-17 09:05:47  Rev 6097   mortene

	* src/glue/flwfreetype.c:

	More run-time debugging.

2003-03-17 08:45:42  Rev 6096   mortene

	* src/nodes/SoFont.cpp:

	More API doc.

2003-03-17 02:39:27  Rev 6095   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-16 15:55:27  Rev 6094   mortene

	* src/glue/fontlib_wrapper.c, include/Inventor/C/glue/fontlib_wrapper.h:

	A few minor clean-ups.

2003-03-16 15:48:51  Rev 6093   mortene

	* src/glue/flwfreetype.c, include/Inventor/C/glue/flwfreetype.h:

	Misc minor compilation fixes, interface fixes, code layout, internal run-time
	debugging, etc.

2003-03-16 15:47:44  Rev 6092   mortene

	* src/misc/SoFontLib.cpp:

	Rename variable.

2003-03-16 15:37:04  Rev 6091   mortene

	* src/fields/SoFieldData.cpp:

	Improved error reporting on corrupt binary file.

2003-03-16 15:31:44  Rev 6090   mortene

	* src/misc/SoGlyph.cpp, src/nodes/SoFont.cpp, src/shapenodes/SoText2.cpp:

	SoFontLib is an internal class, so don't refer to it in the _public_ API doc.

2003-03-16 14:44:27  Rev 6089   mortene

	* configure.ac:

	Corrects summary for freetype support.

2003-03-16 14:30:53  Rev 6088   mortene

	* src/glue/fontlib_wrapper.c:

	Adds copyright header. Set up for run-time debugging output.

2003-03-16 14:19:02  Rev 6087   mortene

	* include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/fontlib_wrapper.h:

	Clean up layout of include files, removes C++ comments, adds copyright
	headers...

2003-03-16 14:00:04  Rev 6086   mortene

	* src/misc/SoFontLib.cpp, include/Inventor/misc/SoFontLib.h:

	Portability fix, clean up misc lameness.

2003-03-16 13:48:06  Rev 6085   mortene

	* src/misc/SoFontLib.cpp:

	Get rid of warning if COIN_FONT_PATH is not set. FIXME note about bad
	assumption.

2003-03-15 02:39:32  Rev 6084   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-14 15:23:41  Rev 6083   preng

	* src/misc/SoFontLib.cpp, src/nodes/SoFont.cpp:

	killed msvc float2short warning

2003-03-14 14:07:59  Rev 6082   kyrah

	* docs/todo.txt:

	VRML97 is optional. Cleanup + better structure.

2003-03-14 13:58:35  Rev 6081   kyrah

	* docs/todo.txt:

	Coin-2 came and went, and if we had second-rate API-stuff that we have to
	support indefinitely in future Coin versions, only time will tell.

2003-03-14 13:57:10  Rev 6080   kyrah

	* bin/coin-config:

	Let's just assume that wrapmsvc is not gcc :) - fixes warning when using coin-
	config from So*/configure.

2003-03-14 13:54:42  Rev 6079   kyrah

	* docs/todo.txt:

	Note on handling unsupported file formats.

2003-03-14 13:01:21  Rev 6078   mortene

	* docs/todo.txt:

	Elaborate on VRML97 incompatibility in our export code.

2003-03-14 12:36:29  Rev 6077   pederb

	* src/misc/SoInput.cpp:

	Fix for recent fix.

2003-03-14 12:31:06  Rev 6076   pederb

	* src/misc/SoInput.cpp:

	VRML97 ident name bugfix. Bug reported by kintel.

2003-03-14 10:12:10  Rev 6075   pederb

	* src/glue/fontlib_wrapper.c:

	Include the default font. Don't copy the data.

2003-03-14 10:10:40  Rev 6074   pederb

	* src/misc/default2dfont.ic:

	Convert default2dfont to C.

2003-03-14 10:03:58  Rev 6073   pederb

	* src/glue/fontlib_wrapper.c:

	Don't use 'new' as a variable name.

2003-03-14 02:39:25  Rev 6072   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-13 15:44:16  Rev 6071   pederb

	* aclocal.m4, configure:

	Freetype detection fix.

2003-03-13 13:12:06  Rev 6070   larsa

	* src/misc/cppmangle.icc:

	copyright header

2003-03-13 13:01:50  Rev 6069   pederb

	* src/misc/SoInput.cpp:

	addEnvDirectories() bugfix.

2003-03-13 12:17:00  Rev 6068   pederb

	* src/misc/SoGlyph.cpp:

	Bugfix. Adds missing mutex unlock.

2003-03-13 11:56:10  Rev 6067   pederb

	* src/glue/flwfreetype.c:

	compile fixes.

2003-03-13 11:39:51  Rev 6066   pederb

	* src/shapenodes/SoText2.cpp:

	compile fixes.

2003-03-13 11:39:19  Rev 6065   pederb

	* src/misc/SoFontLib.cpp:

	compile fix.

2003-03-13 11:38:27  Rev 6064   pederb

	* src/misc/SoGlyph.cpp:

	Fix compiler warning.

2003-03-13 11:37:58  Rev 6063   pederb

	* src/glue/fontlib_wrapper.c:

	Compile fixes.

2003-03-13 11:31:52  Rev 6062   preng

	* src/glue/fontlib_wrapper.c, include/Inventor/C/glue/fontlib_wrapper.h:

	bugfix

2003-03-13 11:23:52  Rev 6061   preng

	* configure.ac:

	FreeType detection bugfix

2003-03-13 10:42:08  Rev 6060   preng

	* aclocal.m4, configure, Makefile.in, include/config.h.in,
	src/misc/Makefile.in, src/glue/Makefile.in:

	bootstrap

2003-03-13 10:33:13  Rev 6059   preng

	* configure.ac:

	Check for FreeType presence

2003-03-13 10:32:04  Rev 6058   preng

	* src/misc/SoFontLib.cpp, include/Inventor/misc/SoFontLib.h,
	src/misc/SoGlyph.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFontStyle.cpp, src/shapenodes/SoText2.cpp,
	src/misc/SoDB.cpp, src/misc/Makefile.am:

	Font support

2003-03-13 10:31:39  Rev 6057   preng

	* src/elements/SoFontSizeElement.cpp:

	Default size now equal to size of default font (12)

2003-03-13 10:24:09  Rev 6056   preng

	* include/Inventor/C/glue/flwfreetype.h,
	include/Inventor/C/glue/fontlib_wrapper.h:

	Font lib wrapper, with FreeType binding

2003-03-13 10:23:04  Rev 6055   preng

	* src/glue/Makefile.am:

	Build font library wrapper

2003-03-13 10:22:36  Rev 6054   preng

	* src/glue/flwfreetype.c, src/glue/fontlib_wrapper.c:

	Font library wrapper, with FreeType binding

2003-03-13 02:39:39  Rev 6053   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-12 19:58:59  Rev 6052   mortene

	* BUGS.txt:

	Another mariusbug.

2003-03-12 19:49:47  Rev 6051   mortene

	* HACKING:

	Elaborate on the bootstrap process for our projects.

2003-03-12 16:34:37  Rev 6050   kintel

	* BUGS.txt:

	Added new bug

2003-03-12 15:42:19  Rev 6049   kyrah

	* configure.ac:

	Don't "force" prebinding when building applications (This is not a necessity,
	more something that the application programmer might or might not choose to
	do.)

2003-03-12 15:23:14  Rev 6048   pederb

	* src/nodes/SoLight.cpp:

	Bugfix.

2003-03-12 15:05:28  Rev 6047   kintel

	* BUGS.txt:

	Reverted last change

2003-03-12 14:57:26  Rev 6046   pederb

	* src/fields/SoMFNode.cpp:

	Read error on NULL in MFNode.

2003-03-12 14:48:40  Rev 6045   kintel

	* BUGS.txt:

	Added new bug

2003-03-12 14:14:56  Rev 6044   kyrah

	* README.MAC:

	Explain MACOSX_DEPLOYMENT_TARGET phenomenon (not really Coin-specific, but
	people will stumble across it).

2003-03-12 13:23:10  Rev 6043   mortene

	* BUGS.txt:

	Update with another variant of the bug.

2003-03-12 13:20:12  Rev 6042   kyrah

	* packaging/macosx, packaging/macosx/uninstall-coin.pl, Makefile.am:

	Script to uninstall the Mac OS X binary package.

2003-03-12 13:14:09  Rev 6041   kyrah

	* README.MAC:

	Explain __Znwm problem.

2003-03-12 12:21:53  Rev 6040   kyrah

	* README.MAC:

	Added information about the broken-QuickTime-component problem reported
	by Kevin J.Walchko.
	Removed information about workaround for bug in August developer tools
	(people should upgrade, period.)

2003-03-12 10:07:20  Rev 6039   mortene

	* src/glue/dl.c:

	Adds support for dynamic loading with the HP-UX dld library.

2003-03-12 08:45:42  Rev 6038   mortene

	* THANKS:

	For SoQt bug reports.

2003-03-12 02:39:27  Rev 6037   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-12 00:46:56  Rev 6036   kyrah

	* src/Makefile.in:

	Make sure the -prebind option gets passed on to the linker. Specify preferred
	address != 0x0.

2003-03-12 00:41:10  Rev 6035   kyrah

	* src/Makefile.am:

	Make sure the -prebind option gets passed on to the linker. Specify preferred
	address != 0x0.

2003-03-11 22:56:27  Rev 6034   kyrah

	* aclocal.m4, configure, src/Makefile.in:

	Bootstrap

2003-03-11 22:50:52  Rev 6033   kyrah

	* src/Makefile.am:

	Build two-level namespace library, not flat_namespace one.

2003-03-11 22:50:05  Rev 6032   kyrah

	* configure.ac:

	Use prebinding.
	Remove workaround for problem in August developer tools suite.

2003-03-11 13:24:39  Rev 6031   pederb

	* src/fields/SoFieldContainer.cpp:

	Some code comments regarding SoProto copying.

2003-03-11 13:20:37  Rev 6030   pederb

	* src/nodes/SoNode.cpp:

	PROTO copy bugfix.

2003-03-11 13:20:17  Rev 6029   pederb

	* src/misc/SoProto.cpp:

	PROTO export bugfix.

2003-03-11 13:12:17  Rev 6028   pederb

	* src/misc/SoGLImage.cpp:

	Heed the texture scale quality setting.

2003-03-11 12:54:17  Rev 6027   pederb

	* src/sensors/SoPathSensor.cpp:

	Fix SoPathSensor so that it will trigger only for nodes affecting the audited
	path.

2003-03-11 12:52:53  Rev 6026   pederb

	* src/misc/SoPath.cpp:

	SoPath::isRelevantNotification() implementation.

2003-03-11 11:35:51  Rev 6025   pederb

	* src/fields/SoFieldContainer.cpp:

	Notify bugfix. Don't append a new SoNotRec when notified from a field.

2003-03-11 11:35:06  Rev 6024   pederb

	* src/misc/SoBase.cpp, src/lists/SoAuditorList.cpp:

	Notify bugfixes. Remember to set the SoNotRec type before notifying.

2003-03-11 02:39:36  Rev 6023   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-11 02:28:43  Rev 6022   kyrah

	* src/glue/dl.c:

	OpenAL runtime binding support: Look for $libname.framework/$libname.
	Cleaned up and added some comments, while I was at it.

2003-03-10 21:58:55  Rev 6021   kyrah

	* src/glue/GLUWrapper.c:

	Don't use C++-style comments.

2003-03-10 20:19:20  Rev 6020   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Kill hack for WGL aswell as GLX.

2003-03-10 20:18:38  Rev 6019   mortene

	* src/misc/SoOffscreenWGLData.icc:

	Offscreen context creation and handling has been refactored and moved out of
	this class.

2003-03-10 20:17:40  Rev 6018   mortene

	* src/glue/gl_glx.c:

	FIXME reminder.

2003-03-10 20:12:57  Rev 6017   mortene

	* src/glue/gl.c:

	Forward calls into the wglglue_context_*() methods.

2003-03-10 20:07:57  Rev 6016   mortene

	* src/glue/gl_wgl.c, include/Inventor/C/glue/gl_wgl.h:

	Implements offscreen context creation and handling (mostly refactored from
	SoOffscreenWGLData.icc).

2003-03-10 19:57:00  Rev 6015   mortene

	* src/glue/gl_agl.c:

	FIXME reminder.

2003-03-10 17:17:56  Rev 6014   kyrah

	* src/glue/GLUWrapper.c:

	That's how it should have been. :)

2003-03-10 17:02:13  Rev 6013   kyrah

	* src/glue/GLUWrapper.c:

	Undo my last change. (Doesn't work as expected.)

2003-03-10 16:42:33  Rev 6012   kyrah

	* configure, include/config.h.in:

	Bootstrap.

2003-03-10 16:41:49  Rev 6011   kyrah

	* src/glue/dl.c:

	Add some debugging output.

2003-03-10 16:41:23  Rev 6010   kyrah

	* src/glue/GLUWrapper.c:

	Mac OS X runtime binding: Don't try to explicitly open GLU library,
	since it is part of OpenGL.

2003-03-10 16:40:19  Rev 6009   kyrah

	* configure.ac:

	Define GLU_RUNTIME_LINKING even if GLU is part of GL library, and set up
	GLU_IS_PART_OF_GL #define in that case. (Needed for Mac OS X GLUwrapper.)

2003-03-10 15:32:09  Rev 6008   thammer

	* src/misc/SoDB.cpp:

	Changed buffer size to make things work under Linux.

2003-03-10 14:16:30  Rev 6007   pederb

	* src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp:

	Sync with recent change in SoGLTextureCoordinateElement.

2003-03-10 13:24:40  Rev 6006   pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	Implement som (unused) methods.

2003-03-10 13:17:15  Rev 6005   pederb

	* THANKS:

	Add Trond Arild Tj?stheim.

2003-03-10 13:11:26  Rev 6004   pederb

	* src/elements/GL/SoGLTextureCoordinateElement.cpp:

	Don't disable GL texture coordinate generation unless we previously enabled
	it. Bug reported by Trond Arild Tjoestheim.

2003-03-10 11:29:16  Rev 6003   larsa

	* HACKING:

	typo

2003-03-10 11:26:35  Rev 6002   larsa

	* HACKING:

	a plea for more structured header inclusions...

2003-03-10 08:15:39  Rev 6001   mortene

	* src/elements/GL/SoGLDisplayList.cpp:

	Detect and warn on out-of-memory conditions when constructing a display list.

2003-03-10 08:08:43  Rev 6000   mortene

	* src/glue/dl.c:

	Conditional inclusion of header files not available on all systems.

2003-03-10 02:39:45  Rev 5999   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-09 14:03:39  Rev 5998   mortene

	* src/glue/dl.c, src/glue/gl_agl.c:

	Clean up C++ style comments.

2003-03-09 13:58:32  Rev 5997   mortene

	* configure.ac:

	No need to check for winsock2.h any more. Try libgen.h (for dirname()).

2003-03-09 13:56:04  Rev 5996   mortene

	* src/glue/dl.c:

	libgen.h is not available on all platforms.

2003-03-09 13:36:28  Rev 5995   mortene

	* man/Makefile.in, include/Inventor/system/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	include/Inventor/lock/Makefile.in, src/3ds/Makefile.in,
	src/threads/Makefile.in, src/misc/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, src/sensors/Makefile.in,
	src/upgraders/Makefile.in, include/Inventor/C/errors/Makefile.in,
	src/lists/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/Makefile.in, aclocal.m4, src/nodes/Makefile.in,
	configure, Makefile.in, src/base/Makefile.in,
	src/elements/Makefile.in, src/errors/Makefile.in,
	src/nodekits/Makefile.in, include/Inventor/C/Makefile.in,
	src/details/Makefile.in, src/caches/Makefile.in,
	src/shapenodes/Makefile.in, src/projectors/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/actions/Makefile.in, src/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in, include/config.h.in,
	include/Inventor/C/threads/Makefile.in, html/Makefile.in,
	src/elements/GL/Makefile.in, include/Inventor/C/glue/Makefile.in,
	man/man1/Makefile.in, bin/Makefile.in, man/man3/Makefile.in,
	data/Makefile.in:

	bootstrap.

2003-03-09 13:29:28  Rev 5994   mortene

	* src/actions/SoToVRML2Action.cpp, src/nodes/SoCamera.cpp:

	Improvement to API doc.

2003-03-09 13:25:42  Rev 5993   mortene

	* configure.ac:

	No longer any need to check for byteorder conversion methods (and winsock).

2003-03-09 13:21:42  Rev 5992   mortene

	* src/misc/SoDB.cpp, src/sensors/SoSensorManager.cpp:

	Obsoleted doSelect() call -- it has never worked.

2003-03-09 13:18:38  Rev 5991   mortene

	* src/misc/SoDB.cpp:

	Make it possible to also force sound-support completely *off* with the
	COIN_SOUND_ENABLE envvar.

2003-03-09 12:58:09  Rev 5990   mortene

	* configure.ac:

	Check for HP-UX dld library.

2003-03-09 12:52:03  Rev 5989   mortene

	* configure.ac:

	Simplifies MSVC++ selection and setup. Also kills a bug where BUILD_WITH_MSVC
	could end up not being AC_SUBSTed.

2003-03-09 12:06:43  Rev 5988   mortene

	* configure.ac:

	Moves C++ compiler activation after AC_PROG_LIBTOOL, to work around known
	libtool bugs.

2003-03-08 02:39:47  Rev 5987   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-07 18:40:13  Rev 5986   kyrah

	* aclocal.m4, configure, include/config.h.in:

	Bootstrap.

2003-03-07 18:39:28  Rev 5985   kyrah

	* configure.ac:

	Check for Mac OS X runtime binding

2003-03-07 18:38:12  Rev 5984   kyrah

	* src/glue/simage_wrapper.c:

	Add libsimage.dylib to list of possible libnames.

2003-03-07 18:37:38  Rev 5983   kyrah

	* include/Inventor/C/glue/gl_agl.h:

	coin_nsgl_getprocaddress renamed to coin_agl_getprocaddress

2003-03-07 18:36:59  Rev 5982   kyrah

	* src/glue/gl.c:

	coin_nsgl_getprocaddress renamed to coin_agl_getprocaddress.
	Get rid of evil __APPLE__ platform test.

2003-03-07 18:35:47  Rev 5981   kyrah

	* src/glue/gl_agl.c:

	Use cc_dl_sym(). Get rid of evil __APPLE__ platform test.

2003-03-07 18:34:09  Rev 5980   kyrah

	* src/glue/dl.c:

	Adds Mac OS X runtime binding.

2003-03-07 16:05:50  Rev 5979   pederb

	* src/shapenodes/SoShape.cpp:

	Thread-safe notify().

2003-03-07 16:02:47  Rev 5978   pederb

	* src/vrml97/Parent.cpp, src/vrml97/LOD.cpp, src/vrml97/Switch.cpp:

	Optimize VRML97 node-notification.

2003-03-07 15:48:37  Rev 5977   pederb

	* src/vrml97/Geometry.cpp, src/vrml97/Appearance.cpp,
	src/vrml97/Shape.cpp:

	Optimize notifications for VRML2.

2003-03-07 15:44:42  Rev 5976   pederb

	* src/misc/SoChildList.cpp:

	Make it possible to have a NULL-pointer as a parent in SoChildList.

2003-03-07 15:02:56  Rev 5975   pederb

	* src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/shapenodes/SoVertexShape.cpp,
	src/nodes/SoSeparator.cpp, src/vrml97/Group.cpp,
	src/vrml97/VertexShape.cpp, src/vrml97/Shape.cpp:

	Make it possible to send notifications from a different thread while
	reading/rendering the scene graph.

2003-03-07 14:33:44  Rev 5974   preng

	* src/misc/default2dfont.cpp:

	Bugfix: ampersand was upside down

2003-03-07 13:37:26  Rev 5973   mortene

	* BUGS.txt:

	New item.

2003-03-07 13:23:29  Rev 5972   pederb

	* src/shapenodes/SoIndexedFaceSet.cpp, src/nodes/SoMaterial.cpp,
	src/shapenodes/SoIndexedLineSet.cpp:

	VRML1-support material handling bugfixes.

2003-03-07 13:22:43  Rev 5971   mortene

	* src/nodes/SoSeparator.cpp:

	Elaborate on strategies for the renderCaching field.

2003-03-07 12:55:17  Rev 5970   mortene

	* docs/misc-resources.txt:

	Run-time checking of array bounds writing etc with MSVC++.

2003-03-07 12:54:48  Rev 5969   mortene

	* docs/todo.txt:

	Should port ivperf and implement ivtovrml.

2003-03-07 11:26:44  Rev 5968   pederb

	* src/actions/SoToVRML2Action.cpp:

	Doc update.

2003-03-07 11:15:16  Rev 5967   pederb

	* src/actions/SoToVRML2Action.cpp:

	Implement reusePropertyNodes(). The funcionality seems to be there. Problem
	reported by kintel.

2003-03-07 10:20:12  Rev 5966   mortene

	* src/shapenodes/SoImage.cpp, src/shapenodes/SoText2.cpp:

	Warn about cache smashing.

2003-03-07 02:39:42  Rev 5965   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-06 13:53:05  Rev 5964   mortene

	* src/glue/all-c.c:

	gl_nsgl.c renamed to gl_agl.c

2003-03-06 08:32:13  Rev 5963   mortene

	* docs/todo.txt:

	File away info on QGL problems and suggestions for solution.

2003-03-06 02:39:38  Rev 5962   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-05 14:16:56  Rev 5961   larsa

	* configure, configure.ac:

	supply extra-flags argument to .dsp-setup macro

2003-03-05 13:00:48  Rev 5960   larsa

	* Makefile.am:

	new macro to distribute

2003-03-05 12:04:01  Rev 5959   pederb

	* src/engines/SoNodeEngine.cpp, src/engines/SoEngine.cpp:

	Remove some (disabled) code that shouldn't have been committed.

2003-03-05 11:32:19  Rev 5958   pederb

	* src/vrml97/Group.cpp:

	Bugfix. When invalidating caches, we should invalidate caches for all threads,
	not just the current thread.

2003-03-05 11:28:39  Rev 5957   pederb

	* src/vrml97/Group.cpp:

	Use PRIVATE, not THIS.

2003-03-05 11:22:50  Rev 5956   pederb

	* src/fields/SoFieldContainer.cpp:

	Use PRIVATE, not THIS.

2003-03-05 11:22:50  Rev 5955   pederb

	* src/engines/SoNodeEngine.cpp, src/engines/SoEngine.cpp:

	Notification bugfix.

2003-03-05 11:22:39  Rev 5954   larsa

	* configure.ac:

	use the msvc-dsp macros

2003-03-05 11:22:05  Rev 5953   larsa

	* src/engines/evaluator.h:

	flag header as private/internal

2003-03-05 11:21:13  Rev 5952   larsa

	* src/engines/Makefile.in, src/engines/so_eval.ic,
	src/engines/Makefile.am, src/engines/evaluator.y,
	src/engines/evaluator_tab.c, src/engines/evaluator.l:

	make file status more evident by renaming lex.so_eval.c to so_eval.ic

2003-03-05 11:20:18  Rev 5951   pederb

	* src/nodes/SoSeparator.cpp:

	Bugfix. When invalidating caches, we should invalidate caches for all threads,
	not just the current thread.

2003-03-05 10:55:25  Rev 5950   pederb

	* src/nodes/SoSeparator.cpp:

	Use PRIVATE, not THIS.

2003-03-05 10:39:52  Rev 5949   larsa

	* include/Inventor/elements/SoTextureScalePolicyElement.h,
	include/Inventor/elements/SoTextureScaleQualityElement.h:

	flag header files as private/internal, and remove DLL-export of symbols

2003-03-05 10:06:00  Rev 5948   mortene

	* src/misc/SoInput.cpp:

	Corrects API doc.

2003-03-05 09:40:13  Rev 5947   mortene

	* src/glue/dl.c, src/glue/simage_wrapper.c, src/tidbits.c:

	Compilation fix: C++-style comments to C-style.

2003-03-05 02:40:04  Rev 5946   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-04 15:26:33  Rev 5945   larsa

	* src/upgraders/SoUpgrader.h:

	typo fix

2003-03-04 15:00:17  Rev 5944   larsa

	* include/Inventor/engines/SoConvertAll.h,
	include/Inventor/misc/SoPick.h, include/unconfig.h,
	include/Inventor/misc/SoGenerate.h, src/upgraders/SoUpgrader.h,
	src/shapenodes/soshape_trianglesort.h,
	include/Inventor/fields/SoGlobalField.h,
	src/nodes/SoSoundElementHelper.h, src/shapenodes/soshape_primdata.h,
	src/upgraders/SoPackedColorV20.h, src/misc/AudioTools.h,
	src/shapenodes/soshape_bigtexture.h, include/Inventor/misc/SoGL.h,
	include/Inventor/nodes/SoUnknownNode.h:

	enforce privacy of headers

2003-03-04 14:50:01  Rev 5943   mortene

	* include/Inventor/nodes/SoUnknownNode.h:

	Wasn't meant to be public.

2003-03-04 13:25:40  Rev 5942   larsa

	* include/Inventor/C/threads/barrierp.h,
	include/Inventor/C/threads/schedp.h,
	include/Inventor/C/threads/threadsutilp.h,
	include/Inventor/fields/SoSubFieldP.h, include/coindefs.h,
	include/Inventor/C/base/basep.h,
	include/Inventor/C/threads/condvarp.h,
	include/Inventor/nodes/SoSubNodeP.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/C/base/heapp.h, include/Inventor/C/threads/wpoolp.h,
	include/Inventor/C/threads/mutexp.h,
	include/Inventor/engines/SoSubNodeEngineP.h,
	include/Inventor/C/base/hashp.h, include/Inventor/C/glue/glp.h,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/C/threads/threadp.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/C/threads/workerp.h,
	include/Inventor/C/threads/rwmutexp.h,
	include/Inventor/C/threads/syncp.h,
	include/Inventor/C/threads/fifop.h:

	unify error message (for automatic header-type identification)

2003-03-04 13:25:11  Rev 5941   larsa

	* include/Inventor/VRMLnodes/SoVRMLSubInterpolatorP.h,
	include/Inventor/actions/SoSubActionP.h:

	assert on library-build inclusion only

2003-03-04 12:11:12  Rev 5940   kyrah

	* FAQ.legal:

	Explain what happens if you don't renew your PEL.

2003-03-04 12:03:15  Rev 5939   pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	Explain the UMR fix.

2003-03-04 11:32:33  Rev 5938   pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	Fix (harmless) UMR.

2003-03-04 10:56:59  Rev 5937   mortene

	* include/Inventor/misc/SoGLBigImage.h:

	Corrects default arguments of virtual methods versus superclass.

2003-03-04 10:56:32  Rev 5936   mortene

	* include/Inventor/misc/SoGLImage.h:

	Make it possible for compiler to disambiguate between overloaded methods.
	Problem reported by Mark D Anderson and solved by larsa.

2003-03-04 10:51:19  Rev 5935   mortene

	* include/Inventor/C/glue/simage_wrapper.h:

	Compilation fix if simage installations is older than v1.4. Reported by Mark D
	Anderson.

2003-03-04 10:49:41  Rev 5934   mortene

	* src/glue/gl.c:

	Typo fixes.

2003-03-04 09:53:16  Rev 5933   pederb

	* src/misc/SoProtoInstance.cpp:

	Reverse recent fix. It was incorrect.

2003-03-04 09:48:04  Rev 5932   mortene

	* src/glue/gl.c:

	Fixes two possible UMRs reported by Mark D Anderson.

2003-03-04 09:14:46  Rev 5931   pederb

	* src/engines/SoEngineOutput.cpp:

	Notification bugfix. Use a copy of the notification list when notifying the
	connections.

2003-03-04 08:44:38  Rev 5930   mortene

	* src/glue/gl_glx.c:

	Compilation fix, use C code with better portability. Problem reported by Mark
	D Anderson.

2003-03-04 08:35:24  Rev 5929   mortene

	* src/errors/error.c:

	Compilation fix when thread abstractions are not present. Reported by Mark D
	Anderson.

2003-03-04 08:19:35  Rev 5928   pederb

	* src/elements/SoLazyElement.cpp:

	Fix some unimplemented functions. Bug reported by kintel.

2003-03-04 02:39:37  Rev 5927   larsa

	* ChangeLog:

	Automatic ChangeLog generation

2003-03-03 17:15:18  Rev 5926   mortene

	* src/glue/gl_agl.c:

	Turn C++-style comments into C-style comments.

2003-03-03 16:26:51  Rev 5925   kyrah

	* include/Inventor/C/glue/gl_agl.h, src/glue/Makefile.in, src/glue/gl.c,
	src/glue/gl_agl.c, src/misc/SoOffscreenAGLData.icc,
	src/glue/Makefile.am:

	Moved all relevant code for setting up an AGL offscreen context into
	src/glue/gl_agl.c. Renamed src/glue/gl_nsgl.c, since it now contains
	mostly AGL stuff.

2003-03-03 15:06:32  Rev 5924   larsa

	* configure.ac:

	fix for invalid .dsp includes

2003-03-03 14:06:34  Rev 5923   mortene

	* Makefile.am:

	Dist the glut-Coin binding example.

2003-03-03 13:44:21  Rev 5922   kyrah

	* HACKING:

	Equal rights for vim users! ;)

2003-03-03 10:22:29  Rev 5921   mortene

	* src/threads/condvar_win32.ic:

	Fix a warning with GCC.

2003-03-03 09:03:34  Rev 5920   pederb

	* src/manips/SoClipPlaneManip.cpp:

	Bugfixes, and implements the setValue() function properly. Bugs reported by
	Wouter Bosma.

2003-02-28 14:30:13  Rev 5919   kyrah

	* configure.ac:

	Ignore libdl on Mac OS X. Problem reported by Josh Flowers.

2003-02-28 12:56:10  Rev 5918   mortene

	* THANKS:

	Adds Leopold Palomo Avellaneda for help with SoQt on Debian.

2003-02-28 11:47:30  Rev 5917   mortene

	* BUGS.txt:

	New item.

2003-02-28 11:37:09  Rev 5916   pederb

	* src/misc/SoProto.cpp:

	Compile fix.

2003-02-28 10:08:57  Rev 5915   mortene

	* configure.ac:

	Nitpick.

2003-02-28 10:06:12  Rev 5914   mortene

	* src/misc/SoGLqmeshpreciselightingTemplate.icc, src/misc/SoBase.cpp,
	src/base/SbName.cpp:

	Fix SGI MIPSPro warnings.

2003-02-27 17:11:44  Rev 5913   pederb

	* src/misc/SoProto.cpp:

	Connect ROUTEs in PROTOs.

2003-02-27 17:10:14  Rev 5912   larsa

	* NEWS:

	date the release

2003-02-27 17:10:11  Rev 5911   pederb

	* src/misc/SoProtoInstance.cpp:

	Update name for SoProtoInstance root node.

2003-02-27 17:08:45  Rev 5910   pederb

	* src/fields/SoFieldContainer.cpp, src/nodes/SoNode.cpp:

	Update name when copying SoProtoInstances.

2003-02-27 16:14:44  Rev 5909   kyrah

	* FAQ.legal:

	Counting to 3 is not so easy... :-/

2003-02-27 15:57:11  Rev 5908   larsa

	* Makefile.in, Makefile.am:

	the one bug that slipped away

2003-02-27 15:27:12  Rev 5907   pederb

	* BUGS.txt:

	Document known bug.

2003-02-27 15:13:40  Rev 5906   larsa

	* configure, configure.ac, NEWS:

	bye bye Coin 2.0.0 - we hardly knew ya :)

2003-02-27 15:10:21  Rev 5904   larsa

	* docs/ChangeLog.2003, ChangeLog:

	ChangeLog move

